Overview

Welcome

Thank you for choosing Dynamsoft SourceAnywhere for VSS.

Dynamsoft SourceAnywhere for VSS (Dynamsoft SAW for VSS) is a remote access tool for Microsoft Visual SourceSafe (VSS). It enables you to use Visual SourceSafe easily over the Internet. With Dynamsoft SourceAnywhere for VSS, you can perform most SourceSafe operations from any remote location using standard TCP/IP access. To get the latest information about Dynamsoft SourceAnywhere for VSS, please visit our website: www.dynamsoft.com

The following topics are included in this section:

  • Overview
  • Features and Benefits
  • What's New
  • Screen Shots
  • Cache Server
  • Delta Transfer
  • Encryption
  • Edition Comparison
  • License Agreement
  • Getting Supported
  • Self Trouble Shooting
  • Bug Reporting and Comment

Copyright © Dynamsoft Corporation 2010. All rights reserved.
Dynamsoft SourceAnywhere for VSS

What's new in Dynamsoft SourceAnywhere for VSS 6.1

Take a look at our new features!

Dynamsoft SourceAnywhere for VSS on the Web

Go to Web for the latest Dynamsoft SourceAnywhere for VSS information.

Our Products

Dynamsoft SourceAnywhere Standalone

Dynamsoft SourceAnywhere Standalone is a source control tool designed to be the compelling replacement for Microsoft Visual SourceSafe.

Dynamsoft SourceAnywhere Hosted

SourceAnywhere Hosted is a SQL-based source/version control tool delivered as a SaaS application and it provides all of the key features of Microsoft Visual SourceSafe, plus much more.

Dynamsoft Issue Tracking Anywhere

Dynamsoft Issue Tracking Anywhere is a web-based issue tracking system designed for applications of issue/bug tracking, project management, customer support, etc.

Dynamsoft SCM Anywhere Standalone

Dynamsoft SCM Anywhere Standalone is the SQL-based software configuration management (SCM) solution with fully integrated version control, issue tracking and build automation.

Dynamsoft SCM Anywhere Hosted

SCM Anywhere Hosted is the world's 1st hosted SCM (software configuration management) solution. It is delivered as a a SaaS application and comes with fully integrated version control, issue tracking, build automation and professional service to manage your whole software development life cycle.

Dynamic Web TWAIN

Dynamic Web TWAIN is a true web scanning solution specifically optimized for your web applications. It enables you to acquire images from any TWAIN compatible devices (scanners or cameras) and upload the scanned images to web servers. It went through the rigorous evaluation of Lockheed Martin, and now is deployed on their 400+ servers.

Dynamic .NET TWAIN

Dynamic .NET TWAIN is a managed code component that enables you to acquire images from any TWAIN compatible devices. With the carefully designed interface and the built-in wizard mode, Dynamic .NET TWAIN is very easy to use. You can typically do your TWAIN job in several lines of code. Dynamic .NET TWAIN is compatible with TWAIN Specification V1.9. It supports all three image transfer modes as well as many other features.

SourceSafe (VSS) Remote/Web/Internet Access | Software Configuration Management | SCM Solution
Software Configuration Management Online | Source/Version Control Online | Version/Source Control Software
Copyright © 2010 Dynamsoft Corporation. All Rights Reserved.


General Description

Visual SourceSafe (VSS) Remote Access Tool Recommended by Microsoft

Overview

Dynamsoft SourceAnywhere for VSS is a Visual SourceSafe remote access solution. As an add-on tool of SourceSafe, Dynamsoft SourceAnywhere for VSS provides fast, reliable and secure remote access for users of SourceSafe 6.0 and SourceSafe 2005.

  • High performance SourceSafe remote/internet access
  • Cache server for your geographically distributed teams
  • Java Client for cross platform
  • 128-bit SSL and Blowfish encryption
  • Password policy to protect your password
  • Eclipse plug-in
  • Visual Studio plug-in
  • Macromedia Dreamweaver and Flash plug-in
  • Delta transfer technology for high performance
  • Ant Plug-in and CruiseControl.NET Plug-in
  • Java SDK and COM SDK

For more details about the features of Dynamsoft SourceAnywhere for VSS, please refer to the Features and Benefits page.

Client-Server Architecture with Caching

Dynamsoft SourceAnywhere for VSS is a client/server application. It consists of a Server, Cache Server (optional) and several types of Client. They communicate over any standard TCP/IP connection, including a PPP connection over a modem, an ISDN line, or an Ethernet connection on the same LAN as the Server. Dynamsoft SourceAnywhere for VSS does not require Windows Remote Access Service (RAS). The architecture of Dynamsoft SourceAnywhere for VSS is illustrated as below:

The client-server architecture eliminates many problems of Visual SourceSafe, which is file-system based, in remote access. For VSS, to share VSS documents, you have to share the whole VSS database folder, even if you only wish to share a single file in the database. Sharing the database folders exposes your valuable data totally to the outside, which may potentially cause the data to be copied or damaged. Especially in remote access, it is almost unconceivable. Also, accessing the file system in a remote environment is very slow.

In Dynamsoft SourceAnywhere for VSS, the VSS database folder is only exposed to the Dynamsoft SourceAnywhere for VSS Server. The client sends requests to the server and gets results back. The security and performance are greatly improved.

Dynamsoft SourceAnywhere for VSS 5 introduces a Cache Server for distributed developments.

Cache Server

Dynamsoft SourceAnywhere for VSS Cache Server is specifically designed for geographically distributed teams. Dynamsoft SourceAnywhere for VSS Cache Server caches the files when they are transferred through it. When client needs to get or check out a file from remote server, if the file is cached in Cache Server, Cache Server transfers the file to client directly, without relaying the file transfer request on to remote Dynamsoft SourceAnywhere for VSS server. This way, the number of files to be transferred over internet is significantly reduced, and the remote access performance is greatly improved.

For more information about Dynamsoft SourceAnywhere for VSS Cache Server, please refer to the Cache Server page.

Client

Dynamsoft SourceAnywhere for VSS Client includes the following types: Windows GUI Client, Windows Command Line Client, Java GUI Client, Java Command Line Client and IDE Client.

The Dynamsoft SourceAnywhere for VSS Windows GUI Client is a GUI application that resembles the SourceSafe Explorer user interface very much. SourceSafe users should find Dynamsoft SourceAnywhere for VSS Client familiar and easy to use. Users can perform most SourceSafe operations in a similar fashion. For details about other types of Dynamsoft SourceAnywhere for VSS Client, please refer to the Client section.

Dynamsoft SourceAnywhere for VSS Client can connect to any Dynamsoft SourceAnywhere for VSS Server or Dynamsoft SourceAnywhere for VSS Cache Server by simply specifying the location of that server (a host name or IP address, and a port number).

Server

Dynamsoft SourceAnywhere for VSS server is installed on the machine with access to the file system on which the SourceSafe (VSS) database resides. Once installed there, the Server provides access to SourceSafe operations to Clients that connect to Server using any standard TCP/IP connection.

The server is installed as a system service, hence the server can be installed on any windows platforms which support service, such as Windows NT, 2000, XP, or 2003. It runs in the background with no user interface of any kind. Configuration of the Server is accomplished through the Server Manager utility.


Features and Benefits

  • High Performance Remote Access
  • Distributed Development
  • Secure
  • Cross Platform
  • IDE Integration
  • Build Automation
  • Software Development Kit (SDK)
  • Powerful Operations
  • Miscellaneous Features

High Performance Remote Access

  • 100+ times faster than SourceSafe (VSS) Explorer over internet
  • Delta Transfer (Professional Edition Only). Only the difference of the files is transferred in Check In, Check Out, Get and Undo Check Out operations
  • The data is compressed (zip) before transfer
  • Compresses multiple files together to increase compression ratio and reduce the number of file transfer round trip
  • Multi-thread file transfer

Distributed Development

  • Client-server architecture. No file system access overheads
  • Cache Server. Requested server files are cached on cache server to speed up client access
  • Time zone offset management

Secure

  • 128-bit Blowfish is used to protect the data
  • 128-bit SSL is used to protect the data
  • Password Policy to protect your password
  • Client-server architecture. No need to expose the SourceSafe database folder

Cross Platform (Professional Edition Only)

  • Dynamsoft SourceAnywhere for VSS Java Client can run on any platform where Java Virtual Machine runs, including Windows, Unix, Mac OS X, Solaris, AIX, HP-UX, SCO Unix, FreeBSD and so on.

IDE Integration

  • Supports Eclipse IDE Integration/Eclipse plug-in (Professional Edition Only)
  • Supports Macromedia Dreamweaver MX 2004 Integration (Professional Edition Only)
  • Supports Microsoft Visual Studio 6.0 and .NET
    • IDE Integration
  • Supports IBM Rational Rapid Developer 2003 IDE Integration
  • Supports Borland Delphi 8.0 IDE Integration
    •
  • Supports the Microsoft Source Code Control Interface (MSSCCI)
  • Can be integrated with any MSSCCI compatible IDEs

Build Automation

  • ANT Plug-in to provide automatic build support
  • CruiseControl.NET Plug-in to provide continuous integration support

SDK

  • Java SDK to build your own cross-platform SourceSafe remote access solution (Professional Edition Only)
  • COM SDK to build your own SourceSafe remote access solution on Windows platform (Professional Edition Only)

Powerful Operations

  • Almost all the SourceSafe operations are supported: Add Files, Create Project, Delete Files or Projects, Get Latest Version, Check Out, Check In, Undo Check Out, Move, Deploy, Share, Branch, View, Edit, Show Difference, Set Working Folder, Refresh File List, Refresh Project Tree, Stop Current Operation, Show Properties, Show History, Label, Pin, Rename, Change Password, Cloak Project, Status Search, Wildcard Search.

Broad Connectivity

  • Supports all TCP/IP connections, such as PPP, ISDN, ADSL, etc.
  • Supports SOCKS 4, SOCKS 5 and HTTP proxy

Miscellaneous Features

  • Similar GUI with SourceSafe
  • Easy to deploy. Built from scratch in C++, Dynamsoft SourceAnywhere for VSS needs no additional components or frameworks
  • All operations are cancelable. The application never hangs up due to network problem
  • Easy server management with Server Manager and Cache Server Manager


What's New

6.1(11/30/2010)

  • Dramatically improved overall performance by introducing ZIP compression technique on network layer.

    Based on version 6.0, the new version greatly enhances the transmission performance by applying ZIP compression technique on the network layer. This way, both the number and the size of network packets will be decreased so as to improve the client responsivity.
  • Other minor fixes and tweaks.

6.0(09/14/2010)

Improvements and bug fixes in 6.0:

  • Greatly improved interface of SourceAnywhere for VSS. More friendly to use.
    • Users can customize skin styles for SourceAnywhere for VSS Client. More Info
    • Added support for locating to a specific SourceAnywhere for VSS project directly by typing its path into Source location. More Info
    • Added hyperlink of working folder which allows users to explore local working folder by a click. More Info.
    • Added support for customizing personalized menu bar and toolbars. More Info.
    • Added prompt messages for operations on shared files. Users will receive a warning message when doing Check Out/Check In/Undo Check Out operations on a file which was checked out to another location.
  • Project Diff operation greatly improved in Windows GUI Client. More Info.
    • The performance is greatly improved and the interface is more friendly.
    • Allows users to perform operations, such as Add Files, Delete, Get, Check Out/In, Undo Check Out, Show Difference, Reconcile All, in the Project Difference dialog box.
    • Added Advanced options for choosing files to show in the Project Differences dialog box.
  • Added support for sharing historical version of project in Project History Dialog Box. Files in historical version of project will be pinned automatically after being shared.
  • Added support for integrating SourceAnywhere for VSS with Adobe Dreamweaver CS5.
  • Added support for moving files/folders in IDE.
  • Added support for integrating SourceAnywhere for VSS with uniPaaS.
  • Improved dialog box viewing mode for File/Project History Dialog Box and Search Result Dialog Box. Users now can view multiple of these dialog boxes concurrently.
  • Added support for SOCKS 4, SOCKS 5 and HTTP proxy in Cache Server Manager.
  • Added optional merge modes. More Info
  • Added support for performing check in/undo check out/ get latest version operations on multi-files from different directories in Status Search Result Dialog Box.
  • Optimized integration with Visual Studio. Apply add-in technology to handle refresh event which can reduce unnecessary refresh event.
  • Fixed bug where the file data and time may be wrong after getting its historical version.
  • Fixed bug where renaming an item by changing cases in VSS doesn't rename the file in SourceAnywhere for VSS.
  • Other minor fixes and tweaks.

5.4(05/12/2009)

Improvements and bug fixes in 5.4:

  • Added Ant Plug-in which allows users to integrate SourceAnywhere for VSS with Ant which supports automatic building. More Info
  • Added CruiseControl.NET Plug-in which enables users to integrate SourceAnywhere for VSS with CruiseControl.NET which supports continuous integration. More Info
  • Improved Cache Server logging.
    • Users can now trace different operations in Cache Server.
    • Users can now see whether the files are from Cache Server or Server when performing Get.

  • Added support for 3rd-party diff/merge tool to SourceAnywhere for VSS Java Client.
  • Added support for viewing files using external editor applications, like Microsoft Office Word, Excel etc, to SourceAnywhere for VSS Java Client.
  • Added Local Modification column in SourceAnywhere for VSS Windows and Java Client Explorer which allows users to see the modification time of the local files in the working folder.
  • Users can now sort file names in Share dialog box.

  • Improved MergeHero:
    • Improved interface. It is now more friendly to use.

    • The result pane is now editable.
    • Improved algorithm for 3-way diff/merge.
  • Improved error message "Socket Error". Users can now see more detail information about the error.
  • Added a method in Java SDK which allows users to get a file by label.
  • Improved COM SDK.
  • Fixed bug where some pinned files in Visual SourceSafe don't show as pinned in SourceAnywhere for VSS.
  • Fixed bug where SourceAnywhere for VSS Visual Studio IDE Client may not get the latest version when doing Get/Compare with Cache Server being used.
  • Fixed bug where a discrepancy message appears when opening a Visual Studio solution including one or more websites, which are source controlled by SourceAnywhere for VSS,
  • Fixed bug where SourceAnywhere for VSS Client may fail to connect to SourceAnywhere for VSS Server when using some proxy servers.
  • Fixed bug where the binding information may get lost when reopen a SQL Server Management Studio project in SourceAnywhere for VSS.
  • Other minor fixes and tweaks.

5.3.2(05/13/2008)

Performance improved.

5.3.1(03/06/2008)

Improvements and bug fixes in 5.3.1:

  • Fixed bug where the status of a file may be shown as "Needs Merge" if another client check in the file on the same machine.
  • Fixed bug where the merge result of a file may be incorrect if there are conflicts in the multiple check-ins when working with Visual SourceSafe 8.0.
  • SourceAnywhere for VSS Eclipse Plug-in extends its availability to C++ development within Eclipse.
  • MergeHero improved:
    • Directories Comparison results can now be shown by default.
    • Fixed bug where MergeHero maybe corrupt in three-way merge.

5.3 (01/09/2008)

  • Added Remote Version, Local Version, Status columns in the file list. Providing version number and one-word descriptions of the state (Normal, Edited, Renegade, Needs Merge, Old, Missing, Unknown, More Recent) of the working copy of the file.

  • MergeHero interface greatly improved. More like Microsoft Visual SourceSafe Visual Merge. More friendly to use.

      • Added Changed Text marker to designate conflicting changes to a file.
      • Added optional way to apply/remove changes - by left clicking the button-like lines in the top two panes.

      • For File Diff, added display options for Ignore Tabstop and Ignore White Space.
      • For Project Diff, added display options for showing only the files exist in the left/right side, or only the identical/different ones in both places. (Show Left-Only Files, Show Right-Only Files, Show Identical Files, Show Different Files).
    • Added support for Eclipse 3.3.x.

    5.2 (09/26/2007)

    Main improvements in 5.2:

    • Performance greatly improved. For most operations, SourceAnywhere for VSS 5.2 can be 1.2 to 5 times faster than SourceAnywhere for VSS 5.1. For large teams or teams with big projects, the performance improvement can be greater.
    • Performance improved when SAW server is installed on a different machine from the one hosting VSS database.
    • SSL root certificate is exported and imported automatically when using SSL encryption.
    • Precision of "Server-based time zone offset" option improved to minutes.
    • Added "Remember Password" option in Login dialog box of GUI Client, as seen in the following figure:

    • Added "Select all" and "Invert selection" option on the Edit menu of GUI client.
    • Added a prompt dialog box when adding file(s) without working folder.
    • Added "Comment" column on both File History and Project History dialog boxes.
    • Allows users to view an old file version directly by adding "View" option in File History dialog box, as seen in the following figure:

    • Added "Refresh Option" for the View tab of Windows Client options, as seen in the following figure:

    • Added Status Search functionality in Java GUI client.
    • Added "Get" button in project history dialog box of Java GUI client.
    • Added View tab for Java Client options.
    • Allows users to check in items using drag and drop from working folder to Dynamsoft SourceAnywhere for VSS Java Explorer.
    • Added Share command in Visual Studio IDE.
    • Macromedia studio plug-in improved to support Dreamweaver CS3.
    • Allows users to get project from Dynamsoft SourceAnywhere for VSS in Eclipse Plug-in.
    • Added "Dir" and "GetProjectHistory" commands in Command Line Client.
    • Allows users to get the Check Out Status of a file by using GetFileInfo command in Command Line Client.
    • Added Support page in both Server Manager and Cache Server Manager, which helps users maximize the benefits in Dynamsoft SourceAnywhere for VSS.
    • Removed login dialogue box of Server Manager, which allows administrators to access Server Manager more conveniently.
    • Pin process optimized. There is no need to configure "Project with Pinned" in Server Manager anymore.

    Bug fixed in 5.2:

    • Fixed bug where getting old version of a labeled file failed when the "Include Labels" option on History tab is unchecked.
    • Fixed bug where the Check Out Folder of checked-out files or projects are not displayed when users re-open Dynamsoft SourceAnywhere for VSS Explorer.
    • Fixed bug where caching information (e.g. working folder, check out folder, user, etc) may be lost if the local caching file is read-only.
    • Fixed bug where check-in failed during the three-way merge process.
    • Fixed bug where checking "Include Sub directories" option doesn't work when comparing directories.
    • Fixed bug where the check out status of an item checked out by others cannot be shown in Eclipse Plug-in.
    • Fixed bug where web project cannot be deployed to other computer.
    • Fixed bug where unlocking a user account failed in Server Manager.
    • Other minor bug fixes and tweaks.

    5.2 Beta (09/04/2007)

    5.1 (2/09/2007)

    • Product name changed from "SourceAnyWhere" to "Dynamsoft SourceAnywhere for VSS".
    • Added Project With Pinned functionality in Server Manager. Excluding pinned status of VSS files in Dynamsoft SourceAnywhere for VSS will mainly improve the performance of refreshing.
    • Added "Duration for file status caching" option for the General tab of Visual Studio IDE Client options. Checking this option may improve the performance of IDE client when there are a large number of files in the solution.
    • Removed limit on the maximum number of files that can be cached on the cache server. And added File Cache option in the Memory Cache Settings window of Cache Server Manager, which allows you to specify the amount of disk space used for file cache.
    • Capabilities of Get operation improved when getting a project through labels.
    • Fixed bug where memory leak occurs when using SSL encryption.
    • Fixed bug where the IDE client hangs when opening "Pending Checkins" tab in Visual Studio 2005 IDE.
    • Fixed bug where source control bindings of projects may lose when re-opening a solution that contains multiple projects in Visual Studio IDE Client.

    5.0.1 (10/31/2006)

    Improvements and bug fixes in 5.0.1:

    • Performance greatly improved when using SSL encryption
    • Selecting a file version in Project History dialog box and then performing Get command now allows you to select from the following two options: get the selected file version only or get the entire project containing the selected file version.
    • Fixed bug where checking out files through SAW Command Line Client fails sometimes
    • Fixed bug where importing Blowfish user keys into SAW Windows GUI Client fails before the first successful login

    5.0 (09/05/2006)

    The improvements in SourceAnyWhere 5.0 are divided into the following parts:

    • Cache Server Added
    • Eclipse Plug-in Added
    • Macromedia Studio Plug-in Added
    • SDK Added
    • Server Manager Improvements
    • Windows GUI Client Improvements
    • Command Line Client Improvements
    • Java Client Improvements
    • Visual Studio IDE Client Improvements
    • MergeHero Improvements

    Cache Server Added

    From version 5.0, SourceAnyWhere provides a caching solution for distributed development. SourceAnyWhere Cache Server is an optional caching system. It is used to cache copies of requested server files, thereby improving the client responsiveness. More Info

    Eclipse Plug-in Added

    SourceAnyWhere Eclipse plug-in is a team provider plug-in for the Eclipse IDE. It enables users to perform SourceAnyWhere operations within the Eclipse IDE. More Info

    Macromedia Studio Plug-in Added

    SourceAnyWhere Macromedia Studio plug-in enables Dreamweaver or Flash users to access their VSS databases remotely. More Info

    SDK Added

    The Software Development Kit for SourceAnyWhere enables developers to integrate SourceAnyWhere functionality with their projects. More Info

    Server Manager Improvements

    • Added support for SSL encryption. SSL configuration items are added to the general settings section.
    • Memory Cache Setting section added. Allows you to configure the amount of virtual memory to use for server caching.
    • Root CA section added. Allows you to manage root certificates.

    • User Access section added. Allows you to specify which user(s) is allowed to access a VSS database, as seen in the following figure:

    • User's access to databases can now be specified in Add Users dialog box, as seen in the following figure:

    • Settings of Users and Blowfish User Keys apply for all databases now.
    • After a serial number expires, the expiration date can now be displayed.
    • Fixed bug where the Rename action is not logged completely to the log file.
    • Several minor bug fixes.

    Windows GUI Client Improvements

    • Improved performance when refreshing file list.
    • Refresh File List and Refresh Project Tree commands combine to be Refresh command.
    • Added support for SSL encryption.
    • Added socket validity check functionality. Enables SourceAnyWhere to check if the socket is valid before network operation
    • Added Wildcard Search functionality . Allows you to search for files with a specific filename, as seen in the following figure:

    • Arguments can be specified for the external editor application in View Or Edit dialog box, as seen in the following figure:

    • Label command is available from the menu by right-clicking a file or a project.
    • Changed behavior of Show File Difference dialog. If the local copy of the file exists in the working folder, the Show File Difference dialog will be skipped when you compare the master copy of the file to the local copy.
    • Deleted (but not permanently destroyed) items in a project can now be retrieved through history of the project.
    • Status Windows can display 50000 lines of messages now.

      • Search results of Status Search can now be exported, as seen in the following figure:

    • Added help link for checking in an unchanged file and undoing checkout of a file.
    • Fixed bug where performing Get Latest Version on a checked-out file in Search Result dialog box will enable the Check Out button.
    • Fixed bug where when searching checkout status of a project that contains two subprojects with the same length of project name, only Undo Check Out and Check In commands are available on the checked-out files of these two subprojects in Search Result dialog box .
    • Fixed bug where the database alias dropdown list is unavailable in Login dialog box, if the network connection is interrupted but soon recovered when connecting to server.
    • Fixed bug where "Version not found" error occurs when getting or checking out a file when VSS 8.0 is used as the backend of SourceAnyWhere.
    • Fixed bug where sometimes SourceAnyWhere Explorer crashes when adding a file or setting working folder in SourceAnyWhere Explorer, if there is a special device in the system that appears as a driver in "My Computer".
    • Fixed bug where some special folders can not be shared.
    • Fixed bug where the error information is incorrect when the length of the label name exceeds the maximum allowed length.
    • Fixed bug where no error is returned when inputting an integer that is not in the base range of the integer type in the 'Include Past' item of History Option dialog box.
    • Other minor bug fixes

    Command Line Client Improvements

    • Added EOL parameter for AddFolder and AddFile commands
    • Added comment parameter for CheckoutProject and CheckoutFile commands
    • Added support for SSL encryption.

    Java Client Improvements

    • Added merge functionality when checking in, checking out or getting files.
    • Added Wildcard Search functionality.
    • Added support for drag-and-drop.
    • Added support for SSL encryption.
    • Added tooltip for commands on the toolbar.
    • Added SAW editor for editing and viewing files.
    • Added keyboard shortcuts for commands under the main menu.
    • Added keyboard shortcuts for some dialog boxes
    • Added creating new folders functionality when setting working folder of a project.
    • Added Java-style Help file
    • Improved performance when refreshing file list and refreshing project tree.
    • Improved Java GUI
    • The sizes and positions of serveral windows can now be remembered, including Add dialog box, Share dialog box and the main window.
    • The path of the selected folder can now be remembered when adding a file or folder.
    • The widths of the columns in the file list can now be remembered
    • The file lists can now be sorted on columns.
    • Arguments can be now specified for the external editor application in View Or Edit dialog box
    • Fixed bug where the error information is incorrect when the length of the label name exceeds the maximum allowed length.
    • Other minor bug fixes.

    Visual Studio IDE Client Improvements

    • Added support for the latest MSSCCI.
    • Can now switch freely between VSS and SourceAnyWhere for Web projects in Visual Studio.NET

    MergeHero Improvements

    • Can now merge line differences between two versions in a three-way merge
    • Other minor bug fixes

    4.2.4 (06/07/2006)

    Improvements and bug fixes in 4.2.4:

    • Performance improved on refresh file list, especially when SourceAnyWhere server is installed on a different machine from the one hosting VSS database.
    • Performance improved on Check In, Check Out and Undo Check Out operations
    • Integrated Windows Authentication of Microsoft ISA proxy server is now supported
    • Fixed bug where SourceAnyWhere fails to get old versions of a project through labels when VSS 2005/8.0 is used as the backend of SourceAnyWhere
    • Fixed bug in SourceAnyWhere IDE Client where permission of a file in a Web project is changed after the file is retrieved from SourceAnyWhere server
    • Fixed bug in SourceAnyWhere IDE Client where binding a solution or project to SourceAnyWhere server through Change Source Control dialog box does not work properly sometimes
    • Fixed bug in SourceAnyWhere IDE Client where Visual Studio 2003/2005 IDE hangs sometimes

    4.2.3 (01/23/2006)

    Improvements and bug fixes in 4.2.3:

    • Visual Studio 2005 IDE integration SCC provider can be switched between Visual SourceSafe and SourceAnyWhere freely
    • Fixed bug in SourceAnyWhere IDE Client where Visual Studio 2005 IDE prompts a dialog box asking whether to replace local files each time when a solution file is opened.
    • Fixed bug where sometimes SourceAnyWhere Explorer fails to connect through HTTP or SOCKS5 proxy that requires authentication
    • Fixed bug where memory leak occurs while refreshing pinned files

    4.2.2 (11/23/2005)

    Improvements and bug fixes in 4.2.2:

    • Supports 3-way merge on Get Latest Version command in a multiple checkout situation
    • Supports character "." in project name when creating a project in IDE Client
    • Fixed bug where in MergeHero the Server version and local copy of file are not displayed correctly

    4.2.1 (10/13/2005)

    Bug fixes in 4.2.1:

    • Fixed bug where non-English characters in several dialog boxes are not displayed correctly in some non-English operating systems
    • Fixed bug where when adding a file to a project in SourceAnyWhere Explorer, if there is a special device in the system that appears as a driver in "My Computer", the Add Files dialog box sometimes may not be able to point to the working folder of the selected project
    • Fixed bug where files with certain VB extensions are not checked out simultaneously in VB IDE integration . These VB extensions are as follows:
      • .ctl/.ctx files (for User Controls)
      • .dob/.dox files (for User Document objects)
      • .dsr/.dsx files (for Active Designer)
      • .pag/.pgx files (for Property page)

    4.2 (9/16/2005)

    Improvements and bug fixes in 4.2:

    • Performance improved when updating file list of projects that have a large number of sub-projects
    • A Windows Command Line Client added
    • A Java Command Line Client added
    • The Java Client now supports encryption
    • File transfer memory leak issue fixed
    • Can now automatically reconnect to Server after an interruption
    • Fixed bug where sometimes checking out a form in VB IDE integration doesn't check out the corresponding .frx file
    • More customizable options for filtering project/file history, as seen below:

    • Can now be fully integrated with third-party Diff/Merge tools. Added items for External Programs Options, as seen in the following figure:

    • Difference Options added. It is used to configure the Diff option for MergeHero, as seen below:

    • MergeHero now supports pane label
    • Other bug fixes

    4.1 (6/10/2005)

    Main improvements in 4.1:

    • The disk I/O performance has been significantly optimized, which results in higher overall throughput of SourceAnyWhere, especially in the following two cases:
      • Performing operations on big projects (e.g. projects > 1 GB)
      • Multi-user concurrent SourceAnyWhere accesses
    • Performance of IDE integration with Visual Studio .NET improved
    • Visual Studio .NET IDE integration SCC provider can be switched between Visual SourceSafe and SourceAnyWhere freely
    • MD5 checksum calculation memory leak issue fixed
    • Actions to be logged are customizable, as seen in the following figure:

    • The Java Client supports Proxy
    • The log information is now delimited by Tab, making it easier to be imported into database systems such as Excel and SQL
    • Complete information will be displayed in a tooltip when asked whether to replace the local file in the following three cases:
      • Check in an unchanged file
      • Add a deleted copy of a file that already exists in the project
      • Replace a writable file

      This is helpful when the path of a file is very long, as seen in the figure below:

    • The length of check out comment is limited to 63 chars.

    4.1 Beta (4/21/2005)

    4.0.1 (4/8/2005)

    Main improvements in 4.0.1:

    • Supports Encryption in Dreamweaver Integration
    • Supports character "." in project name when creating a project
    • Fixed bug where branching a pinned and then shared file doesn't unpin the file
    • Fixed bug where sometimes an operation cannot be cancelled in IDE client

    4.0 (3/21/2005)

    SourceAnyWhere 4.0 introduces many powerful new features and improvements for SourceAnyWhere.

    Here are the highlights:

    • A Java client added

    • Project difference

    • Status search

    • Get previous project content

    • Time zone offset

    • Macromedia DreamWeaver MX 2004 integration

    Details of what's new:

    Cross Platform (Professional Edition only)

    With a Java client introduced to SourceAnyWhere 4.0 in addition to the standard windows client, SourceAnyWhere 4.0 can run on any platform where Java Virtual Machine runs, including Windows, Linux, Mac OS X, Solaris, AIX, HP-UX, SCO Unix, FreeBSD and so on.

    Explorer Client

    • Show Difference now supports comparing two VSS projects, two local projects, or a VSS project and a local project.
    • Supports Status Search like VSS. You can search all checked out files or checked out files by specific user.

    • Get previous version can be performed at the project level. In other words, you can get all the files of a previous version in a project now.

    • File time settings for Get and Checkout.

    • Include Labels is available in file/project history.

    • Time zone difference settings between client and server.

    • The dialog box when adding deleted files is redrawn, now adding new files or recovering deleted copies can be applied for all items.

    IDE Integration

    • Macromedia DreamWeaver MX 2004 Integration added (Professional Edition only)
    • Great performance improvement of IDE integration.

    Diff/Merge Tool

    MergeHero 2.0     new functionality: Directories diff

    3.1.1 (2/28/2005)

    A few improvements in 3.1.1:

    • A bug fixed: when checking out a file, if the file is checked out by other and the content of the local file is the same as on server, the local file is made writable.

    3.1 (1/15/2005)

    Improvements in SourceAnyWhere 3.1:

    • A brand new Server Manager
    • Password Policy. Protect user accounts with strong passwords

    • SourceAnyWhere Explorer and SourceAnyWhere SCC IDE integration are modified according to the password policy and other changes.
    • New SCC Provider Manager. You can switch your SCC Provider visually
    • Improved check in speed
    • The Server Manager configuration file, SourceAnyWhereconfigure.ini, is not compatible with the previous version due to the dramatic change of Server Manager
    • The BlowFish Key file is not compatible with the previous version. For encrypted communication, all the key files should be reissued

    Bug fixed in SourceAnyWhere 3.1:

    • When force check in both unchanged files and changed files at the same time, some files can not be checked in
    • With encrypted communication, if the length of the password is 8, after one user logs in, the server may stop accepting new user

    3.0.1 (12/21/2004)

    A few improvements in 3.0.1:

    • Minor adjustment made to enable SCC provider to switch between VSS and SourceAnyWhere when using Microsoft .NET 2003 IDE integration

    3.0 (12/6/2004)

    What's new in SourceAnyWhere 3.0:

    Speed

    • Now, SourceAnyWhere 3.0 has unmatchable speed when used in WAN
    • 8 times faster than SourceAnyWhere 2.1
    • 100+ times faster than VSS
    • (The detailed speed test result will be published shortly)

    Explorer Client

    • Connection type options, including local, broad band and narrow band connection are added. The performance of the system will be optimized by selecting the proper connection type

    • File type selection, including text, binary and auto-detect when adding files and folders

    • End-of-line settings for Get Latest Version and Checkout

    • Auto-merge

    IDE Integration

    • IBM Rational Rapid Developer 2003 IDE integration added
    • Borland Delphi 8.0 IDE integration added

    Diff/Merge Tool

    MergeHero 1.1 new functionalities:

    • Three-way merge
    • Supports find
    • Copy to clipboard

    2.1 (11/16/2004)

    Our team had developed MergeHero for diff/merge files.
    Dynamsoft MergeHero functionality:

    • Compare files in the local folder with the VSS versions, or all in the local folder, or all in the VSS history.
    • Automatic merge and conflict detection.
    • Graphical display of differences, with lines drawn to show corresponding changes.
    • Unicode support.
    • Show the results whether the two binary files are different.

    2.0.2 (10/7/2004)

    Some of the improvements in 2.0.2:

    • More resizable window.
    • Shows the status of the encryption in login dialog box.
    • Documentation refined.

    2.0.1 (8/19/2004)

    The following issues have been addressed in 2.0.1:

    • Fixed bugs on the IDE client in Microsoft .NET.
    • Fixed error on File List sorted by date-time.
    • "leave" is now the default option and the version number doesn't change when check in unchanged file.
    • Other minor fixes.

    2.0 (7/23/2004)

    Here are a few highlights of what is new in SourceAnyWhere 2.00:

    • Supports Blowfish secure port to encrypt and you can manage user keys.
    • Supports SOCKS 4, SOCKS 5 and HTTP proxy.
    • Two progress bars provided: one for single file operation, another for the total process.
    • Supports Pin/Unpin, Cloak/Uncloak.
    • Win32 style of Set Working Folder and Add Files dialog boxes.
    • Supports drag and drop.
    • Rewritten Microsoft Visual Studio 6.0 and .NET. IDE integration.
    • Supports Diff functionality by configuring diff tools, such as WinMerge, WinDiff, etc.
    • Intelligent detection if a file is changed.
    • Project tree and File List are cached locally.
    • Other many refines.

    1.1(4/20/2004)

    The following features and changes have been included in the 1.1 release:

    • Microsoft Visual Studio 6 and .NET IDE integration.
    • The data is compressed (zip) before transfer.
    • File List can be sorted by clicking the column heading.
    • Supports deploy web projects.
    • Fixed bugs when operating pictures.
    • Setting working folders is now handled properly during add files operation.
    • Retain the User name of the last successful connection.
    • Retain the server address and port of the last 5 successful connections.

    1.0.1 (1/10/2004)

    The following feathers and changes have been included in the 1.0.1 release:

    • "skip" is now the default option when undo check out unchanged file.
    • Supports recursively check out.
    • Files can be branched after share.
    • Provides command dialogs to set warning messages.
    • Fixed bugs about shortcut.
    • Fixed incorrect error message when users login database.
    • Files with the same name as files already exists in the project will not be displayed in adding File List when add files.

    1.0 (11/15/2003)

    SourceAnyWhere (SourceAnyWhere) is a VSS remote/internet access (SourceSafe remote/internet access) tool. It enables you to use Visual SourceSafe easily over the Internet. With SourceAnyWhere, you can perform most SourceSafe operations from any remote location using standard TCP/IP access.

    Client almost all the VSS operations are supported:

    • Add Files
    • Check Out/Check In
    • Create Project
    • Delete/Purge
    • Edit/View
    • Get Latest Version
    • Label
    • Move
    • Refresh File List
    • Refresh Project Tree
    • Rename
    • Set Working Folder
    • Share/Branch
    • Show Difference
    • Show History
    • Show Properties
    • Stop Current Operation
    • Undo Check Out

    Server runs as a windows service and Server Manger is a GUI application to manage the sever:

    • Sets up multiple VSS database connections.
    • File Type Exclusion, files with the extensions can not be added to projects in the SourceSafe database using SourceAnyWhere.
    • Supports all TCP/IP connections, such as PPP, ISDN, ADSL, etc...

    SourceSafe (VSS) Remote/Web/Internet Access | Software Configuration Management | SCM Solution
    Software Configuration Management Online | Source/Version Control Online | Version/Source Control Software
    Copyright @2010 Dynamsoft Corporation. All Rights Reserved.


Screen Shot

Screen Shots

To give you the basic idea about what Dynamsoft SourceAnywhere for VSS is, we put several screen shots here for your reference.

  • Windows GUI Client
  • Java GUI Client
    • Linux GUI Client
    • Mac GUI Client
    • Solaris GUI Client
  • Macromedia Studio Plug-in
  • Eclipse Plug-in
  • Server Manager
  • Cache Server Manager


Windows Screen Shot

Windows GUI Client

SourceAnywhere for VSS provides five kinds of styles for Windows GUI Client: SourceSafe, Ribbon, WinXP, Vista, iTunes.

In this Help Document, we take SourceSafe style as an example.

Connect to Server

Client Window

Add Files

File History

Share


Linux Screen Shot

Linux GUI Client

Client Window

Add Files

File History

Share


Mac Screen Shot

Mac GUI Client

Client Window

Add Files

File History

Share


Solaris Screen Shot

Solaris GUI Client

Client Window

Add Files

File History

Share


Dreamweaver Screen Shot

Macromedia Studio (Dreamweaver) Plug-in

Connect to server (With Proxy settings)

Database Settings

Right-Click menu

Select Dynamsoft SourceAnywhere for VSS project


Eclipse Screen Shot

Eclipse Plug-in

Server Information

Database Settings

Commands

File History

Options


Server Manager Screen Shot

Server Manager

Server Manager

SourceSafe (VSS) Remote/Web/Internet Access | Software Configuration Management | SCM Solution
Software Configuration Management Online | Source/Version Control Online | Version/Source Control Software
Copyright © 2010 Dynamsoft Corporation. All Rights Reserved.


Cache Server Manager Screen Shot

Cache Server Manager

Cache Server Manager

SourceSafe (VSS) Remote/Web/Internet Access | Software Configuration Management | SCM Solution
Software Configuration Management Online | Source/Version Control Online | Version/Source Control Software
Copyright © 2010 Dynamsoft Corporation. All Rights Reserved.


Cache Server

Dynamsoft SourceAnywhere for VSS Cache Server

From version 5.0, Dynamsoft SourceAnywhere for VSS provides a caching solution for distributed development. Dynamsoft SourceAnywhere for VSS Cache Server is an optional caching system. It is used to cache copies of requested server files, thereby improving the client responsiveness.

When you have more than 1 developer working on the same project at the same remote location, you need Dynamsoft SourceAnywhere for VSS Cache Server.

This is the scenario: When an user try to get or check out a file through Cache Server, if the file was transferred through this cache server before, the file will be transferred directly from Cache Server to client. No request is sent to server.

Additional features of Dynamsoft SourceAnywhere for VSS Cache Server are listed below:

  • Low Administrative Overhead
    Files are automatically cached upon requests; Dynamsoft SourceAnywhere for VSS Cache Server is self-maintaining.
  • Standard TCP/IP Communication Link
    Dynamsoft SourceAnywhere for VSS uses TCP/IP as the communication link between Dynamsoft SourceAnywhere for VSS Server, Dynamsoft SourceAnywhere for VSS Cache Server, and Dynamsoft SourceAnywhere for VSS Client. It allows the Dynamsoft SourceAnywhere for VSS Cache Server to be deployed over WAN or LAN with ease.
  • Encrypted Data Transmission
    Data transmission between Dynamsoft SourceAnywhere for VSS Server, Dynamsoft SourceAnywhere for VSS Cache Server and Dynamsoft SourceAnywhere for VSS Client can be secured by implementing Blowfish or SSL encryption.
  • Scalable Distribution Mechanism
    The distribution mechanism provided by Dynamsoft SourceAnywhere for VSS Cache Server can scale into the tens of servers as needed.

The deployment of Dynamsoft SourceAnywhere for VSS Cache Server is fairly straightforward. Please refer to the following sections for more information:

  • Installing Dynamsoft SourceAnywhere for VSS Cache Server
  • Configuring Dynamsoft SourceAnywhere for VSS Cache Server


Delta Transfer

Delta Transfer uses an algorithm for updating a file on one machine to be identical to a file on another remote machine. The algorithm identifies parts of the source file which are identical to some parts of the destination file, and only sends those parts which cannot be matched in this way. Effectively, the algorithm computes a set of difference without having both files on the same machine.

Typically, Delta Transfer works very well when the two machines are connected by a low-bandwidth, high-latency communications link. In this case, the connection between the two machines is the major bottleneck of the whole system. By dramatically reducing the amount of the bytes to be sent over the link, the efficiency of the operations would be greatly improved.

Particularly, source control is the ideal application for Delta Transfer to work extremely well. When we use source control tool, we mainly use it to record the modifications. The similarity of the different versions of a file is the key for Delta Transfer to perform its magic.

Note: Under the following cases, Delta Transfer may not be very helpful:

  • When the two machines are connected by LAN. Since the LAN is a very fast connection, the time saved by reducing the amount of bytes to be sent may not justify the time spent on generating the delta info and reconstructing the file.
  • If the file is in a compressed format. Since any small change in the original file usually results in a dramatic change in the compressed file, Delta Transfer would probably end up sending almost the whole original file plus some bytes used by the Delta Transfer algorithm itself. The most common compressed file formats are such as .zip, .rar, .mp3 and so on.

But no worries. Our Delta Transfer can function correctly, reasonably and efficiently under even these circumstances.


Encryption

Dynamsoft SourceAnywhere for VSS supports data encryption to protect passwords and data files from being compromised as they are transferred across the Internet. Dynamsoft SourceAnywhere for VSS supports the Blowfish encryption and SSL encryption.

Dynamsoft SourceAnywhere for VSS contains 128-bit cryptography and has been approved for limited export by the US Commerce Department in accordance with the Export Administration Act.

Export to following countries is prohibited by United States law: Cuba, Iran, Iraq, Libya, North Korea, Sudan, and Syria.


Edition Comparisons

The differences between Standard Edition and Professional Edition:

Features | Standard Edition | Professional Edition
File Transfer |  |
Delta Transfer |  |
Compression |  |
Intelligent File Change Detection |  |
Multi-thread File Transfer |  |
Security |  |
128-bit Blowfish Encryption |  |
128-bit SSL Encryption |  |
Built-in SSL Certification Authority (CA) |  |
Password Policy |  |
No Need to Expose VSS Database Folder |  |
Distributed Development |  |
Client/Server Architecture |  |
Cache Server |  |
Time Zone Offset Management |  |
IDE Integration |  |
Eclipse Plug-in |  |
Macromedia Studio |  |
Visual Studio 6.0 |  |
Visual Studio .NET 2003/2005/2008/2010 |  |
Borland Delphi 8.0 |  |
MSSCCI Support |  |
IBM Rational Rapid Developer 2003 |  |
Cross Platform |  |
Windows |  |
Linux |  |
Sun |  |
Mac OS X |  |
Other Platform where Java Virtual Machine runs |  |
Build Automation |  |
Ant Plug-in |  |
CruiseControl.NET Plug-in |  |
Command Line Client |  |
Windows Command Line |  |
Java Command Line |  |
Software Development Kit (SDK) |  |
COM SDK |  |
Java SDK |  |
Proxy |  |
Http Proxy |  |
Socks4 Proxy |  |
Socks5 Proxy |  |
VSS Operations |  |
Add Files |  |
Check Out/Check In |  |
Create Project |  |
Cloak Project |  |
Diff |  |
Delete/Purge |  |
Deploy Web Project |  |
Edit/View |  |
Get Latest Version |  |
Get Previous Version in a Project |  |
Label |  |
Move |  |
Pin/Unpin |  |
Refresh File List |  |
Refresh Project Tree |  |
Rename |  |
Set Working Folder |  |
Share/Branch |  |
Show File Difference |  |
Show Project Difference |  |
Show History |  |
Show Properties |  |
Stop Current Operation |  |
Status Search |  |
Undo Check Out |  |
Wildcard Search |  |
Miscellaneous |  |
Server Manager |  |
Multiple VSS Database Connections |  |
File Type Exclusion |  |
Web Project |  |


LICENSE AGREEMENT

IMPORTANT: PLEASE READ CAREFULLY.

THE USE OF THIS SOFTWARE IS SUBJECT TO THE TERMS OF THE LICENSE AGREEMENT PRINTED BELOW. IF YOU DO NOT AGREE WITH ANY OF THE TERMS, THEN YOU SHOULD NOT USE THE SOFTWARE OR ANY PART OF THE SOFTWARE IN ANY WAY. BY USING THIS PRODUCT, YOU AGREE TO BE BOUND BY ALL THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.

THE AGREEMENT

This document is a legal agreement between Dynamsoft Corporation, Canada, hereafter referred to as "Dynamsoft" and the user of the software herein referred to as "You".

License

Dynamsoft SourceAnywhere for VSS is licensed on a per user basis (not by concurrent users). For example, if you have three people who use Dynamsoft SourceAnywhere for VSS, you need to purchase three licenses: one license for each of those three people. Each user may install the Dynamsoft SourceAnywhere for VSS Client on multiple machines as needed.

Each unique active user will be bound to a Dynamsoft SourceAnywhere for VSS license. The inactive user doesn't take one license.

In order to activate Dynamsoft SourceAnywhere for VSS for operation, you must configure one or more serial numbers on the server-side. These serial numbers are used to tell the Server how many Client licenses you have purchased.

You may not modify, reverse engineer, decompile, disassemble Dynamsoft SourceAnywhere for VSS.

All rights reserved, except as expressly provided for in this agreement.

Legal Notice

To use Dynamsoft SourceAnywhere for VSS, you must be a licensed user of Microsoft Visual SourceSafe. Please refer to your Microsoft Visual SourceSafe license agreement for specific details.

Warranties and Disclaimers

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. ANY USE BY YOU OF THE SOFTWARE IS AT YOUR OWN RISK.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. UNDER NO CIRCUMSTANCE SHALL DYNAMSOFT BE RELIABLE FOR ANY DAMAGES WHATSOEVER ARISING FROM THE USING OR INABILITY TO USE DYNAMSOFT PRODUCT.


Getting Supported

Dynamsoft is committed to providing the best customer support in the industry. Our support team is ready to offer no time limit, high quality, friendly and responsively technical support for our valued registered users.

We provide technical support in the following means:
  • The up-to-date FAQ of Dynamsoft SourceAnywhere for VSS is available at http://www.dynamsoft.com/Products/SAW_FAQ.aspx.
    This collection of frequently asked questions (FAQ) provides brief answers to many common questions about Dynamsoft SourceAnywhere for VSS. You'll probably be able to find the answers to your questions right here.

  • Email is selected as the main means of support, since code can be exchanged easily in email and service quality can be ensured by monitoring. Our email address for Dynamsoft SourceAnywhere for VSS family products is sawvss@dynamsoft.com.

  • We provide Live Support on weekdays. Live Support is an online chat service for our customers to interact with our support professional in real time. This service is provided on our web site, http://www.dynamsoft.com.

  • You can also get supported from Dynamsoft Support Forum. It is a tech support forum community where members of this community can come to discuss and get help with all issues related to Dynamsoft products. The URL of our support forum is http://forums.dynamsoft.com.


Bug Reporting

Bug Reporting and Comment

To help us serve you better, should you discover any bugs or have any comments or suggestions, please tell us through sawvss@dynamsoft.com. Your comments are very important to us and we thank you very much for your effort.


Installation

The Dynamsoft SourceAnywhere for VSS is extremely easy to install. It is totally written in C++ from scratch, which means that you don't need any additional components and frameworks to support the installation.

The installation process is pretty straightforward. Simply run the installation executables and the setup wizard will guide you through all the steps.

The following topics are included in this section:

  • Installing Dynamsoft SourceAnywhere for VSS Server
  • Configuring Dynamsoft SourceAnywhere for VSS Server
  • Installing Dynamsoft SourceAnywhere for VSS Cache Server
  • Configuring Dynamsoft SourceAnywhere for VSS Cache Server
  • Installing Dynamsoft SourceAnywhere for VSS Client
  • Running Dynamsoft SourceAnywhere for VSS Client
  • Uninstalling Dynamsoft SourceAnywhere for VSS


Installing SAW for VSS Server

Installing Dynamsoft SourceAnywhere for VSS Server

The Dynamsoft SourceAnywhere for VSS Server is written in C++ from scratch, which means that you don't need any additional components and frameworks to support the Server installation.

The following topics are included in this page:

  • Configuration Requirement
  • Running the Setup
  • Starting the Server
  • VSS Database Consideration

Configuration Requirement

  • Pentium class CPU
  • 256 MB RAM
  • 64 MB free hard disk space
  • Windows 2000/2003/2008/Vista/7/XP/ NT 4 (SP6), either 32-bit or 64-bit
  • Network adapter/Modem
  • TCP/IP protocol
  • VSS Client API

Running the Setup

Running the setup is pretty straightforward and the setup wizard will guide you through all the steps.

Starting the Server

The server is installed as a system service, hence the server can be installed on any windows platforms which support service, such as Windows NT, 2000, XP, or 2003. It runs in the background with no user interface of any kind.

There are two ways to start the server.

One is through control panel: from Start Menu > Settings > Control Panel, select Administrative Tools, then Services. Right-click the Dynamsoft SourceAnywhere for VSS Server and select Start.

The other is through Server Manager:

VSS Database Consideration

The Dynamsoft SourceAnywhere for VSS Server does not necessarily need to be installed on the machine where the Visual SourceSafe database resides, even though that if the Server is installed on the same machine where the VSS database resides, it will have a better performance. It can be installed on a different machine from the one hosting the VSS database, as long as they are both on the same LAN. Nevertheless, the Dynamsoft SourceAnywhere for VSS Server does use the VSS Automation component (APIs), so the VSS Client component must be installed on the server machine hosting the Dynamsoft SourceAnywhere for VSS Server. Installing the VSS Client also installs the VSS APIs.


Configure Server Manager

Configuring Dynamsoft SourceAnywhere for VSS Server

After the installation of Dynamsoft SourceAnywhere for VSS server, before putting it to work, you need to do some necessary configurations through Server Manager.

The minimum configuration jobs should be done as follows:

  • Specify the IP address and port of the server in General Settings section.
  • If the Blowfish secure port is used, generate and export Blowfish User Keys for the Client or Cache Server.
  • Add the VSS databases in Databases section.
  • Specify which VSS users are allowed to access VSS databases through Dynamsoft SourceAnywhere for VSS server in Users section.
  • Start or Stop Dynamsoft SourceAnywhere for VSS Server service in Service Control section.

Additionally, you can accomplish the following administrative tasks through Server Manager:

  • Set the path for temp folder
  • Specify the size of memory used for server caching
  • Manage license information
  • Customize System Log
  • Choose appropriate password policy
  • Specify whether a user is allowed to access the current VSS database
  • Decide file types to be excluded from the SourceSafe database.
  • Designate some SourceSafe projects to be web projects.


Install SAW for VSS Cache Server

Installing Dynamsoft SourceAnywhere for VSS Cache Server

Dynamsoft SourceAnywhere for VSS Cache Server is used to cache copies of requested server files, providing faster access to files on the database. It is installed on the same LAN as the clients; or is installed on a machine on the WAN that connects to the clients with minimal WAN traffic using any standard TCP/IP connection.

The Dynamsoft SourceAnywhere for VSS Cache Server is written in C++ from scratch, which means that you don't need any additional components and frameworks to support the installation.

The following topics are included in this page:

  • Configuration Requirement
  • Running the Setup
  • Starting the Cache Server

Configuration Requirement

  • Pentium class CPU
  • 256 MB RAM
  • 64 MB free hard disk space
  • Windows 2000/2003/2008/Vista/7/XP/ NT 4 (SP6), either 32-bit or 64-bit
  • Network adapter/Modem
  • TCP/IP protocol

Running the Setup

Running the setup is very easy. Simply run the installation executable and the setup wizard will guide you through all the steps.

Starting the Cache Server

The cache server is installed as a system service, hence the cache server can be installed on any Windows platforms which support service, such as Windows NT, 2000, XP, or 2003. It runs in the background with no user interface of any kind.

There are two ways to start the cache server.

One is through control panel: from Start Menu > Settings > Control Panel, select Administrative Tools, then Services. Right-click the SourceAnywhere Cache Server and select Start.

The other is through Cache Server Manager:


Configure Cache Server

Configuring Dynamsoft SourceAnywhere for VSS Cache Server

After the installation of Dynamsoft SourceAnywhere for VSS Cache Server, you should do some necessary configurations through Dynamsoft SourceAnywhere for VSS Cache Server Manager to make it work.

Before starting Dynamsoft SourceAnywhere for VSS cache server service, you have to do the following configurations at least:

  • Establish the service relation between Dynamsoft SourceAnywhere for VSS cache server and Dynamsoft SourceAnywhere for VSS server in Service Relation section.
  • If the encryption type of Dynamsoft SourceAnywhere for VSS cache server port is set to Blowfish in Service Relation Setting dialog box, export the Blowfish user keys in Blowfish User Keys section.
  • If the port of Dynamsoft SourceAnywhere for VSS server specified in Service Relation Setting dialog box is a Blowfish secure port, import the Blowfish user keys exported by Dynamsoft SourceAnywhere for VSS server in Client Encryption section.

For your reference, several configuration examples are given in Cache Server Manager section.

In addition, you can accomplish the following administrative tasks through Cache Server Manager:

  • Specify the path of temp folder and transfer type
  • Set the size of memory used for server caching
  • Customize the system log


Installing SAW for VSS Client

Installing Dynamsoft SourceAnywhere for VSS Client

The Dynamsoft SourceAnywhere for VSS Client is written in C++ from scratch, which means that you don't need any additional components and frameworks to support the client installation.

The following topics are included in this page:

  • Configuration Requirement
  • Running the Setup
  • IDE Integration

Configuration Requirement

  • Pentium class CPU
  • 64 MB RAM
  • 32 MB free hard disk space
  • Windows 2000/2003/2008/Vista/7/XP/ NT 4 (SP6), either 32-bit or 64-bit
  • Network adapter/Modem
  • TCP/IP protocol

Running the Setup

Running the setup is pretty straightforward. Simply run the installation executable and the setup wizard will guide you through all the steps.

IDE Integration

IDE Integration may be enabled during the Client installation process. To enable Dynamsoft SourceAnywhere for VSS integration into development environments, click the Yes button in response to the question:

"Would you like Dynamsoft SourceAnywhere for VSS to be your default Source Code Control provider?"

If Dynamsoft SourceAnywhere for VSS is not to be the default Source Code Control provider, click No.

The IDE Integration is suitable for use in development environments with the Microsoft Source Code Control Interface (MSSCCI), such as Visual C++ 6.0, Visual Basic 6.0, and Visual Studio .NET, including Visual Basic .NET, Visual C++ .NET, and Visual C# .NET.

Dynamsoft SourceAnywhere for VSS provides a way for you to toggle between Source Code Control providers when using IDE integration. This feature can be accessed from Tools > Options > General. By enabling or disabling this option, you can change your system registry to choose either Dynamsoft SourceAnywhere for VSS or SourceSafe as your SCC provider.


Run SAW for VSS Client

Running Dynamsoft SourceAnywhere for VSS Client

After the setup is complete, start the Dynamsoft SourceAnywhere for VSS Client by using the entry created under the Start menu.

When the Client is run for the first time, a Connect to Server dialog will prompt for a server machine and the port number to connect. These values are specific to the Server installation. The server name should be either the host name or IP address of the machine hosting the Dynamsoft SourceAnywhere for VSS Server or Dynamsoft SourceAnywhere for VSS Cache Server. The port number is the port on which the Server was configured to listen for Client messages.

Importing Blowfish User Key

If the Dynamsoft SourceAnywhere for VSS Server has been configured to listen on a Blowfish secure port, the Client must be initialized with a Blowfish user key to connect to the secure port.

The Blowfish user key is generated by the Dynamsoft SourceAnywhere for VSS Server or Dynamsoft SourceAnywhere for VSS Cache Server to which the Client will connect.

To initialize the Client with the Blowfish user key, start the Dynamsoft SourceAnywhere for VSS Client. Under the Tools menu, select the Import Blowfish User Key command and specify the location and name of the file.

If the Server has been configured to listen on an SSL secure port or an unsecure port, the Client needs nothing to access this port.


Uninstall SAW for VSS

Uninstalling Dynamsoft SourceAnywhere for VSS

Uninstalling Server

First, stop Dynamsoft SourceAnywhere for VSS Server service.

Then, run the installation program of SourceAnywhere for VSS Server and select Uninstall. Or from Start Menu > Settings > Control Panel, select the Add/Remove Programs and highlight and remove the Dynamsoft SourceAnywhere for VSS Server entry.

Uninstalling Cache Server

First, stop Dynamsoft SourceAnywhere for VSS Cache Server service.

Then, run the installation program of SourceAnywhere for VSS Cache Server and select Uninstall. Or from Start Menu > Settings > Control Panel, select the Add/Remove Programs. Then, highlight and remove the Dynamsoft SourceAnywhere for VSS Cache Server entry.

Uninstalling Client

Run the installation program of SourceAnywhere for VSS Client and select Uninstall. Or from Start Menu > Control Panel, select Add or Remove Programs; then highlight and remove the Dynamsoft SourceAnywhere for VSS Client entry.


Client

Dynamsoft SourceAnywhere for VSS includes the following types of Client:

  • Windows GUI Client
  • Java GUI Client
  • Visual Studio IDE Client
  • Macromedia Studio Plug-in
  • Eclipse Plug-in
  • Windows Command Line Client
  • Java Command Line Client


Client Window

Windows GUI Client

The Dynamsoft SourceAnywhere for VSS Windows GUI Client window looks like Visual SourceSafe Explorer. Below the toolbar is a Source Location Bar which used to goto an existing project. The pane on the left side (Project Tree) includes a tree view of the SourceSafe database. The pane on the right (File List) is a listing of the files in the currently selected project. The file list view includes a status field that offers some information of the file.

Above the File List pane is Working Folder Bar which displays the local working directory assigned to currently selected project. The lower pane (Status Window) is a listing of recently performed operations.

Window Items

Source Location

Typing a valid project path in the bar and press Enter enable you go to the project location directly.

NOTE: Currently, only valid folder path can be performed successfully. Invalid folder path or file path will be regarded as incorrect path.

If you type in a incorrect path, you will get the following error message box:

Project Tree

The Project tree displays as a hierarchical tree on the left side (by default) of the Client window. The top of the tree is called the root project and is displayed as $/. Since SourceAnywhere for VSS 6.0, Project Tree window is designed as dockable and floating which allows users to drag it to other locations.

Dynamsoft SourceAnywhere for VSS Client users must have a minimum of read permission to this root project in order for Dynamsoft SourceAnywhere for VSS to retrieve the project tree. These permissions are set in the SourceSafe Admin tool.

File List

    Name: The name of the file.

    User: The name of the user who checked out the file.

    Date-time: The date of the remote copy of the file.

    Local Modification: The last modification date/time of the local copy of the file in the working folder.

    Remote Version: The version number of remote copy of the file.

    Local Version: The version number of local copy of the file in the working folder.

    Status: Shows the state of the local copy of the file in the working folder.

    Status | Explanation
Normal | The local copy in the working folder has not been edited. It matches the version in the repository.
Edited | The local copy in the working folder is checked out and has been edited. The remote version has not changed.
Renegade | The local copy in the working folder has been edited but is not currently checked out.
Needs Merge | The local copy in the working folder is checked out and edited. The remote version has also been edited.
Old | The server copy of the file is newer than the local copy in the working folder. The local copy in the working folder has not been edited.
Missing | The local copy in the working folder does not exist.
Unknown | The local copy exists in the working folder but SourceAnywhere for VSS cannot determine its status.
More Recent | The local copy in the working folder has not been edited and is a version of the file which is more recent than the current version on the server.

    Check Out Folder: Shows the path of the check out folder.

Working Folder

Display the local working directory path of currently selected project. From SourceAnywehere for VSS 6.0, the path is designed as a hyperlink which enables users to explore the working folder easily. See also Set Working Folder.

Status Window (Output Window)

The Status Window is located in the lower portion (by default) of the Client window. The successes or failures of recently performed file operations are dynamically logged to this window. Every operation that is performed in the Dynamsoft SourceAnywhere for VSS Client during a session is documented in the Status Window.

Since SourceAnywhere for VSS 6.0, there are four optional window mode for Status Window: Floating, Dockable, Auto Hide and Hide:

The number of lines to display in the Status Window is configurable from Tools > Options > View. The default is 500 lines. To clear the Status Window, select Clear Status Window from the Edit menu.


Basic Operations

  • Add Files
  • Branch
  • Change Password
  • Check In
  • Check Out
  • Clear Status Window
  • Cloak Project
  • Create Project
  • Delete a File or Project
  • Deploy
  • Edit
  • Get Latest Version
  • Import Blowfish User Key
  • Label
  • Move
  • Pin
  • Refresh
  • Rename
  • Set Working Folder
  • Share
  • Show Difference
  • Show History
  • Show Properties
  • Status Search
  • Stop Current Operation
  • Undo Check Out
  • View
  • Wildcard Search


Add Files

Add Files (File Menu)

See Also

  • Add Files dialog box

Files may be added to any existing project. Files may be added one at a time, several at a time or recursively from the project level.

How to Add files

    1. Highlight the project in the Project Tree where you want the new files to reside.

    2. Click Add or choose Add from either the File menu or by right-clicking the selected project.

    3. The Add Files dialog box will be displayed.

Note: You can also use drag-drop operation to add files from Windows Explorer to Project Tree or File List in Dynamsoft SourceAnywhere for VSS client window.


Branch

Branch (SourceSafe Menu)

See Also

  • Branch Comment Dialog Box

A shared file may be branched in Dynamsoft SourceAnywhere for VSS. After a shared file is branched, the share link is broken and the changes made to that file are not reflected in other projects.

How to Branch Shared Files:

    1. Select the files from the File List.

    2. Choose the Branch command from either the SourceSafe menu.

    3. Add any comments to the Branch Comment Dialog Box and then click OK.


Change Password

Change Password (Tools Menu)

See Also

  • Change Password Dialog Box

Dynamsoft SourceAnywhere for VSS allows you to change your SourceSafe password through the Tools menu.


Check In

Check In (SourceSafe Menu)

See Also

  • Check In Dialog Box

After a file is checked out and edited, the modifications can be added to the database by performing a Check In operation.

How to Check In Files

    1. Highlight the edited files in the File List.

    2. Click Check In or select Check In from the SourceSafe menu or by right-clicking the selected files.

    3. Check In comments can be added in the Comment field of the Check In Dialog Box.

How to Check In Project

    1. Highlight the project in the Project Tree.

    2. Click Check In or select the Check In command from the SourceSafe menu or by right-clicking the selected project.

    3. Check In comments may be added in the Comment field of the Check In Dialog Box.

NOTE:

If you try to check in a shared file, you may get the prompt message that the shared file was not checked out here.


Check Out

Check Out (SourceSafe Menu)

See Also

  • Check Out Dialog Box

The Check Out command enables users to edit specific files locally. This command locks files or projects within the database. Once files are checked out, the user who has the files locked is displayed in the User column of the File List.

Files retrieved during the Check Out operation are copied locally into the current working folder. A global option may be set to Never Replace Local Copy During Checkout from the Files tab of Tools > Options.

How to Check Out Files

    1. Highlight the files in File List.

    2. Click Check Out or select Check Out from the SourceSafe menu or by right-clicking the selected file.

How to Check Out Project

    1. Highlight the project in Project Tree.

    2. Select Check Out or choose the Check Out command from the SourceSafe menu or by right-clicking the selected project.

NOTE:

If you try to check out a shared file, you may get the prompt message that the shared file was checked out to another location.


Clear Status Window

Clear Status Window (View Menu)

To clear status window, choose the Clear Status Window command from Edit menu.


Cloak Project

Cloak Project (Tools Menu)

A project may be cloaked in Dynamsoft SourceAnywhere for VSS. Cloaked projects will be skipped in recursive operations. For example, commands such as Get Latest Version, Check Out, Check In, Undo Check Out and Show Differences will not affect a cloaked project.

How to Cloak Project

    1. Select the project from the Project Tree.

    2. Choose the Cloak Project command from the Tools menu.

    3. The file symbol in the Project Tree will change to light gray, indicating that the project has been cloaked.

How to Uncloak Project

    1. Select the cloaked project.

    2. Choose the Uncloak Project command from the Tools menu.


Create Project

Create Project (File Menu)

See Also

  • Create Project Dialog Box

All operations performed in Dynamsoft SourceAnywhere for VSS are performed from within a project. All projects created within Dynamsoft SourceAnywhere for VSS are subprojects of a higher level project. The highest level project is the root project ($/). Creating projects in Dynamsoft SourceAnywhere for VSS is similar to creating projects in SourceSafe.

How to Create Project

    1. Highlight the folder where the new project belongs.

    2. Click Create Project or choose Create Project from the File menu or by right-clicking the selected project.

    3. Enter the name of the project and add any comments in the Create Project dialog box and then click OK.


Delete

Delete a File or Project (File Menu)

See Also

  • Delete Dialog Box

There are two levels of deletion in Dynamsoft SourceAnywhere for VSS: Delete and Destroy. If a file is shared across two projects, the Delete and Destroy Permanently commands will only remove the file from within the currently selected project.

How to Delete a File or Project

    1. Select the file or project in Dynamsoft SourceAnywhere for VSS Explorer.

    2. Click Delete or choose Delete from the File menu or by right-clicking the selected project or file to display the Delete Dialog Box.

    3. Click OK.


Deploy

Deploy (Tools Menu)

See Also

  • Deploy Dialog Box

The Deploy command will copy projects to a web server. To enable this functionality, the web projects and the path to the web server must be entered in the Web Projects tab of the Dynamsoft SourceAnywhere for VSS Server Manager utility. Once the project or projects have been entered, a visual clue will be provided to show which projects are deployable.

How to Deploy Project

    1. Select the web project.

    2. Choose the Deploy command from the Tools menu. This operation is recursive for the project and all subprojects.


Edit

Edit (Edit Menu)

See Also

  • View or Edit Dialog Box

A file may be checked out and edited in a single operation using the Edit command.

How to Edit file

    1. Select a file from the File List.

    2. Click Edit or choose Edit File from either the Edit menu or by right clicking the selected file.

NOTE: Files locked by other users may not be edited unless Multiple Check Out is enabled in the VSS database. The Edit command will check out the file, if needed, and then open the file in an editor application.

The file editor in Windows Clients may be configured in the Application and arguments for Viewing and Editing Files option under Tools > Options > External Programs. In Windows, Notepad is the default. If this box is left blank, Dynamsoft SourceAnywhere for VSS will open the files with their associated Windows application.

Binary files are not readable in Notepad and should not be edited in Notepad. Choose a viewing and editing application that will open the files most common to the database.


Get Latest Version

Get Latest Version (SourceSafe Menu)

See Also

  • Get Latest Version Dialog Box

The Get Latest Version operation retrieves the latest version of files.

By default, files are retrieved in read-only mode. A global option may be set in the Files tab of Tools > Options enabling the latest version of files to be retrieved in read-write mode. Files retrieved during the Get Latest Version operation are copied locally into the current working folder.

If there is already a writable copy of the file in your working folder, Dynamsoft SourceAnywhere for VSS would give you an option each time. A global option may be set to others during Get Latest Version from the Files tab of Tools > Options.

How to Get File Latest Version

    1. Select the files to be retrieved from the File List.

    2. Either click Get Latest Version or choose Get Latest Version from either the SourceSafe menu or by right-clicking the selected files.

How to Get Project Latest Version

    1. Highlight the project in the Project Tree.

    2. Click Get Latest Version or choose Get Latest Version from either the SourceSafe menu or by right-clicking the selected project.

NOTE: A Get Latest Version Dialog Box will be presented with the option to perform the operation recursively. If the Recursive check box is selected, then all files in all subfolders will be retrieved during the Get operation. This can be a time consuming operation depending on the number of files and subprojects in the selected project. You can disable this dialog from the Command Dialogs tab of Tools > Options.

A lengthy recursive operation may be stopped by using the Stop Current Operation command.


Import Blowfish User Key

Import Blowfish User Key (Tools Menu)

Allows you to import the Blowfish user keys of users that will connect to the Blowfish secure port of the Server or Cache Server. Dynamsoft SourceAnywhere for VSS manages the Blowfish encryption by referencing a key file (*.SEK) containing the user key.

How to Import Blowfish user key

    1. Select Import Blowfish user key from the Tools menu.

    2. In Open File dialog box, browse the path to the Blowfish user key file (*.SEK) exported from Dynamsoft SourceAnywhere for VSS Server Manager or Dynamsoft SourceAnywhere for VSS Cache Server Manager.

Note: The Client should import the Blowfish user keys before connecting to the Blowfish secure port of the Server or Cache Server.


Label

Label (File Menu)

See Also

  • Label Dialog Box

Projects and files can be identified with labels. These are usually more descriptive than version numbers and can be affixed at the project or file level. Labels are a convenient way to document a specific point in development time. Labels applied to files can be viewed by clicking the Details button in the History dialog.

How to Label a Project

    1. Highlight the project in the Project Tree.

    2. Select the Label command from the File menu.

    3. From within the Label dialog box, enter a label name and any comments. The label will be applied to all files within the project and any subproject files.

How to Label Files

    1. Highlight the file in the File List.

    2. Select the Label command from the File menu or by right-clicking.

    3. From within the Label dialog box, enter a label name and any comments. The label will be only applied to the files selected in the File List.


Move

Move (File Menu)

See Also

  • Move Dialog Box

How to Move Project

    1. In the Dynamsoft SourceAnywhere for VSS Explorer Project Tree, click the subproject you want to move.

    2. On the File menu, click Move to display the Move Dialog Box.

    3. Click the new location for the subproject.

    4. Click OK.

How to Move File

    1. In the Dynamsoft SourceAnywhere for VSS Explorer File List, click the file you want to move.

    2. On the File menu, click Move to display the Move Dialog Box.

    3. Click the new location for the file.

    4. Click OK.


Pin

Files can be pinned in Dynamsoft SourceAnywhere for VSS just as in SourceSafe. A file that has been pinned is denoted with a pin symbol. When you pin a file, you are locking in a particular version of the file. In other words, no changes can be made to a file as long as it is pinned. Thus, when a Get Latest operation is performed on a pinned file, the pinned version is the version that will be retrieved, even if there is a more recent version.

How to Pin a File

    1. Select the file in the File List.

    2. Click Show History or choose the Show History command from either the Tools menu.

    3. Select the version you want to pin from the File History dialog box and click Pin. A pin symbol will be displayed to the left of that file version in the History dialog as well as to the left of that file in the File List, indicating the pinned status of the file.

How to Unpin a File

    1. Select the file in the File List.

    2. Click Show History or choose the Show History command from either the Tools menu.

    3. Select the pinned version from the File History dialog box and click Unpin. The pin symbol will be removed from that file version in the History dialog and from the left of that file in the File List.


Refresh File List

Refresh (View Menu)

Refreshes both the file list and project tree of a project in Dynamsoft SourceAnywhere for VSS Explorer.

How to Refresh a Project

    1. Highlight the desired project.

    2. Click the Refresh button or select the Refresh from either the View menu or by right-clicking.

NOTE: The first time you operate on a project during a session, Dynamsoft SourceAnywhere for VSS performs the Refresh command automatically. Thereafter, you need to perform the Refresh command manually to update the file list or project tree of this project.


Rename

Rename (File Menu)

See Also

  • Rename Dialog Box

Dynamsoft SourceAnywhere for VSS allows the names of files and projects to be changed without affecting the history of the file.

How to rename a file or project

    1. Select the name to be edited.

    2. Choose the Rename command from either the File menu or by right-clicking.

    3. Type the new name of the file or project in the New Name field of the Rename dialog box and then press OK.

NOTE: If a file exists locally, it will not be renamed in the Working Directory. Perform the Get Latest Version operation to retrieve a new copy of the file with the new name.

If a shared file is renamed, the name of the file will be changed in all of the projects that share it. Rename will not affect any files that have been branched.


Set Working Folder

Set Working Folder (File Menu)

See Also

  • Set Working Folder Dialog Box

Dynamsoft SourceAnywhere for VSS uses working folders in the same way as VSS. The Set Working Folder command communicates to Dynamsoft SourceAnywhere for VSS where local copies of the files in that project are located, as well as where they should be placed when retrieved from the database.

A working folder can be set at any level of the Project Tree hierarchy. Some users specify a single working folder at the root of the tree. Working folders are automatically inherited from parents in the tree. Subprojects may be individually configured to have a different working folder than the parent project.

Just like SourceSafe, if a working folder is not set for a given project or any of its tree ancestors, then Dynamsoft SourceAnywhere for VSS will be unable to determine where the local files of this project are stored. In this case, Dynamsoft SourceAnywhere for VSS will be unable to accurately show the status of files in the File List view.

How to Set Working Folder

    1. Highlight the project for which the folder will be set.

    2. Click Set Working Folder or choose the Set Working Folder command from either the File menu or by right-clicking the selected folder.

    3. Select a folder from the Folders list in the Set Working Folder Dialog Box.

After setting working folder, the working folder path of selected project will be displayed above the File List Pane:

The working folder path is designed as a hyperlink. Click on the hyperlink can bring you to corresponding location of current working folder.

NOTE: If the desired Working Folder does not exist in the selection view, enter a folder name in the Name field and it will be created automatically.

If a working folder is not set for a child project, the child project will automatically inherit the working folder setting from its parent project.

A user may wish to unset a working folder if the folder is not a part of the parent project's hierarchy. To unset a working folder, select a folder and click Set Working folder or choose the Set Working Folder command from the File menu. Clear the path in the Name field of the Set Working Folder dialog box and press OK. This project will now inherit a working folder from the parent project if available.


Share

Share (SourceSafe Menu)

See Also

  • Share Dialog Box

Dynamsoft SourceAnywhere for VSS enables the current version of a file or a complete project to be shared with another project in the same way as VSS.

How to Share

    1. Select a project which you want to share files or a project with another project.

    2. Click Share or choose the Share command from either the SourceSafe menu.

    3. A Share Dialog Box will be presented.

Note: A project can not be shared recursively under its descendant.


Show Difference

Show Difference (Tools Menu)

See Also

  • Show File Difference Dialog Box
  • Show Project Difference Dialog Box

The Show Differences operation in Dynamsoft SourceAnywhere for VSS can be performed at the file level and project level. Dynamsoft SourceAnywhere for VSS may be configured with a diff utility (available separately) that will enable the user to generate a list of differences between the local and remote copies of a file/project or of two specific revisions of the same file/project.

To see the differences between the local copy of a file/project and the latest version of the file/project in the SourceSafe database:

    1. Select the specific file in the File List or the specific project in the Project Tree.

    2. Click Show Differences or choose the Show Differences command from either the Tools menu or by right- clicking the selected file or the selected project.

To see the differences between the local copy of a file and any historical version of the file:

    1. Select the file from the File List.

    2. Click Show History or choose the Show History command from the Tools menu or by right-clicking the selected file.

    3. Select the historical version of the file from within the History dialog box, and then click Diff.

To see the differences of two historical versions of a file from the History dialog box

    1. Select two versions of the file.

    2. Click Diff.


Show History

Show History (Tools Menu)

See Also

  • File/Project History Option Dialog Box
  • Project History Dialog Box
  • File History Dialog Box

Project History

The complete history of a project can be viewed by using the Show History command.

To see the revision history of a project:

    1. Select the project in the Project Tree.

    2. Click the Show History button or select the Show History command from either the Tools menu or by right-clicking.

    3. A File/Project History Options Dialog Box containing various options for displaying the history will be presented.

File History

The history of a file may be viewed by using the Show History command.

To see the revision history of a file:

    1. Select the file in the File List.

    2. Click the Show History button or choose the Show History command from either the Tools menu or by right-clicking.

    3. A File/Project History Options Dialog Box containing various options for displaying the history will be presented.


Show Properties

Show Properties (File Menu)

See Also

  • Project Properties Dialog Box
  • File Properties Dialog Box

How to Show Project Properties

File or project properties may be viewed by using the Show Properties command.

    1. Select the project in the Project Tree.

    2. Click the Show Properties button or select the Show Properties command from either the File menu or by right-clicking.

    3. A Project Properties dialog with two tabs will be presented. These tabs include: General and Deleted Items.

How to Show File Properties

The properties of a file may be viewed by using the Show Properties command.

    1. Select the file in the File List.

    2. Click the Show Properties button or select the Show Properties command from either the File menu or by right-clicking.

    3. A File Properties dialog with three tabs will be presented. These tabs include: General, Checkout Status and Links.


Status Search

Status Search (Tools Menu)

See Also

  • Status Search Dialog Box

T o search check out status

  1. On the Tools menu, click Status Search.
  2. To display all checked-out files, click Display all checked out files.
  3. To display files checked out to a particular user, click Display files checked out to.
  4. Click Refresh file lists before searching to synchronize the client with server before searching.
  5. For a global search, click Search in All Projects.
  6. Click OK to start the search and open the Search Result Dialog Box.


Stop Current Operation

Stop Current Operation (File Menu)

The Stop Current Operation command allows the user to stop a lengthy procedure. Any time the stop button is enabled, the Stop command may be used.

To stop an operation, click the Stop Current Operation button or choose the Stop Current Operation from the File menu. The Stop command does not undo any part of the procedure that was performed before the Stop command was issued.

NOTE: When a Stop command is performed, the Client disconnects from the Server and then automatically reconnects. This starts a new session.


Undo Check Out

Undo Check Out (SourceSafe Menu)

See Also

  • Undo Check Out Dialog Box
  • Undo Check Out Changed File Dialog Box

After a file or project is checked out, it is possible to undo Check Out. This operation is convenient if the files are not edited or if the user decides not to check in an edited file or project.

How to Undo Check Out File

    1. Select the files that are checked out.

    2. Click Undo Check Out or choose Undo Check Out from either the SourceSafe menu or by right-clicking the selected files. The files will revert to the state before the Check Out operation was performed.

How to Undo Check Out project

    1. Select the project that is checked out.

    2. Click Undo Check Out or choose the Undo Check Out command from either the SourceSafe menu or by right-clicking the selected project. The project will revert to the state before the Check Out operation .

NOTE:

If you try to undo check out a shared file, you may get the prompt message that the shared file was checked out to another location.

If you try to undo check out a file which was checked out by others, you may get the prompt message that the file was checked out by others.


View

View (Edit Menu)

See Also

  • View or Edit Dialog Box

Dynamsoft SourceAnywhere for VSS allows a user to view the latest version of a file without checking out or replacing the local copy of the file.

How to View a File

    1. Select a file from the File List.

    2. Click View or select View File from either the Edit menu or by right-clicking the selected file.

NOTE: The file editor in Windows may be configured in the Application and arguments for Viewing and Editing Files option under Tools > Options > External Programs. In Windows, Notepad is the default. If this box is left blank, Dynamsoft SourceAnywhere for VSS will open files with their associated Windows application.

Binary files are not readable in Notepad. Choose a viewing and editing application that will open the files most common to the database.


Wildcard Search

Wildcard Search (Tools Menu)

See Also

  • Wildcard Search Dialog Box
  • Wildcard Search Result Dialog Box

Allow you to use wildcard characters to search one or more file(s).

In the wildcard characters, the interrogation (?) represents just a letter and the asterisk (*) is a wild card that stands for any combination of letters.

For example, to search a file named "index.txt", you can type the wildcard characters like *.txt, in???.* or ??*.???.


Dialog Boxes (Client)

Dialog Boxes

  • Add Files Comment Dialog Box
  • Add Files Dialog Box
  • Branch Comment Dialog Box
  • Change Password Dialog Box
  • Check In Dialog Box
  • Check In Unchanged File Dialog Box
  • Check Out Dialog Box
  • Connect to Server Dialog Box
  • Connect to Server Dialog Box (with proxy settings)
  • Create Project Dialog Box
  • Delete Dialog Box
  • Deploy Dialog Box
  • File History Dialog Box
  • File Properties Dialog Box
  • Get Latest Version Dialog Box
  • History Details Dialog Box
  • History Option Dialog Box
  • Get Latest Version Dialog Box
  • Label Dialog Box
  • Login Dialog Box
  • Move Dialog Box
  • Project History Dialog Box
  • Project Properties Dialog Box
  • Rename Dialog Box
  • Search Result Dialog Box
  • Set Working Folder Dialog Box
  • Share Dialog Box
  • Share Files Comment Dialog Box
  • Show File Difference Dialog Box
  • Show Project Difference Dialog Box
  • Status Search Dialog Box
  • Undo Check Out Dialog Box
  • Undo Check Out Changed File Dialog Box
  • View or Edit Dialog Box
  • Wildcard Search Dialog Box
  • Wildcard Search Result Dialog Box


Add Files Comment Dialog Box

See Also

  • Add Files

Add comments to the files you are adding.

Dialog Box Items

Comment

Enter comments for the added files.

Store only latest version

Check to only store latest versions of the files in the SourceSafe database.

Recursive (Project level only)

Indicates you want files in all subfolders added when you select an entire folder to add. Available only when you select a folder and then click Add.

File Type

Allows you to change file type including Text, Binary and Auto-Detect. Text files can perform diff/merge operations, but Binary files can not.

OK

Uses the same comment for all the files you are adding.

Cancel

Returns to Add Files dialog box without adding files.


Add Files Dialog Box

See Also

  • Add Files

Copy a file, or a group of files, into the current Dynamsoft SourceAnywhere for VSS project. In the Add Files dialog box, you can specify a file on any drive and folder, and that file is copied into the current Dynamsoft SourceAnywhere for VSS project.

Dialog Box Items

Folders

Specifies the folder that contains the files you want to add.

List Files

Lists the file type, or tells Dynamsoft SourceAnywhere for VSS how to classify a file.

The list of file types available is determined by the File Types Included In File Group filter and the File Groups filter set on the File Types tab in the Tools > Options dialog box. All Files (*.*) lists all files in the current folder.

Close

Click to exit the dialog box without adding the file to the project.

Add

Click to bring up the Add Files Comment Dialog Box allowing you to add the selected files or folder to the selected project. The Add Files Comment dialog box displays a comment box in which you can enter comments (optional).

Note: Some files may be rejected by server, such as a file with the same name as a file already exists in the project, the file type to exclude is specified in Server Manager and VSS configuration files (mssccprj.scc and vssver.scc ).


Branch Comment Dialog Box

See Also

  • Branch

Break a share link while retaining a copy of the file.

Dialog Box Items

Comment

Type a comment describing the branching.

OK

Confirm the Branch command.

Close

Closes the dialog box and cancels the Branch command.


Change Password Dialog Box

See Also

  • Change Password

Allows you to change the password used to log in to the SourceSafe database.

In Dynamsoft SourceAnywhere for VSS, click Change Password on the Tools menu.

Dialog Box Items

Old

Specifies the current password. You can leave it blank if there is no password (a zero-length string) now.

New

Specifies the new password (up to 15 characters). A blank password is accepted but not recommended.

Verify

Allows you to retype the new password to verify it.

Note: Dynamsoft SourceAnywhere for VSS passwords are displayed as asterisks.


Check In Dialog Box

See Also

  • Check In
  • Check In Unchanged File Dialog Box

Updates database with changes made to the checked-out files, creating a new version.

In Dynamsoft SourceAnywhere for VSS, select a checked out file or project and click Check In on the SourceSafe menu.

Remarks

When you check in a changed file or project, a new version on the server will be created automatically.

When you check in an unchanged file, it's optional for you to create a new version on server. To specify the default behavior, select the Check in unchanged files option on the Tools->Options-> General Tab.

Dialog Box Items

From

Specifies the local path of the file(s) you are checking in.

Recursive (project-level Check In only)

Checks in the project and all its subprojects.

Note: The cloaked project will not be checked in.

Override Working Folders (project-level Check In only)

Overrides the working folder set for the subprojects involved in a recursive operation. This is useful if you have some shared files checked out in more than one project, and want to check them all in at the same time. Available only when you select the Recursive check box.

Keep Checked Out

Updates the database with your modifications, but keeps the file(s) checked out to you. You can make this the default behavior by checking the Always Keep Files Checked Out option on the Tools->Options-> Files Tab.

Remove Local Copy

Removes the local copy from your working folder.

Comment

Specifies an optional comment (up to 4096 characters).

OK

Confirms the Check In operation.

Cancel

Cancels the Check In operation and closes the dialog box.


Check In Unchanged File Dialog Box

<File> has not been changed. Do you want to create a new version of the file in Server?

Remarks

This dialog box prompts you to decide whether to create a new version when checking in unchanged file(s) or project. It appears only when you select Ask on the Tools->Options-> General Tab.

Dialog Box Items

Do you want to create a new version of the file in server?

Yes

Checks in the file and creates a new version for the file on server.

Yes All

Applies answer Yes to all items you are checking in.

No

Undoes the checkout and does not increment the version number of the file.

No All

Applies answer No to all items you are checking in.

Cancel

Cancels checking in the file or project and closes the dialog box.


Check Out Dialog Box

See Also

  • Check Out

Retrieves writable copies from Dynamsoft SourceAnywhere for VSS and places them in your working folder, so that you can modify them.

In Dynamsoft SourceAnywhere for VSS, select the items you want to check out and click Check Out on the SourceSafe menu.

Remarks

The Check Out command enables users to edit specific files locally. This command locks the checked out files and projects within the database so that they can not be deleted, pinned or renamed.

Dialog Box Items

Comment

Specifies an optional comment (up to 63 characters) on the Check Out operation. The comment you have added can be viewed on the Check Out Status tab in the File Properties dialog box.

To

Specifies the working folder to which the items are checked out. By default, SouceAnyWhere copies files into your working folder with the same name as in the database. However, you can enter a different folder and file path, or click Browse to select a different location in the folder tree.

Recursive (project-level Check Out only)

Checks out the project and all its subprojects.

Note: The cloaked subproject could not be checked out.

Build Tree Override Working Folders (project-level Check Out only)

Overrides the working folder set for the subprojects involved in a recursive operation, and builds a Project Tree that mirrors the project organization on your local computer. Working folder settings for individual subprojects are ignored. Available only when you select the Recursive check box.

Don't Get Local Copy

Tells Dynamsoft SourceAnywhere for VSS not to retrieve local copies of the items. Dynamsoft SourceAnywhere for VSS records that the file is checked out, but does not write a new copy to your working folder.

Replace Writable

Determines how Dynamsoft SourceAnywhere for VSS behaves when you try to check out a file that is already marked as writable in your working folder. Possible options are as follows:

    Ask: Prompts for each file when a writable version is found on your local disk.

    Replace: Replaces the local file with the version on the server (and lose all local changes).

    Skip: Does not check out files from server to local folder (not retrieving the latest version from the server).

    Merge: Automatically attempts to merge differences between the local copy and the latest version in the database.

End-of-line Terminator

Specifies the end-of-line terminator for files. Possible options are as follows:

    Mac(\r)

    Unix(\n)

    Windows (\r\n)

The default EOL mode is set on the Tools->Options-> Files Tab. It needs to be changed if the operating system where the working folder resides differs from the operating system Dynamsoft SourceAnywhere for VSS Client is currently running on. For example, if Dynamsoft SourceAnywhere for VSS Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(\r) so that files retrieved to the working folder will be displayed correctly.

Set File Time

Associates a time with the checkout. Possible options are as follows:

Current: Sets the modified date and time of the local copy to the current date and time.

Modification: Sets the modified date and time of the local copy to the date and time when the file was last modified.

Check In: Sets the modified date and time of the local copy to the date and time when the file was last checked in.

The default option in this dropdown list is set on the Tools->Options-> Files Tab.

Only show this dialog when the Shift key is down

Hides this dialog box unless you hold down SHIFT key and select Check Out command at the same time.

OK

Confirms the Get operation.

Close

Closes the dialog box without checkout.


Connect to Server Dialog Box

Allows you to connect to Dynamsoft SourceAnywhere for VSS server or Dynamsoft SourceAnywhere for VSS cache server.

In Dynamsoft SourceAnywhere for VSS, click Connect to Server on the File menu.

Dialog Box Items

Server

Specifies the IP or name of Dynamsoft SourceAnywhere for VSS server or cache server.

Port

Specifies the port number of Dynamsoft SourceAnywhere for VSS server or cache server.

Connect

Connects to Dynamsoft SourceAnywhere for VSS server or cache server.

Close

Cancels the Connect To Server command and closes the dialog box.

Option

Opens the proxy information dialog box which allows you to connect to Dynamsoft SourceAnywhere for VSS Server or Cache Server through a proxy server.

Note: Dynamsoft SourceAnywhere for VSS retains the server address and port of the last 5 successful connections.


Connect to Server Dialog Box (with Proxy Settings)

Allows you to connect to Dynamsoft SourceAnywhere for VSS Server or Dynamsoft SourceAnywhere for VSS Cache Server through a proxy server.

In Dynamsoft SourceAnywhere for VSS, access the Connect to Server dialog box and click Options.

Dialog Box Items

Server

Specifies the IP or name of Dynamsoft SourceAnywhere for VSS Server or Cache Server.

Port

Specifies the port number of Dynamsoft SourceAnywhere for VSS Server or Cache Server.

Connect

Connects to Dynamsoft SourceAnywhere for VSS server or cache server.

Close

Cancels the Connect To Server command and closes the dialog box.

Proxy Information Panel

Proxy Type

Specifies the Proxy type.

Server name

Specifies the server IP of the Proxy.

Port

Specifies the server port of the Proxy.

User name (if the proxy requires authentication)

Specifies the proxy username.

Password (if the proxy requires authentication)

Specifies the proxy password.

Note: Dynamsoft SourceAnywhere for VSS retains the server address and port of the last 5 successful connections. You can also configure the proxy information on the Tools->Options-> Proxy Tab.


Create Project Dialog Box

See Also

  • Create Project

Creates a new subproject under the currently selected project.

In Dynamsoft SourceAnywhere for VSS, click Create Project on the File menu.

Remarks

The newly created subproject will automatically inherit the security rights from the parent project.

All projects created within Dynamsoft SourceAnywhere for VSS are subprojects of a higher level project. The highest level project is the root project ($/).

Dialog Box Items

Project

Specifies the name for the new project.

Comment

Specifies the brief description of the project.

OK

Confirms the input and creates the project.

Close

Cancels the Create Project command and closes the dialog box.


Delete Dialog Box

See Also

  • Delete a file or project

Removes items from a project, and marks them as deleted.

In Dynamsoft SourceAnywhere for VSS, select the items you want to delete and click Delete on the File menu.

Remarks

There are two levels of deletion in Dynamsoft SourceAnywhere for VSS: Delete and Destroy Permanently.

The deleted items still exist in the database and can be viewed on the Project Properties->Deleted Items Tab. You can choose to recover or purge these items at any time. However, the permanently destroyed items cannot be found and recovered.

Note: Checked-out or pinned items cannot be deleted.

Dialog Box Items

Item

Shows the names of the items to be deleted.

Destroy Permanently

Specifies that the selected items and associated information such as history and links will be purged from the database. The permanently destroyed items are not recoverable. If it's possible for you to retrieve the items, do not check this box.

OK

Confirms the Delete command.

Close

Cancels the Delete command and closes the dialog box.


Deploy Dialog Box

See Also

  • Deploy

Deploys Web projects or other information one or more web servers.

In Dynamsoft SourceAnywhere for VSS, click Web Deploy on the Tools menu.

Remarks

To enable this command for a specific project, the Dynamsoft SourceAnywhere for VSS administrator must designate this project as Web project and specify a deployment path in Web Projects box of the Server Manager first, and then restart the service. Once this is done, a visual clue will be provided to show which project(s) is deployable. You can deploy only an entire project marked as a Web site project, not single files.

When enabled, the Web Deploy command overwrites existing files with the same name in the deployment folder, even if you have selected Skip in Replace Writable files option on Tools->Options->Files Tab.

Dialog Box Items

To

Displays the path where the Web project will be deployed.

Make Writable

Sets the read-write flag so that the file is writable. This is not the default behavior, but may be useful if you want to try a temporary change in the file, or want to rename the file after getting it.

Only show this dialog when the Shift key is down

Hides this dialog box unless you hold down SHIFT key and select Deploy command at the same time.

OK

Confirms the Deploy command.

Close

Cancels the Deploy command and closes the dialog box.


File History Dialog Box

See Also

  • Show History
  • Project History Dialog Box
  • File/Project History Options Dialog Box

Shows the historical information for the selected File. The dialog box is modeless which means you can view multiple History Dialog Boxes concurrently.

In Dynamsoft SourceAnywhere for VSS, select one file, access the File History Option dialog box and click OK.

Dialog Box Items

History

Displays the history of the selected file, including all significant events listed with the most current event at the top of the display. For each event, the dialog box shows the version number, the user who performed the action, the date and time when the event happens, and the description of the action.

Close

Closes the dialog box.

View

Displays the File Dialogue Box, allowing you to view the file as it is stored in the database.

Details

Shows the comments associated with an event, along with more detailed event information in History Details Dialog Box, such as label information, version information, check-out comments, and so forth.

Get

Performs the Get command on the selected version of the file.

Pin/Unpin

Performs the Pin or Unpin command on the selected file. (This button toggles between Pin and Unpin depending on the pinned state of the selected file.)

Diff

Performs the Show Differences command on the selected file. You can compare the selected version of file with another version, or with another file. To compare two different versions of a file, hold down the Ctrl key while selecting the two versions of interest. Then click the Diff button.

Export

Exports the file history to a file .


File Properties

File Properties Dialog Box

See Also

  • Show Properties
  • Project Properties Dialog Box

File Properties Dialog Box Tabs

  • General
  • Check Out Status
  • Links


Get Latest Version Dialog Box

See Also

  • Get Latest Version

Retrieves the most recent version of a file, a group of files, or an entire project from Dynamsoft SourceAnywhere for VSS and creates read-only copies for viewing or compiling in your working folder.

In Dynamsoft SourceAnywhere for VSS, select one or more items, then click Get Latest Version on SourceSafe menu.

Dialog Box Items

To

Specifies the working folder to which the items are copied. By default, SouceAnyWhere copies files into your working folder with the same name as in the database. However, you can enter a different folder and file path, or click Browse to select a different location in the folder tree.

Recursive (project-level Get only)

Checks out the project and all its subprojects.

Note: The cloaked subproject could not be copied to the specified working folder..

Build Tree Override Working Folders (project-level Get only)

Overrides the working folder set for the subprojects involved in a recursive operation, and builds a Project Tree that mirrors the project organization on your local computer. Working folder settings for individual subprojects are ignored. Available only when you select the Recursive check box.

Make Writable

Specifies whether to get a writable copy of the selected item.

Replace Writable

Determines how Dynamsoft SourceAnywhere for VSS behaves when you try to get a file that is already marked as writable in your working folder. Possible options are as follows:

    Ask: Prompts for each file when a writable version is found on your local disk.

    Replace: Replaces the local file with the version on the server (and lose all local changes).

    Skip: Does not retrieve files from server to local folder (not retrieving the latest version from the server).

    Merge: Automatically attempts to merge differences between the local copy and the latest version in the database.

End-of-line Terminator

Specifies the end-of-line terminator for files. Possible options are as follows:

    Mac(\r)

    Unix(\n)

    Windows (\r\n)

The default EOL mode is set on the Tools->Options-> Files Tab. It needs to be changed if the operating system where the working folder resides differs from the operating system Dynamsoft SourceAnywhere for VSS Client is currently running on. For example, if Dynamsoft SourceAnywhere for VSS Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(\r) so that files retrieved to the working folder will be displayed correctly.

Set File Time

Associates a time with the Get command. Possible options are as follows:

Current: Sets the modified date and time of the local copy to the current date and time.

Modification: Sets the modified date and time of the local copy to the date and time when the file was last modified.

Check In: Sets the modified date and time of the local copy to the date and time when the file was last checked in.

The default option in this dropdown list is set on the Tools->Options-> Files Tab.

Only show this dialog when the Shift key is down

Hides this dialog box unless you hold down SHIFT key and select Get command at the same time.

OK

Confirms the Get operation.

Close

Closes the dialog box without retrieving any item.


History Details Dialog Box

See Also

  • File History Dialog Box
  • Project History Dialog Box

Displays details of the history of a file or project.

In Dynamsoft SourceAnywhere for VSS, access the File or Project History dialog box, select an item in the event list, and then click Details on the right.

Dialog Box Items

File

Shows the path and full name of the selected item.

Version

Shows the version number of the selected item.

Date

Shows the date and time the selected item was created or last checked out.

User

Shows the user who created the version.

Label

Shows the label, if any, for the file or project. You can also change the label.

Close

Closes the dialog box.

Comment

Shows the comment of the history.

Label Comment

Shows the comment entered when a label was applied.

Next

Shows information on the next item in the History list.

Previous

Shows information on the previous item in the History list.


History Option Dialog Box

File/Project History Option Dialog Box

See Also

  • Show History
  • Project History Dialog Box
  • File History Dialog Box

Specifies the filter conditions for the file/project history.

In Dynamsoft SourceAnywhere for VSS, select one item and click Show History on the Tools menu.

Dialog Box Items

Recursive (project only)

Displays the subproject histories as part of the project history..

Include file history (project only)

Displays project file histories as part of the project history.

Include Labels:

Displays the label's history as part of the item history.

Labels only

Displays only the label's history of the selected item. This checkbox is active when Include Labels is selected. You can use this checkbox with the Data Range fields to find all projects with the designated labels, but it will not search through the files in those projects for designated labels.

Date Range

Do not filter by date

Does not restrict the item history by date.

On or before

Displays item history that is on or before the specified date.

On or after

Displays item history that is on or after the specified date..

Include range

Restricts the history report to the specified date range.

From: Specifies the starting date of the history report.

To: Specifies the ending date of the history report.

Include Past Days

Only displays the item history in the past several days specified.

User

Only displays the item history associated with the specified user.

OK

Confirms the options and shows the File/Project History dialog box.

Cancel

Closes this dialog box without showing any history information.


Label Dialog Box

See Also

  • Label

Assigns a label to the specified version or current version of a file or project.

In Dynamsoft SourceAnywhere for VSS, select an item you want to label and click Label on the File menu.

Remarks

If you want to label an old version of the selected item, remember to pin it first so as to ensure that you have the edit permission on the specified version.

Dialog Box Items

Label

Specifies the description (up to 31 alphanumeric characters) of the label.

Comment

Specifies an optional comment (up to 4096 characters) on the label.

OK

Confirms the label.

Close

Closes the dialog box without any label.


Login Dialog Box

Logs in the database. This dialog box is displayed after you connect to Dynamsoft SourceAnywhere for VSS server.

Dialog Box Items

User

Specifies the username, which must be configured on the User tab of the Server Manager.

Password

Specifies the password.

Database

Specifies the database, which must be configured on the Database tab of the Server Manager.

Remember Password

Check this option to remember password.

Encryption Status

Shows the status of Encryption.

OK

Connects to the specified database.

Close

Cancels the login command and closes this dialog box.

Note: Dynamsoft SourceAnywhere for VSS retains the user name and database of the last successful connection. If a secure port is used, the right Encryption Key file should be imported.


Move Dialog Box

See Also

  • Move

Moves the selected file or project to a new location.

In Dynamsoft SourceAnywhere for VSS, select an item you want to move and click Move on the File menu.

Remarks

Checked-out or pinned item cannot be moved.

This command does not rename a project, and it does not affect the histories of the parent projects.

Dialog Box Items

To

Specifies the path to which the selected item will be moved.

OK

Moves the selected item.

Close

Cancels the Move command and closes the dialog box.


Project History Dialog Box

See Also

  • Show History
  • File History Dialog Box
  • File/Project History Options Dialog Box

Shows the historical information for the selected project. The dialog box is modeless which means you can view multiple History Dialog Boxes concurrently.

In Dynamsoft SourceAnywhere for VSS, select one file, access the Project History Option dialog box and click OK.

Dialog Box Items

History

Displays the history of the selected project, including all significant events listed with the most current event at the top of the display. For each event, the dialog box shows the version number, the user who performed the action, the date and time when the event happens, and the description of the action.

Close

Closes the dialog box.

Details

Shows the comments associated with an event, along with more detailed event information in History Details Dialog Box, such as label information, version information, check-out comments, and so forth.

Get

Performs the Get command on the selected version of the selected project.

Share

Share the selected historical version of current project. Files in the historical version will be pinned automatically after being shared to another location.

Export

Exports the project history to a file.


Project Properties Dialog Box

See Also

  • Show Properties
  • File Properties Dialog Box

Project Properties Dialog Box Tabs

  • General Tab
  • Deleted Items Tab


Rename Dialog Box

See Also

  • Rename

Renames a file or project.

In Dynamsoft SourceAnywhere for VSS, select the item you want to rename, and then click Rename on the File menu.

Dialog Box Items

New Name

Specifies the new name of the file or project.

OK

Confirms the Rename command.

Close

Cancels the Rename command and closes the dialog box


Search Result Dialog Box

See Also

  • Status Search

The dialog box is modeless which means you can view multiple Search Result Dialog Boxes concurrently.

Dialog Box Items

Item list

  • Name: The name of the file.
  • User: The name of the user who checked out the file.
  • Date-Time: The date of the remote copy of the file.
  • Check out folder: Shows the path of the check out folder.

View

Views the selected item.

Get latest version

Gets latest version of the selected item(s).

Check out

Checks out the selected items if multi-checkout is allowed.

Check in

Checks in the selected item(s).

Undo check out

Undoes check out the selected item(s).

Show Difference

Shows difference between the selected two items or between the selected item and the local file in the working folder.

Show History

Shows history of the selected item.

Export

Exports the search result to a local disk as a file.

Close

Closes the dialog box and return to Dynamsoft SourceAnywhere for VSS client explorer.


Set Working Folder Dialog Box

See Also

  • Set Working Folder

Specifies a working folder on your computer to save the VSS file copies..

In Dynamsoft SourceAnywhere for VSS, click Set Working Folder on the File menu.

Remarks

You must specify a working folder before any action that copies files from the database.

Dialog Box Items

Name

Specifies the name and path of working folder.

Folders

Allows you to navigate to the directory of the working folder.

OK

Saves the specified folder as your default working folder.

Close

Cancels the Set Working Folder command and returns to SouceAnyWhere Explorer.

New Folder

Creates a new folder.


Share Dialog Box

See Also

  • Share

Shares the current version of an item to make it a member of the current project.

In Dynamsoft SourceAnywhere for VSS, click Share on the SourceSafe menu.

Remarks

Changes made to the shared file will propagate to file versions in other projects unless you branch the file(s).

Dialog Box Items

Projects

Specifies the name of the project being shared from.

File to Share

Click a file name displayed. Files listed are those that can be shared with your current project: Some files cannot be shared, such as files with the same name as a file already in your project.

List Files of Type

Lists the file type, or tells Dynamsoft SourceAnywhere for VSS how to classify a file.

The list of file types available is determined by the File Types Included In File Group filter and the File Groups filter is set on the File Types tab in the Tools > Options dialog box. All Files (*.*) lists all files in the current folder.

Share

Opens the Share Files Comment dialog box allowing you to share the selected files or folder to the selected project. The Share Files Comment dialog box displays a comment box in which you can enter comments (optional).

Branch after Share

Shares the file, then immediately branches it to create separate copies of the file.


Share Files Comment Dialog Box

See Also

  • Share

Adds a comment for the files you are sharing.

In Dynamsoft SourceAnywhere for VSS, access the Share Dialog Box, click Share.

Dialog Box Items

New Name

Specifies a name for the new project.

Comment

Comments on the shared files.

Recursive (Project level only)

Indicates you want files in all subfolders to be shared recursively. It's available only when you select a folder and then click Share.

OK

Uses the same comment for all the files you are sharing.

Cancel

Returns to Share Files dialog box without sharing files.


Show File Difference Dialog Box

See Also

  • Show Difference
  • Show Project Difference Dialog Box

Allows you to compare a SourceSafe file with its local copy.

In Dynamsoft SourceAnywhere for VSS, select a file and click Show Differences on the Tools menu.

Remarks

If local copy of the file exists in the working folder, this dialog will be skipped when you compare the master copy of the file to the local copy.

If local copy of the file does not exist in the working folder, this dialog will be prompted for the local file to which the master copy of the file will be compared. You can type the file path in To field or click the Browse button to specify your selection.

Dialog Box Items

Compare / To

Specifies the path of the local file.

OK

Executes the Show Differences command.

Close

Cancels the Show Differences command and closes the dialog.


Show Project Difference Dialog Box

See Also

  • Show Difference
  • Show File Difference Dialog Box
  • Project Difference Dialog Box

Allows you to compare:

  • A SourceSafe project with it's local copy.
  • Two SourceSafe projects.
  • Two Windows folders.

In Dynamsoft SourceAnywhere for VSS, select a project and click Show Differences on the Tools menu.

Dialog Box Items

Compare / To

Specifies the projects you want to compare. If you are performing a routine project difference, by default the Compare field will contain the project in VSS and the To field will contain its counterpart in the working folder.

View Options (Available only for Folder Diff)

  • Recursive: Shows the differences for the selected folder and all its descendants.
  • Show files that are only in the compare location: Includes files in the source path only.
  • Show files that are only in the to location: Includes files in the target path only.
  • Show files that are different in both places: Includes all files that are in both places but are different from each other.
  • Show files that are the same in both places: Includes files in both places that are the same from each other.

OK

Executes the Show Differences command.

Close

Cancels the Show Differences command and closes the dialog box.


Status Search Dialog Box

See Also

  • Status Search
  • Status Search Result Dialog Box

Searches for checked out files by different filter conditions.

In Dynamsoft SourceAnywhere for VSS, click Status Search on the Tools menu.

Dialog Box Items

Display all checked out files

Shows all checked-out files, no matter who has them checked out.

Display files checked out to

Specifies a user so that you can see files checked out only by that user, instead of all checked-out files. If the text box is blank, you can see all checked-out files.

Refresh file lists (Synchronize with server) before searching

Gets the latest files from server and refresh file lists before performing search command.

Search Area

Specifies which projects/subprojects you want to be included in the search. You can search the current project only, the current project and all its subprojects, or all projects in the database.

OK

Shows the search result.

Cancel

Cancels the Status Search command and returns to the Dynamsoft SourceAnywhere for VSS Explorer.


Undo Check Out Dialog Box

See Also

  • Undo Check Out
  • Undo Check Out Changed File

Cancels the checkout operation on files or project, undoing all changes.

In Dynamsoft SourceAnywhere for VSS, select the items you want to undo checkout, and then click Undo Check Out on the SourceSafe menu.

Remarks

You can specify whether to show this dialog box on Tools->Options-> Command Dialogs Tab.

Dialog Box Items

Local Copy

Specifies how to deal with your local file copies. Possible options are:

    Replace: Replaces the file in your working folder - Dynamsoft SourceAnywhere for VSS performs the Get Latest Version command on the file. This keeps your working folder synchronized with the contents of the project, because all your changes are ignored.

    Delete: Deletes the file in your working folder.

    Leave: Leaves the file alone.

Recursive (project-level Undo Check Out only)

Undoes the Check Out on all files in the selected project, and all files in all subprojects of the selected project.

Override Working Folders (project-level Undo Check Out only)

Overrides the working folder set for the subprojects involved in a recursive operation. This is useful if you have files checked out in more than one project, and want to undo the check out of all of them at the same time. Available only when you click the Recursive check box.

Note: The cloaked project will not be undone check out.

Only show this dialog when the Shift key is down

Hides this dialog box unless you hold down SHIFT key and select Undo Check Out command at the same time.

OK

Confirms the Undo Check Out command.

Cancel

Closes this dialog box, keeping the item(s) checked out.


Undo Check Out Changed File

<File> has changed. Undo check out and lose changes?

See Also

  • Undo Check Out
  • Undo Check Out Dialog Box

This dialog box appears when the items you want to undo check out have been changed. You can set whether to show this dialog box on the Tools->Options->Files Tab.

Remarks

This warning has the following causes and solutions:

    1. You are about to undo the check out of a file. If you do so, you discard all the changes made since you checked out the file.
    2. If you want to put your changes into VSS instead of losing them, use the Check-In command instead.


View or Edit Dialog Box

See Also

  • View
  • Edit

Allows you to view or edit the selected file.

In Dynamsoft SourceAnywhere for VSS, select a file, click View File or Edit File on the Edit menu.

Remarks

You can specify whether to show this dialog box on Tools->Options-> Command Dialogs Tab.

Dialog Box Items

Do you want to

Specifies the way to open the selected file. Possible options are:

  • View SourceSafe's copy of this file: Allows you to get the file copy to a temp folder and view it.

  • Check out this file and edit it in your working folder: Allows you to check out the file to your working folder and edit it.

Select an external editor application

Specifies the editor program for viewing or editing the selected file. Possible options are:

  • Use the system default application for this file type: Opens the file with the system default application.

  • Use Application: Opens the file with a specified application. You can click the Browse button to select an application and use arguments for the application if needed. For example, an appropriate entry in the Arguments field for Ultraedit is: %FILE% /r /3/1. %FILE% represents the path of the file, /r represents that the opened file is read-only, /3/1 represents that the cursor is located in the 3rd row and 1st line when the file is open.

    Note: "%FILE%" is requested to represent the path of the file according to the requirement of some applications. The arguments for the external application should conform to its given syntactic regulation.

Only show this dialog when the Shift key is down

Hides this dialog box unless you hold down SHIFT key and select View or Edit command at the same time.

OK

Opens a file editor.

Cancel

Cancels the View or Edit command and closes the dialog box.


Wildcard Search Dialog Box

Wildcard Search Dialog Box

See Also

  • Wildcard Search
  • Wildcard Search Result Dialog Box

Searches files which match the string in Wildcard Text field. Wildcard searches are supported.

In Dynamsoft SourceAnywhere for VSS, click Status Search on the Tools menu.

Dialog Box Items

Wildcard

Specifies a file name or string with wildcard characters such as * and ?.

Search Area

Specifies which projects/subprojects you want to be included in the search. You can search the current project only, the current project and all its subprojects, or all projects in the database.

Refresh file lists (Synchronize with server) before searching

Gets the latest files from server and refresh file lists before performing search command.

OK

Shows the search result.

Cancel

Cancels the Wildcard Search command and returns to the Dynamsoft SourceAnywhere for VSS Explorer.


Wildcard Search Result Dialog Box

Wildcard Search Result Dialog Box

See Also

  • Wildcard Search
  • Wildcard Search Dialog Box

Displays the search result of a wildcard search. The dialog box is modeless which means you can view multiple Search Result Dialog Boxes concurrently.

Dialog Box Items

Item list

  • Name: The name of the file.
  • User: The name of the user who checked out the file.
  • Date-Time: The date of the remote copy of the file.
  • Check out folder: Shows the path of the check out folder.

View

Views the selected item.

Get

Gets latest version of the selected item(s).

Export

Exports the search result to a text file.

Close

Closes the dialog box.


Customizing

Options (Tools ->Options)

  • General Options
  • View Options
  • Files Options
  • Difference Options
  • Proxy
  • External Programs
  • File Types
  • Command Dialogs


General Options

General Options (Tools Menu > Options)

Set and change general configuration options.

Tab Items

Use compression for data transfer

Dynamsoft SourceAnywhere for VSS supports file compression to speed the transfer of files. Using Dynam-Zlib, files are compressed before being transmitted and uncompressed when received. File compression is an optional feature. Because it speeds the transfer of files, the default setting for the file compression feature is ON.

Use delta transfer for data transfer

Dynamsoft SourceAnywhere for VSS supports delta transfer to speed the transfer of files. In non-LAN connection, it can speed up the file transfer greatly.

Note: This feature is for Professional Edition only.

Act on project recursively

This option enables Dynamsoft SourceAnywhere for VSS to always act recursively by default on all projects and subprojects during operations that support recursion. Since performing recursive operations can sometimes be a lengthy process, the default setting for this option is OFF.

Make Dynamsoft SourceAnywhere for VSS your default SCC Provider

Dynamsoft SourceAnywhere for VSS provides a way for you to toggle between Source Code Control providers when using IDE integration. By enabling or disabling this option, you can change your system registry to choose either Dynamsoft SourceAnywhere for VSS or SourceSafe as your SCC provider. While Dynamsoft recommends against changing back and forth between Dynamsoft SourceAnywhere for VSS and SourceSafe on the same machine, this option is helpful for individuals who occasionally need to switch between SCC providers and are familiar with the ramifications.

Check if the socket is valid before the network operation

If this option is checked, Dynamsoft SourceAnywhere for VSS will check the status of the socket before network operations. If the socket is invalid, it will reconnect to server automatically. This functionality ensures the validity of the socket before network operations and thus effectively reduces the "socket error".

Note:

  • Enabling the functionality may make network operations a little slower.
  • Besides Dynamsoft SourceAnywhere for VSS Explorer, this option applies to other Windows Client (if any), including Visual Studio IDE Client, Macromedia Studio Plug-in and Command Line Client.

Double Click on a File

A file in the File List can be either viewed or edited by double-clicking on it. The Double-click on a File option may be set to Ask, View or Edit. If Ask is selected, a dialog is displayed offering the choice to Edit or View the file when the file is double-clicked. If either View or Edit is selected, the file will automatically be opened in that mode when double-clicked.

Check in unchanged files

The check in unchanged files option may be set to Ask, Check in or Undo check out. If Ask is selected, a dialog box is displayed offering the choice to Check in or Undo check out when you check in an unchanged file. If Check in or Undo check out is selected, Dynamsoft SourceAnywhere for VSS will perform the selected operation automatically.

Connection Type

Specify connection type and the proper selection will speed up the operations. It includes Local Connection, Broad Band Connection and Narrow Band Connection.

Use Visual Merge

Specify whether using visual merge mode or not. It includes:

Yes: Always use visual merge no matter if there are conflicts.

No: Auto merge no matter whether there are conflicts or not.

Only if there are conflicts: Use visual merge only if there are conflicts.

Setting Folder for Temporary Files

Specify here where you want Dynamsoft SourceAnywhere for VSS to store temporary files, or click Browse to search for and select a temporary file location. The default is the Temp subfolder under the folder in the Application Data>Dynamsoft.

Delete all temporary files

Clear the folder stored temporary files.

Note: Creating your Temp folder locally, rather than on a server, may increase Dynamsoft SourceAnywhere for VSS performance.


View Options

View Options (Tools Menu > Options)

Set Dynamsoft SourceAnywhere for VSS Explorer view options.

Tab Items

Number of lines to display in status window

Every operation that is performed in the Dynamsoft SourceAnywhere for VSS Client during a session is documented in the Status Window. The number of lines to display in the Status Window is configurable. The default is set to 500 lines.

Refresh options

Auto refresh the project only the first time being operated on

When this option is enabled, Dynamsoft SourceAnywhere for VSS will auto refresh the project only when it's operated on for the first time.

Auto refresh the project each time being operated on

When this option is enabled, Dynamsoft SourceAnywhere for VSS will auto refresh the project each time it's operated on.

Never refresh the project unless being refreshed manually

When this option is enabled, Dynamsoft SourceAnywhere for VSS will never refresh the project unless it's refreshed manually.


File Options

Files Options (Tools Menu > Options)

Set or change working folder options.

Tab Items

Always keep files checked out

When a file is checked in, it cannot be modified. Thus, selecting the Always Keep Files Checked Out option enables files to be kept in a checked out state upon Check In, so that they may still be modified after the Check In.

Remove local copy after check in

Automatically deletes the local copy of files you check in. This helps keep your disk usage to a minimum, and ensures that you always get the most recent version when you start work on a file.

Remove local copy after delete

Automatically deletes the working folder copy of a file you delete with the Delete command. This helps keep disk clutter to a minimum. And, as long as you haven't destroyed or purged the file in the VSS database, you can always recover the file later.

Use read-only flag for files that are not checked out

Set the read-only flag on files in your working folder. Dynamsoft SourceAnywhere for VSS assumes that files in your working folder that you don't have checked out are read-only. Dynamsoft SourceAnywhere for VSS sets the read-only flag when you perform a Get Latest Version, Add, Check In, or Undo Check Out command on a file, and uses it as a signal that you have not been modifying the file (so Dynamsoft SourceAnywhere for VSS can replace it).

Display warning for Undo check out of a modified file

Check this to display a dialog box when you undo check out a changed file.

Replace writable files

When you get or check out a file, Dynamsoft SourceAnywhere for VSS copies the file into your working folder. If there is already a writable copy of the file in your working folder, replacing the file may erase your work.

    Ask: A dialog box is displayed to give you an option each time.

    Replace: Replaces (overwrites) the file.

    Skip: Leaves the local file alone (not retrieving the latest version from the server).

    Merge: Attempts an automatic merge.

End-of-line terminator

The end-of-line terminator for files may be specified using this option. The options for end-of-line terminator are as follows:

  • Unix (\n)
  • Mac (\r)
  • Windows (\r\n)
The End-of-line Terminator option can be changed if the operating system where the working folders reside differs from the operating system being used by the Dynamsoft SourceAnywhere for VSS Client.

Server-based time zone offset

Specify the time zone difference between client and server. Allowed values are float between -24 and 24.

Set date/time on local files

This option allows you to specify how Dynamsoft SourceAnywhere for VSS sets the date/time for files in your working folder. The option you choose is the time you will see when you view files in the Windows Explorer.

  • Current - Sets the date and time of the file to the current date and time, whenever Dynamsoft SourceAnywhere for VSS gets a file. This signals the compiler that the file has just changed, and needs to be recompiled. This is the default.
  • Modification - Sets the local copy to the date and time the file was last modified.
  • Check In - Sets the local copy to the date and time the file was last checked in.


View Options

Difference Options (Tools Menu > Options)

Set MergeHero Diff options.

Tab Items

Compare Files

Ignore End-Of-Line terminator

When this option is enabled, MergeHero will not compare the EOL terminators in files.

Ignore Case

When this option is enabled, MergeHero will ignore case when comparing files.

Show Identical Files

When this option is enabled, MergeHero will show identical files in the comparison results.

Compare Directories

Include sub-directories

When this option is enabled, MergeHero will compare the sub-directories.


Proxy Options

Proxy Options (Tools Menu > Options)

Set proxy server options.

Tab Items

Proxy

Choose the proxy type (none, http, socks4 and socks5).

Server

Type the server IP.

Port

Type the server port.

User

Type the username.

Password

Type the password.


External Programs Options

External Programs Options (Tools Menu > Options)

Tab Items

Application for viewing and editing files

Dynamsoft SourceAnywhere for VSS can be configured with the viewing/editing application of the user's choice. The View and Edit commands will automatically open files using the utility configured here. If this box is left blank, Dynamsoft SourceAnywhere for VSS will open files with their associated Windows application.

Arguments for viewing and editing

This option allows you to specify the arguments to supply to the viewing/editing application when the application is invoked. The following macro is available (the macros are case-sensitive):

  • %FILE% - expands to the path of the file that will be edited or viewed.

For example, to invoke Ultraedit to edit or view a file, an entry for this field that is appropriate for Ultraedit is:

%FILE% /r /3/1

%FILE% represents the path of the file, /r represents it open the file in read-only mode, /3/1 represents the cursor is located in the 3th row and 1st line when the file is open.

Note: "%FILE%" is requested to represent the path of the file according to the requirement of some applications. The arguments for the external application should conform to its given syntactic regulation.

Application for diff/merge

This option is used to specify an external application for visual diff/merge on files or directories. The Dynamsoft SourceAnywhere for VSS Diff/Merge tool MergeHero is configured by default.

Note: If MergeHero is configured, the following arguments items will be invalid.

Arguments for diff files

This option allows you to specify the arguments to supply to the diff tool for files diff when the diff tool is invoked. The following macros are available (the macros are case-sensitive):

  • %FIRST_FILE% - expands to the path of the file that will be supplied for the left side of the diff output.
  • %SECOND_FILE% - expands to the path of the file that will be supplied for the right side of the diff output.
  • %FIRST_LABEL% - expands to the label that will be supplied to the file being diffed on the left side of the diff output.
  • %SECOND_LABEL% - expands to the label that will be supplied to the file being diffed on the right side of the diff output.

For example, to invoke windiff to compare two files from command line, the command is as follows:

Windiff path_to_first_file path_to_second_file

So, the entry for this field that is appropriate for the external diff tool Windiff is:

"%FIRST_FILE%" "%SECOND_FILE%"

Arguments for diff directories

This option allows you to specify the arguments to supply to the diff tool for directories diff when the diff tool is invoked. The following macros are available (the macros are case-sensitive):

  • %FIRST_DIR% - expands to the path of the directory that will be supplied for the left side of the diff output.
  • %SECOND_DIR% - expands to the path of the directory that will be supplied for the right side of the diff output.
  • %FIRST_LABEL% - expands to the label that will be supplied to the directory being diffed on the left side of the diff output.
  • %SECOND_LABEL% - expands to the label that will be supplied to the directory being diffed on the right side of the diff output.

Arguments for three-way merge:

This option allows you to specify the arguments to supply to the merge tool for three-way merge when the merge tool is invoked. The following macros are available (the macros are case-sensitive):

  • %BASE_FILE% - expands to the path of the file that is the common ancestor, or baseline between the two files being merged.
  • %THEIRS_FILE% - expands to the path of the first file that is being merged.
  • %YOURS_FILE% - expands to the path of the second file that is being merged.
  • %RESULT_FILE% - expands to the path of file that will be saved when the user merges the files together.
  • %FIRST_LABEL% - expands to the label supplied by the merge tool to put on top of the first file being merged.
  • %SECOND_LABEL% - expands to the label supplied by the merge tool to put on top of the second file being merged.


File Types Options

File Types Options (Tools Menu > Options)

Set options relating to the types of files that users store in VSS. Such as used in Add Files.

Tab Items

File Groups

Groups file types for your users' type of work, together with the File Types Included in the File Group option. These groups are displayed under List Files of Type in many Dynamsoft SourceAnywhere for VSS dialog boxes, so you can specify groups that filter the File List efficiently.

File Types Included In File Group

Shows the list of file types included in the currently selected file group under File Groups. To modify a specific group, select the group under File Groups, and then add or delete extensions in this box.

Add (File Group)

Adds a new group of file types to the list. In the Add File Group dialog box, type a name for the new file group you want to add, like "VC" or "VB."

Delete (File Group)

Deletes the currently selected group.

Add (File Type)

Click an item in the File Group, and then click this Add to add a type for the file. In the Add File Type dialog box, type a name for the new file type you want to add, like "cpp" or "txt".

Delete (File Type)

Deletes the currently selected type.


Command Dialogs Options

Command Dialogs Options (Tools Menu > Options)

Specify whether command dialogs are displayed with commands.

Command Dialogs for Files

Allows you to specify whether a dialog box appears in the following file commands:

Get Latest Version

When the Get Latest Version command option for files is enabled, a dialog box will appear when you perform a Get Latest Version on a file.

Check Out

When the Check Out command option for files is enabled, a dialog box will appear when you perform a Check Out on a file.

Undo Check Out

When the Undo Check Out command option for files is enabled, a dialog box will appear when you perform Undo Check Out on a file.

Edit and View

When the Edit and View command option for files is enabled, a dialog box will appear when you Edit or View a file. Both Edit and View File bring up the same dialog box. There are two notable options in this dialog: View SourceSafe's Copy Of This File and Check Out This File And Edit In Your Working Folder. You can also select which editor to use for viewing or editing the file; the system default application for the type of file, or one that you configure.

Command Dialogs for Projects

Allows you to specify whether a dialog box appears in the following project commands:

Get Latest Version

When the Get Latest Version command option for projects is enabled, a dialog box will appear when you perform a Get Latest Version on a project.

Check Out

When the Check Out command option for projects is enabled, a dialog box will appear when you perform a Check Out on a project. There are two notable options in this dialog: Recursive and Don't Get Local Copy.

Undo Check Out

When the Undo Check Out command option for projects is enabled, a dialog box will appear when you perform Undo Check Out on a project. There are two notable command options in this dialog: Recursive and Local Copy. Under the Local Copy menu, you can select to Delete, Leave or Replace the local copy of the project.

Deploy

When the Deploy command option for projects is enabled, a dialog box will appear when you select Deploy from the Tools menu. There is one notable option in this dialog: Make Files Writable.


New Page 1

Customizing

The following two ways can bring out the Customize Dialog Box:

1. Right-click on Menu Bar or Toolbar, then choose "Customize...".

2. Click on the arrow at the trail of Toolbar, go to "Add or Remove Buttons"->"Customize...".

In the Customize Dialog Box, you can customize:

  • Toolbars
  • Commands
  • Keyboard
  • Options


Visual SourceSafe

Toolbars Customizing

See Also

  • Commands Customizing
  • Keyboard Customizing
  • Options Customizing

Tab Items

The left pane

Display current toolbars. Menu Bar and Standard are default toolbars which can't be renamed or deleted.

You can control whether displaying a toolbar or not by checking/un-checking the name of the toolbar.

New

Create a new toolbar.

Rename

Rename a toolbar. Menu Bar and Standard can't be renamed.

Delete

Delete an existing toolbar. Menu Bar and Standard can't be deleted.

Reset

Recover the default set of a toolbar. The button is only available for Menu Bar and Standard.


Visual SourceSafe

Commands Customizing

See Also

  • Toolbars Customizing
  • Keyboard Customizing
  • Options Customizing

The Commands Tab is divided into two panes: Categories Pane and Commands Pane.

 The following operations are supported to customize commands in Toolbars:

1. Add a command: Choose a command icon from the Commands Tab, and add it to an appointed toolbar by dragging.

2. Move a command: Drag a command icon from one toolbar to another.

3. Delete a command: Right-click on a command icon in a toolbar and choose "Delete" to delete a command icon. Or, just drag the command icon out of the toolbar.

4. Customize a command: Directly right-click on a command icon can bring out various options for users to make an individual customizing:


Visual SourceSafe

Keyboard Customizing

See Also

  • Toolbars Customizing
  • Commands Customizing
  • Options Customizing

Assign shortcut keys to specific commands.

Tab Items

Category

Choose a category from the drop-down list: File, Edit, View, SourceSafe, Tools, Help and Styles.

Commands

Display all the commands corresponding to the aforementioned category.

Key assignments

Display the shortcut key assigned to the selected command.

Press new shortcut key

Enter new shortcut key you would like to assign to the selected command.

Assign

Assign new shortcut key to the selected command.

Remove

Remove a shortcut key which exists in Key Assignment box.

Reset All

Recover all key assignments to system default setting.


Visual SourceSafe

Options Customizing

See Also

  • Toolbars Customizing
  • Commands Customizing
  • Keyboard Customizing

Allow you to change the display format of menu bar and toolbars.


Java Client

Java GUI Client

Dynamsoft SourceAnywhere for VSS Java GUI Client can run on any platform where Java Virtual Machine can run, including Windows, Linux, Mac, Solaris, AIX, HP-UX, SCO Unix, FreeBSD and so on. Dynamsoft SourceAnywhere for VSS Java Client works with Dynamsoft SourceAnywhere for VSS Professional Edition Server.

  • How to run Java Client
  • Other documentation


Java Client

How to run Java Client

JDK version 1.4.2.8 or above is needed for Dynamsoft SAW for VSS Java environment.

Windows

  1. Download JDK version 1.4.2.8 or above from http://www.sun.com and install it.
  2. Set Java environment for running the java applications (including *.jar). Please refer to http://java.sun.com/j2se/1.4.2/runtime_win32.html.

You can use the MS-DOS command prompt to run the Dynamsoft SAW for VSS java client. Go to the folder where the Dynamsoft SAW for VSS java client is installed, then perform the command: java -jar SAWforVSS.jar

Or go to the folder where the Dynamsoft SAW for VSS java client is installed, right-click the SAWforVSS.jar and choose Open With>Choose Program>Browse, select the javaw.exe in the bin folder under the JDK installation directory.

Linux

  1. Download JDK version 1.4.2.8 or above from http://www.sun.com and install it
  2. Set Java environment for running the java applications (including *.jar). Please refer to http://java.sun.com/j2se/1.4.2/jre/install-linux.html.

You can open the Console and go to the folder where the Dynamsoft SAW for VSS java client is installed, then perform the
command: java -jar SAWforVSS.jar

Or go to the folder where the Dynamsoft SAW for VSS java client is installed, right-click the SAWforVSS.jar and choose Open With>Other Application>Go there>Browse, select the "java command" in the bin folder under the JDK installation directory and add "-jar" parameter to run SAW for VSS java client.

Sun Solaris

You can open the Console and go to the folder where the Dynamsoft SAW for VSS java client is installed, then perform the
command: java -jar SAWforVSS.jar

Mac OS X

You can open the Console and go to the folder where the Dynamsoft SAW for VSS java client is installed, then perform the
command: java -jar SAWforVSS.jar


Java Client

Other Documentation

For other documentation of Dynamsoft SourceAnywhere for VSS Java Client, please refer to the Help file that comes with Dynamsoft SourceAnywhere for VSS Java Client.


IDE Client

Visual Studio IDE Client

The Visual Studio IDE Client is supported in the following environments: Visual Studio. NET, Visual C++ 6.0, and VB 6.0. Installation instructions for the IDE Client can be found in the IDE Integration section of the installation page.

  • Options
  • Login
  • Add Project to SourceSafe
  • Get Project from SourceSafe to Local
  • Select Project from Server
  • Source Control Status
  • Others

Besides the Visual Studio IDE, Dynamsoft SourceAnywhere for VSS can also be integrated with Borland Delphi 8.0 IDE, IBM Rational Rapid Developer 2003 IDE and any MSSCCI (Microsoft Source Code Control Interface) compatible IDE.


Options (IDE Client)

Options (IDE)

  • General Tab
  • Proxy Tab
  • External Tab


General Tab (IDE Options)

Allows you to set general configuration options.

Tab Items

Use compression for data transfer

Dynamsoft SourceAnywhere for VSS supports file compression to speed the transfer of files. Using Dynam-Zlib, files are compressed before being transmitted and uncompressed when received. File compression is an optional feature. Because it speeds the transfer of files, the default setting for the file compression feature is ON.

Use delta transfer for data transfer

Dynamsoft SourceAnywhere for VSS supports delta transfer to speed the transfer of files. In non-LAN connection, it can speed up the file transfer greatly.

Note: This feature is for Professional Edition only.

Use read-only flag for files that are not checked out

Set the read-only flag on files in your working folder. Dynamsoft SourceAnywhere for VSS assumes that files in your working folder that you don't have checked out are read-only. Dynamsoft SourceAnywhere for VSS sets the read-only flag when you perform a Get Latest Version, Add, Check In, or Undo Check Out command on a file, and uses it as a signal that you have not been modifying the file (so Dynamsoft SourceAnywhere for VSS can replace it).

Duration for file status caching

Specify how many minutes the file status will be cached on the local side.

Replace writable files

When you get or check out a file, Dynamsoft SourceAnywhere for VSS copies the file into your working folder. If there is already a writable copy of the file in your working folder, replacing the file may erase your work.

    Ask - Gives you an option each time.

    Replace - Replaces (overwrites) the file.

    Skip - Leaves the local file alone (not retrieving the latest version from the server).

    Merge - Attempts an automatic merge.

End-of-line Terminator

The end-of-line terminator for files may be specified using this option. The options for end-of-line terminator are as follows:

  • Mac(\r)
  • Unix (\n)
  • Windows (\r\n)

The end-of-line Terminator option can be changed if the operating system where the working folders reside differs from the operating system being used by the Dynamsoft SourceAnywhere for VSS Client.

Check in unchanged files

The option may be set to Ask, Check in or Undo check in. If Ask is selected, a dialog box is displayed offering the choice to Check in or Undo check out when you check in an unchanged file. If Check in or Undo check out is selected, Dynamsoft SourceAnywhere for VSS will perform the selected operation automatically.

Setting folder for temporary files

Type or select a path for temporary files.

Delete all temporary files

Click to delete all temporary files.


Proxy Tab (IDE Options)

Allows you to set proxy server options.

Tab Items

Proxy

Choose the proxy type (none, http, socks4 and socks5).

Server

Type the server IP.

Port

Type the server port.

User

Type username.

Password

Type password.


External Tab (IDE Options)

Allows you to specify the location of the external programs for comparing files in Dynamsoft SourceAnywhere for VSS.

Tab Items

Application for comparing files

The merge utility configured will be used to perform visual merges on files with conflicting changes during Check In or when the user performs a Show Merge operation. The Dynamsoft SourceAnywhere for VSS Diff/Merge utility is configured by default.


Login(IDE Client)

Login (IDE Client)

Logs you on to Dynamsoft SourceAnywhere for VSS server. The Login dialog box is only displayed after you connected to Dynamsoft SourceAnywhere for VSS server.

Dialog Box Items

User

Type your username, which must be configured on the User tab of the Server Manager.

Password

Type your password.

Database

Choose a database, which must be configured on the Database tab of the Server Manager.

Remember Password

Allows you to specify if the client should remember your user name and password. If this option is not checked, Dynamsoft SourceAnywhere for VSS client will ask you for the user name and password each time you initiate the connection.

Encryption Status

Shows the status of Encryption.

Change Server

Returns to the Connect to Server Dialog Box.

Note: Dynamsoft SourceAnywhere for VSS retains the User name of the last successful connection. Database is provided by SourceSafe database. If a secure port is used, the right Encryption Key file should be imported.


Add Project to SourceSafe (IDE Client)

Adds the current development environment project to the source code control database.

Dialog Box Items

Project

Specify the VSS project that files will be added to.

$/

Displays the VSS project tree and show you the project in VSS that your files will be added to.

OK

Adds the selected project to the source code control database.

Cancel

Cancels the Add Project to SourceSafe command or the Refresh Project Tree command.

Create

Creates a new project in the VSS database.

Refresh Project Tree

Click to refresh the Project Tree.

NOTE: The Add Project to Source Code Control command takes the selected files in the development environment project window and creates a new source code control project containing those files. This command is available only when you select a project not already under source code control. Each selected file is automatically added at this time.


Get Project from SourceSafe to Local (IDE Client)

Allows you to create a new development project from an existing VSS project.

Dialog Box Items

Create a new project in this folder

The working folder for the selected project. Click Browse to create or change the working folder.

SourceSafe Project to download

VSS project tree. Click the project you want to open.

OK

VSS gets the files, places them in your working folder, and opens the project in your development environment so that you can edit it.

Cancel

Cancels the Download SourceSafe Project command or the Refresh Project Tree command.

Refresh Project Tree

Click to refresh the Project Tree.


Select Project from Server (IDE Client)

If the project on the server has been renamed or deleted, the dialog box will be displayed. Please select a new project.


Source Control Status (IDE Client)

Shows the process of the operation.


Others (IDE Client)

Others

Other operations of the IDE Client are similar to Client.


Macromedia Studio Plug

Macromedia Studio Plug-in

Dynamsoft SourceAnywhere for VSS provides a plug-in for Macromedia Studio. This Macromedia Studio plug-in enables Dreamweaver or Flash users to access their VSS databases remotely.

  • How to enable the plug-in
  • How to use the plug-in


How to enable the plug-in

How to enable the plug-in

To enable Dreamweaver Plug-in

1. Launch Dreamweaver, and then open the Manage Sites dialog box under the Site menu.

2. Click New to create a new site.

3. Select Remote Info page of the site definition dialog box, as shown in the following figure.

4. Select Dynamsoft SourceAnywhere for VSS access method and click the Settings button, the Connect To Server dialog box is displayed as shown in the following figure.

5. When you click Option, the Connect To Server with options dialog box will be displayed to set the proxy as shown in the following figure.

6. Click Connect. If connected to server successfully, the Database Settings dialog box will be displayed as shown in the following figure.

7. Enter the site information and click ok to finish the site definition.

8. Your files are now configured for using the Dynamsoft SourceAnywhere for VSS Plug-in.

9. Restart Dreamweaver. Now if you right click context menu on the file/project and select SourceControl, you will see some additional Dynamsoft SourceAnywhere for VSS plug-in functions.

The Dynamsoft SourceAnywhere for VSS plug-in actions are also available from the Menu > SourceControl.

To enable Flash Plug-in

  1. If Dynamsoft SourceAnywhere for VSS Plug-in has already been configured in Macromedia Dreamweaver, it is also valid in Macromedia Flash. You can open the Open from Site dialog box under file menu, and connect to the site specified in Macromedia Dreamweaver.
  2. Similarly, you can also configure Dynamsoft SourceAnywhere for VSS Plug-in in Macromedia Flash. Launch Flash, and then open the Edit Sites dialog box under the File menu.
  3. Click New to create a new site.
  4. Enter the essential information, and choose Dynamsoft SourceAnywhere for VSS in Connection dropdown list.
  5. You can connect to the site following step 1.


How to use the plug-in

How to use the plug-in

Dynamsoft SourceAnywhere for VSS plug-in provides the following basic functions:

  • Add
  • Check Out
  • Check In
  • Connect To Server
  • Disconnect From Server
  • Delete
  • Get Latest Version
  • Options
  • Put (Add )
  • Refresh
  • Rename
  • Show Difference
  • Show History
  • Show Properties
  • Undo Check Out

Most of these functions are similar with the ones in Dynamsoft SourceAnywhere for VSS GUI Client. For information on how to use these source control functions, please refer to the basic operations of Dynamsoft SourceAnywhere for VSS Explorer.

Note: Selecting Dynamsoft SourceAnywhere for VSS Explorer will bring up Dynamsoft SourceAnywhere for VSS GUI Client.


Eclipse Plugin

Eclipse Plug-in

Dynamsoft SourceAnywhere for VSS Eclipse plug-in is a Team provider plug-in for the Eclipse IDE. It enables users to perform Dynamsoft SourceAnywhere for VSS operations from within the Eclipse IDE. This plug in supports Eclipse release 3.x.

Dynamsoft SourceAnywhere for VSS Eclipse plug-in can be used on various operating systems such as Windows, Linux, Solaris , Mac, etc.

Note: Dynamsoft SourceAnywhere for VSS Eclipse plug-in works with Dynamsoft SourceAnywhere for VSS Professional Edition server only.

  • Installation
  • How to enable the plug-in
  • How to use the plug-in


Installation

Installation

The installation procedure is as follows:

  1. Start Eclipse IDE. On the Help menu, click Software Updates and choose Find and Install.
  2. In the Feature Updates dialog box, choose "Search for new features to install" option.
  3. In the Update sites to visit dialog, click New Remote Site button. Input a name for this update site (e.g. Dynamsoft Eclipse Plugin) and the following URL: http://www.dynamsoft.com/download/sourceanywhere/EclipsePlugin/SAWV/
  4. Check the "Dynamsoft Eclipse Plugin" box in the Sites to include in search pane and click Finish.
  5. In the Search Results dialog, choose the features to install and click Next.
  6. Please read the license agreement of Dynamsoft SAW for VSS Feature carefully, then select "I accept the terms in the license agreement."
  7. In the Installation dialog, select the Dynamsoft SAW for VSS feature and choose a location to install it. Then Click Finish.
  8. Verify the feature information in the Feature Verification dialog and click Install.
  9. Restart the Eclipse IDE for the changes to take effect.


How to enable the plug-in

How to enable the plug-in

The Dynamsoft SourceAnywhere for VSS Eclipse plug-in works on a per Eclipse project basis. Each project in your workspace can be configured separately and can mount a VSS database. If you need to mount more than one VSS database you must use separate Eclipse projects.

1. Configure a team provider for your project.

Right click an Eclipse project and select Team -> Share Project to bring up the select repository wizard.

2. Select Dynamsoft SourceAnywhere for VSS as the repository type.

3. Input the server name and port of Dynamsoft SourceAnywhere for VSS server.

Server

Select or type the Dynamsoft SourceAnywhere for VSS server IP.

Port

Select or type the Dynamsoft SourceAnywhere for VSS server port.

Proxy Information

Input the the proxy information (if proxy is used).

4. Login VSS database

User

Type your username.

Password

Type your password.

Database

Choose a VSS database to login.

Encryption Status

Show the status of encryption.

5. Path Mapping

Local

Displays the path to the local workspace of the Eclipse project.

Remote

Type the path of the Eclipse project in the VSS database.

Browse

Click to bring up the Add To SourceSafe project dialog. You can select an existing VSS project or create a new one.

6. Your project is now configured for using the Dynamsoft SourceAnywhere for VSS Plug-in.

Now if you right click context menu on the project and select Team, you will see some additional Dynamsoft SourceAnywhere for VSS plug-in functions.

The Dynamsoft SourceAnywhere for VSS plug-in actions are also available from the main menu and toolbar if Dynamsoft SAW for VSS Plug-in menu and shortcuts is enabled. The actions will be invoked on the current active editor or the current selection if there is no active editor.

The context menu option will vary depending on the status of the file. If an option isn't available, but it should be, always try to do a refresh and see what happens.

All errors within the plug-in can be viewed by clicking Window menu > Show View > Error Log or in the Eclipse log-file located at (your workspace)\.metadata\.log.


How to use the plug-in

How to use the plug-in

1. Basic Functions

  • Get Latest Version: Gets the latest file or project version from the VSS database. If a writable copy of a file exists, the user will be prompted whether the local copy should be replaced.

  • Refresh Status: Updates the checkout status of an item.

  • Check Out: Checks out the item from the VSS database. If a writable copy exists of a file the user is prompted if the local copy should be replaced.

  • Check In: Checks the item with changes into the VSS database.

  • Undo Checkout: Gives up the changes (if any). The user is prompted if the file is changed, not checked out for the current project. All affected files corresponding editors will be reverted after the undo.

  • Label Item: Assigns a label to the item.

  • History: Displays the history information of a file. This function is only available on files.

History Options

Allows you to specify the date range or user for filtering the file history.

History Of File

View

Displays the content of the file with the default editor.

Details

Displays the details of the selected history item of the file, including the version number, date, user, label, etc.

Get

Gets the file to your workspace.

Diff

You can compare the selected version of the file with the local copy in workspace, or to any other version of the file. To compare two different versions of a file, hold down the Ctrl key while selecting the two versions of interest. Then click the Diff button.

  • Property: Displays the property of a file containing the basic information of the file. This function is only available on files.

  • Remove From Repository: Removes the item from the VSS database.

  • Add: Adds the item to the VSS database.

  • Compare With Latest: Compares the local file with the latest version of the file in the VSS database.

  • Deconfig Project: Removes the Dynamsoft SAW for VSS plug-in from the project. This operation will not remove the project from the VSS database. Available on the project root folder.

For more details about the basic functions of Dynamsoft SAW for VSS plug-in, please refer to the help file of Dynamsoft SAW for VSS.

2. View Status Messages

The Dynamsoft SAW for VSS Message window displays the status message of Dynamsoft SAW for VSS. To enable the window, select Window ->Show View -> Other -> Dynamsoft SAW for VSS.

3. Customizing Dynamsoft SAW for VSS plug-in

Dynamsoft SAW for VSS options can be found under Window -> Preferences -> Team -> Dynamsoft SAW for VSS Option.

For information on each item of Dynamsoft SAW for VSS plug-in options, please refer to the help file of Dynamsoft SAW for VSS.

4. Dynamsoft SAW for VSS Plugin menu and shortcuts

To enable Dynamsoft SAW for VSS plug-in menu and shortcuts, select Window -> Customize Perspective.

Shortcuts

Commands

5. Label Decorations

To enable status showing for each item in the project, select Window -> Preferences -> Workbench -> Label Decorations.

  • Each project that is mapped to VSS database is shown with a little "database" [image] icon, and the project name is followed by "(VSS database alias--current user--the remote path of the project)".
  • Each file known to exist in the VSS database is shown with a little "database" [image] icon.
  • Each file known to be checked out will have the checkout user shown after the filename, if the file is checked out by multiple users, "..." will be shown after the current checkout user name.
  • Each file, which the current user has checked out, will have a small checked [image] icon.


Overview

Command Line Client

In addition to the Explorer Client for Dynamsoft SourceAnywhere for VSS, Dynamsoft SourceAnywhere for VSS provides a Windows and Java Command Line Client for users who prefer typing commands and those who write or maintain batch files for automated source control processing. The Dynamsoft SAW for VSS Command Line supports all the major operations required for source control.

To access the Dynamsoft SAW for VSS Windows Command Line, use the MS-DOS command prompt from within Windows. You can use the command line by changing your current folder to the folder where SAWVVcmd.exe resides, or from any folder by typing a full path to the Dynamsoft SAW for VSS Command Line directory.

To access the Dynamsoft SAW for VSS Java Command Line, use the command prompt. You must use the command line by changing your current folder to the folder where SAWVcmd.jar resides.

Note: the Dynamsoft SAW for VSS Command Line Client works with Dynamsoft SourceAnywhere for VSS Professional Server only.

The following topics are included in this section:

  • Command Line Syntax
  • Commands And Parameters
  • Examples
  • Encryption


SAWcmd Syntax

Command Line Syntax

Dynamsoft SAW for VSS commands entered from the Windows Command Line must begin with SAWVcmd. The syntax for Dynamsoft SAW for VSS commands is as follows:

SAWVcmd Command [parameter(s)][value(s)]

Dynamsoft SAW for VSS commands entered from the Java Command Line must begin with "java -jar SAWVcmd.jar". The syntax for Dynamsoft SAW for VSS commands is as follows:

java -jar SAWVcmd.jar Command [parameter(s)][value(s)]

Commands

The commands are not case-sensitive. The commands can be either uppercase or lowercase.

For a complete list of commands in Dynamsoft SAW for VSS Command Line, see Commands and Parameters.

Parameters

Parameters you use to modify the action of a command. They consist of a hyphen ( - ) and a letter.

For a complete list of parameters in Dynamsoft SAW for VSS Command Line, see Commands and Parameters.

Value s

The value can be a project or a file. The value must follow the parameter letter with a space between them.

If there is any space in any command parameter value, the value must be surrounded by double quotes. For example (for Windows Command Line):

SAWVcmd GetFileInfo -server 127.0.0.1 -port 8787 -username test -pwd test -tempdir D:\temp -alias vss -prj $/123 -file "Text 1.txt"

In almost all cases where you can specify an item to act on, you can also specify many items by adding "/" between them. For example (for Windows Command Line):

SAWVcmd AddFile -server 127.0.0.1 -port 8787 -username test -pwd test -tempdir D:\temp -alias vss -prj $/123 -file Hello.txt/Test.txt


SAWcmd COMMANDS

Command Line Commands and Parameters

Commands

Parameters

Commands

The following is a list and general description of all the command-line commands.

Command | Description
About | Displays the version information.
AddFile | Adds one or multiple files to a project. The path of the file on the local machine is specified by the -workdir parameter. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file,-workdir Optional Params: -tempdir, -comment, -auto or -text or -bin,-zoneoff, -notreadonly, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta, -windows, -unix, -mac
AddFolder | Adds an entire local folder to the database. The path of the local folder on the local machine is specified by the -workdir parameter. Use -r to add the folder recursively. Required Params: -server, -port, -username, -pwd, -alias, -prj, -workdir Optional Params: -nozip, -nodelta, -tempdir, -comment, -r, -auto or -text or -bin,-zoneoff, -notreadonly, -ptype, -pserver, -pport, -puser, -ppwd, -windows, -unix, -mac
AddLabel | Adds a label to a project or a file. Required Params: -server, -port, -username, -pwd, -alias, -prj, -label Optional Params: -comment, -file, -ptype, -pserver, -pport, -puser, -ppwd
BranchFile | Breaks the share link and the changes made to that file will no longer be reflected in other projects. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params: -comment, -ptype, -pserver, -pport, -puser, -ppwd
CreateProject | Creates an empty project in the VSS database whose full name is specified by the -prj parameter. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -comment, -ptype, -pserver, -pport, -puser, -ppwd
CheckInFile | Checks in one or multiple files. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params: -workdir, -tempdir, -comment,-keep,-windows or -unix or -mac,- checkin or -ask or -undo, -del, -zoneoff, -notreadonly, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta
CheckInProject | Checks in an entire project. Use -r to check in the project recursively. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -workdir, -tempdir, -r, -comment,-del, -windows or -unix or -mac, -keep, -checkin or -ask or -undo, -zoneoff, -notreadonly, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta
CheckOutFile | Checks out one or multiple files. This command also makes the local files writable. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params: -workdir, -tempdir, -ask or -skip or -replace,-windows or -unix or -mac,-time, -zoneoff, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta, -comment
CheckOutProject | Checks out an entire project. This command also makes the local files in the project writable. Use -r to checkout a project recursively. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -workdir, -tempdir, -r ,-ask or -skip or -replace,-windows or -unix or -mac,-time,-zoneoff, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta, -comment
Delete | Deletes a file or project. If the -permanent flag is set, it will delete the file or project permanently from the database so it cannot be recovered. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -file, -permanent, -ptype, -pserver, -pport, -puser, -ppwd
Dir | Displays all projects and files under a project. Use -r to see about a project recursively. Required Params: -prj Optinal Params: -r, -zoneoff
GetDatabases | Lists all databases accessible by the input server. Required Params: -server, -port Optional Params: -ptype, -pserver, -pport, -puser, -ppwd
GetFile | Gets one or multiple files from the SourceSafe database. It will get the latest version of files unless the -rev or -label parameter is used to specify a certain file. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params: -workdir, -tempdir, -rev, -label,-writable, -ask or -skip or -replace,-time,-windows or -unix or -mac, -zoneoff, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta
GetFileHistory | Gets the revision history of the file. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params: -user, -datetime, -zoneoff, -ptype, -pserver, -pport, -puser, -ppwd
GetFileInfo | Gets current information about a file. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params : -zoneoff, -ptype, -pserver, -pport, -puser, -ppwd
GetFileList | Gets a list of all files in the input project. This command outputs the name, version and date of each file. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -zoneoff, -ptype, -pserver, -pport, -puser, -ppwd
GetProject | Gets all of the files in a project. It will get the latest version of the files in a project unless the -label or -datetime parameter is used to specify a previous version of a project. Use -r to get the project recursively. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -workdir, -tempdir, -datetime or -label , -r, -writable, -time , -ask or -skip or -replace, -windows or -unix or -mac, -zoneoff, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta
GetProjectHistory | Displays project history in Command Line Client. Required params: -prj Optional params: -r,-user, -datatime, -zoneoff, -includefilehistory
GetProjectTree | This command returns the structure of the project in the VSS database. Please note that this command does not retrieve the files in the project. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -ptype, -pserver, -pport, -puser, -ppwd
Interactive | Puts the Client in an interactive shell, where you can enter commands one after the other, without having to re-run the Command Line Client each time. Type 'quit' when you want to quit interactive shell. Required Params: -server, -port, -username, -pwd, -alias Optional Params : -tempdir, -ptype, -pserver, -pport, -puser, -ppwd
Rename | Renames a file or project in the VSS database. Required Params: -server, -port, -username, -pwd, -alias, -prj, -newname Optional Params: -file, -ptype, -pserver, -pport, -puser, -ppwd
ShareFile | Shares the current version of one or multiple files to another project. Updates to a shared file will be reflected in all the projects to which the file is shared. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file, -shareto Optional Params: -branch, -ptype, -pserver, -pport, -puser, -ppwd
ShareProject | Shares the current version of a project to another project. Updates to files in a shared project will be reflected in all the projects to which the project is shared. Required Params: -server, -port, -username, -pwd, -alias, -prj, -shareto Optional Params: -branch, -r, -comment, -ptype, -pserver, -pport, -puser, -ppwd
UndoCheckOutProject | Cancels the checkout of a project and revert to the state before the Check Out operation was performed. Use -r to undo checkout of the project recursively. Required Params: -server, -port, -username, -pwd, -alias, -prj Optional Params: -workdir, -tempdir, -r,-windows or -unix or -mac,-time, -leave or -replace or -del,-zoneoff, -notreadonly, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta
UndoCheckOutFile | Cancels the checkout of one or multiple files and revert to the state before the Check Out operation was performed. Required Params: -server, -port, -username, -pwd, -alias, -prj, -file Optional Params: -workdir, -tempdir, -windows or -unix or -mac, -time, -leave or -replace or -del, -zoneoff, -notreadonly, -ptype, -pserver, -pport, -puser, -ppwd, -nozip, -nodelta

Parameters

The following is a list and description of parameters accepted by Dynamsoft SAW for VSS Command Line. It is necessary to enter full parameter names. If you want to cancel current operation, type 'c' (for Java Command Line, you need to press Enter after 'c').

Note: Please put a space between a parameter and the value it acts on.

Parameter

Description

-alias | The alias that Dynamsoft SAW for VSS Server has defined to point to a SourceSafe database. This name is specified under the Databases section of the Dynamsoft SAW for VSS Server Manager.
-ask | Used with GetFile, GetProject, CheckOutFile, CheckOutProject, CheckInFile and CheckInProject. If present, will ask whether to perform skip or replace or cancel operation.
-auto | Auto detect file type.
-bin | Binary file type.
-branch | Used with the ShareFile and ShareProject commands. If present, will perform a branch operation immediately after the share.
-checkin | Check in the file.
-comment | Text used for comments.
-datetime Used with the GetFileHistory or GetProject command.

When used with GetFileHistory:
A list of valid date, only required two value, the formats is "datefrom|dateto", the first is date from, the second is date to. If -datetime is not present, query the data from current time to one year ago.

When used with GetProject: only required one value.
The parameter can take a variety of formats. For example, the following strings contain acceptable date/time formats:

"16 June 2005", "June 16, 2005 6:10:00", "6:10:00 June 16, 2005", "6/16/2005 6:10:00". (for Windows Command Line)

"Jun/16/2005", "Jun/16/2005 6:10:00", "6/16/2005", "6/16/2005 6:10:00". (for Java Command Line)

-del | Deletes local copy.
-file | A "/" separated list of valid Dynamsoft SAW for VSS files in the project specified by the -prj parameter.
-h /-? | Help.
-includefilehistory | Used with ShowingProjectHistory. If present, will show file history together with project history.
-keep | Used with CheckInFile and CheckInProject. If present, will keep checkout status after the checkin.
-label | A label that can be associated with a particular project version or a file version.
-leave | Leaves local copy.
-mac | Mac EOL.
-newname | Used with the Rename command. The new name of a project or file that is being renamed.
-nodelta | Turns off delta transfer. By default, the Command Line Client will use delta transfer for all data transfers.
-notreadonly | Used with CheckInProject, CheckInFile, UndoCheckOutProject, UndoCheckOutFile, AddFile and AddFolder. If present, will not change the file attribute. If not present ,will make file read-only.
-nozip | Turns off compression. By default, the Command Line Client will use compression for all data transfers.
-permanent | Used with the Delete command. Permanently deletes a file or project from the database.
-port | The port of a running Dynamsoft SAW for VSS server.
-pport | The port of the proxy server.
-ppwd | The password corresponding to the user name specified by the -puser parameter. See also -puser.
-prj | A valid Dynamsoft SAW for VSS project in the database.
-pserver | The domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required.
-ptype | The proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None".
-puser | The user name used for connecting the proxy Server. If ptype = "None" or "Socks4", the parameter is invalid and not required.
-pwd | The password corresponding to the user name specified by the -username parameter.
-r | If present, the project level command will be performed recursively.
-replace | Replace local copy or replace writable file.
-rev | A version number of the file specified.
-skip | Skip the local copy.
-server | The domain name or IP address of a running Dynamsoft SAW for VSS server.
-shareto | Used with the ShareFile and ShareProject commands. The project into which a file or project will be shared.
-tempdir | Set the local temporary directory. The default temporary directory is the Dynamsoft SAW for VSS temporary directory specified in the ServerInfo->General Settings section of the Dynamsoft SAW for VSS Server Manager (for Java Command Line, the default temporary directory is the system temporary directory).
-text | Text file type.
-time Valid time parameters are "modi", "checkin" and "current". If -time is not present, the current time is used.

modi - Specifies that the file's last modified date/time stamp will be the file's modification time as set in the SourceSafe database.

current - Specifies that the current time will be used.

checkin- Specifies that the checked in time will be used.

Examples: -time modi or -time current or -time checkin.
-undo | Undo checking out.
-unix | Unix EOL.
-user | Used with GetFileHistory. If not specified, the history of all uses is returned.
-username | The user name used for logging into the Dynamsoft SAW for VSS Server.
-verb | If present, outputs verbose status messages, such as connections, server responses, etc.
-windows | Windows EOL.
-writable | Used with GetFile and GetProject. If present, will make the files writable.
-workdir | The working directory where the Command Line Client places a Dynamsoft SAW for VSS file or project. The default working directory is the Dynamsoft SAW for VSS Command Line directory. This parameter is also used to specify where on the local machine the Command Line Client looks for a file or project to add or check in to the database. The local working directory should be an absolute path.
-zoneoff | Set the offset of server time zone to local time zone, the default is zero. The value is between -24 and +24.


Examples

Examples

The following assumptions are made in these examples:

  • Dynamsoft SAW for VSS Server IP = 127.0.0.1
  • Dynamsoft SAW for VSS Server Port = 8787
  • Dynamsoft SAW for VSS Server username = test
  • Dynamsoft SAW for VSS Server password = test
  • SourceSafe database alias = vss
  • Project = $/123
  • Temp folder = "D:\temp"
  • Working folder = "c:\projects\test"

Example 1: Add a project to the database
Example 2: Add a file to project
Example 3: Get a file
Example 4: Get file list
Example 5: Check in a file
Example 6: Check out a file
Example 7: Label a project
Example 8: Retrieve all files in a project tree by a label
Example 9: Share a project with another project
Example 10: Branch a shared file
Example 11: Delete a project permanently
Example 12: Put the Command Line Client in an interactive shell
Example 13: Add a file to project in an interactive shell

Example 1: Add a project to the database
----------------------------------------
This adds an entire project located at "c:\projects\new" on the local machine to the project "$/123" in the VSS database.

SAWVcmd AddFolder -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -workdir c:\projects\new -prj $/123/new -tempdir D:\temp

Example 2: Add a file to project
----------------------------------------
This adds a file "test.txt" to "$/123" project.

SAWVcmd AddFile -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -workdir "c:\projects\test" -file "test.txt" -prj $/123 -tempdir "D:\temp"

Example 3: Get a file
---------------------
This places the latest version of the file "test.txt" into the working folder.

SAWVcmd GetFile -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -workdir c:\projects\test -prj $/123 -file text.txt -tempdir D:\temp

Example 4: Get file list
------------------------------
This gets the list of files in the "$/123" project.

SAWVcmd GetFileList -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -prj $/123 -tempdir D:\temp

Example 5: Check in a file
---------------------------
This checks in the previously checked out file "test.txt", located on the working folder at "c:\projects\test".

SAWVcmd CheckInFile -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -workdir c:\projects\test -prj $/123 -file test.txt -tempdir D:\temp -comment "Added function HelloWorld"

Example 6: Check out a file
---------------------------
This checks out the latest version of the file "test.txt" and places it into the working folder.

SAWVcmd CheckOutFile -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -workdir c:\projects\test -prj $/123 -file test.txt -tempdir D:\temp

Example 7: Label a project
--------------------------
This applies the label "Version 3" to project "$/123" in the VSS database.

SAWVcmd AddLabel -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -prj $/123 -label "Version 3"

Example 8: Retrieve all files in a project tree by a label
----------------------------------------------------------
This gets a previous version of a project from a label. It retrieves all of the files in the project associated with that label, placing them in the directory specified by -workdir. It will create directories as needed.

SAWVcmd GetProject -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -workdir c:\projects\test -prj $/123 -label "version 1" -tempdir D:\temp

Example 9: Share a project with another project
-----------------------------------------------
This shares the current version of the project "$/123" with the project "$/projects/saw" in the VSS database.

SAWVcmd ShareProject -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -prj $/123 -shareto $/projects/saw -comment "Sharing project 123 into project saw"

Example 10: Branch a shared file
----------------------------------
This branches files "test.txt" which was previously shared with another files in the VSS database.

SAWVcmd BranchFile -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -prj $/123 -file test.txt

Example 11: Delete a project permanently
----------------------------------------
This deletes project "$/123" permanently from the VSS database.

SAWVcmd Delete -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -prj $/123 -permanent

Example 12: Put the Command Line Client in an interactive shell
----------------------------------------

This puts the Command Line Client in an interactive shell.

SAWVcmd Interactive -server 127.0.0.1 -port 8787 -username test -pwd test -alias vss -tempdir D:\temp

Example 13: Add a file to project in an interactive shell
----------------------------------------

This adds a file to project in an interactive shell.

AddFile -file "test.txt" -prj $/123

Note:

These examples are for the Windows Command Line. For Java Command Line, the commands should begin with "java -jar SAWVcmd.jar" instead of "SAWVcmd" in these examples.


Encryption

Encryption

To enable the Command Line Client to connect to the secure port and use SSL or Blowfish encryption, the Dynamsoft SourceAnywhere for VSS Explorer Client (for Windows Command Line Client) or Java Client (for Java Command Line Client) must be installed on the same machine. The Command Line Client will use the same SSL Root Certificate that has been imported into the Explorer Client or Java Client or the Blowfish User Key generated to authenticate the secure connection.

Whether the Command Line Client uses encryption or not depends on the port that the Client connects to. Please contact your Dynamsoft SourceAnywhere for VSS Administrator to find out which ports are being used for SSL, Blowfish and unsecure connections.


Dynamsoft SourceAnywhere for VSS Ant Plug-in

Contents

  • Introduction
  • The Tasks
  • How to install Dynamsoft SourceAnywhere for VSS Ant Plug-in
  • SourceAnywhere for VSS Ant Plug-in Configuration Example

Introduction

SourceAnywhere for VSS provides an Ant Plug-in which allow users to integrate SourceAnywhere for VSS with Ant.

The following tasks provide an interface to SourceAnywhere for VSS. The SourceAnywhere for VSS Ant Plug-in consists of a simple framework to integrate with Ant to do automatic building.

The Tasks

  • addfile: Adds one files to a project. The path of the file on the local machine is specified by the workdir parameter.
  • addproject: Adds an entire local project to the database. The path of the project on the local machine is specified by the workdir parameter. Use recursive to add the project recursively.
  • checkinfile: Checks in and unlocks one file. This command also makes the local files read-only.
  • checkinproject: Checks in and unlocks an entire project. This command also makes the local files in the project read-only.
  • checkoutfile: Checks out and locks one file in the same project. This command also makes the local files writable.
  • checkoutproject: Checks out and locks an entire project. This command also makes the local files in the project writable. Use recursive to checkout a project recursively.
  • newproject: Creates an empty project in the current project. Use project to specify the project path and name.
  • getfilehistory: Displays the revision history of the file.
  • getlatestfile: Retrieves the most recent files from the current project.
  • getoldversionfile: Retrieves the old file version from the current project. The version parameter is used to specify an old file version and the label parameter is used to specify a labeled version.
  • getlatestproject: Gets the latest version of all files in the specified project from the current project. Use recursive to get the project recursively.
  • getolderversionproject: Gets the old version of all files in the specified project from the current project. Use recursive to get the project recursively.
  • getprojecthistory: Displays the revision history of the project.
  • labelfile: Adds a label to a file.
  • labelproject: Adds a label to a project.

Task Descriptions

All examples in this section are based on the following assumptions:

  • Server IP = "127.0.0.1"
  • Server Port = "8877"
  • Username =" test "
  • Password = "test123"
  • Database name = "antplugin"
  • Project name ="$/anttest"
  • Temp folder = "D:\temp"
  • Working folder = "D:\projects\test"

addfile

Description

Task to perform Add File command to Dynamsoft SourceAnywhere for VSS.

Adds one or multiple files to a project. The path of the file on the local machine is specified by the workdir parameter.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current database. | Yes
file | Specifies the name of the file(s) or the absolute path and full name of the local file(s). | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
comment | Comments on the corresponding operations with text. The default value is None. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
filetype | Specifies the file type. Valid parameters are "binary", "mergeable" and "autodetect", the default value is "autodetect". |

Examples

<saw:addfile
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp"
file="1.txt" />

Add the file named 1.txt into the anttest directory of the database antplugin.

addproject

Description

Task to perform Add project command to Dynamsoft SourceAnywhere for VSS.

Adds an entire local folder to Dynamsoft SourceAnywhere for VSS. The path of the folder on the local machine is specified by the workdir parameter. Use recursive to add the folder recursively.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current database. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
recursive | Specifies whether to add recursively, true or false. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
filetype | Specifies the file type. Valid parameters are "binary", "mergeable" and "autodetect", the default value is "autodetect". | No

Examples

<saw:addproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp"
recursive="true"/>

Add the folder named test into the anttest directory of the database antplugin recursively.

checkinfile

Description

Task to perform Check In File command to Dynamsoft SourceAnywhere for VSS.

Checks in and unlocks one or multiple files. This command also makes the local files read-only.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
file | Specifies the name of the file(s) in the repository or the absolute path and full name of the local file(s). | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
keep | Keeps checkout status after the checkin operation. Valid value are true or false. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
checkinunchanged | Specifies the behavior when trying to check in unchanged file(s). There are two options: checkin or undo. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:checkinfile
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
file="1.txt"
workdir="D:\projects\test"
tempdir="D:\temp" />

Check in the file named 1.txt into the anttest directory of the database antplugin.

checkinproject

Description

Task to perform Check In Project command to Dynamsoft SourceAnywhere for VSS.

Checks in and unlocks an entire folder. This command also makes the local files in the folder read-only. Use recursively to check in the project recursively.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
recursive | Specifies whether to check in recursively, true or false. | No
keep | Keeps checkout status after the checkin operation. Valid value are true or false. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
checkinunchanged | Specifies the behavior when trying to check in unchanged file(s). There are two options: checkin or undo. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:checkinproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp"/>

Check in the project named anttest in the root directory of the database antplugin.

checkoutfile

Description

Task to perform Check Out File command to Dynamsoft SourceAnywhere for VSS.

Checks out and locks one or multiple files in the same folder. This command also makes the local files writable.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SouceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
workdir | Specifies the working folder to place files. | Yes
file | Specifies the name of the file(s) in the database. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
replacewritable | Specifies whether to replace writable local copies. Valid value are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
comment | Comments on the corresponding operations with text. The default value is None. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:checkoutfile
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
file="1.txt"
workdir="D:\projects\test"
tempdir="D:\temp" />

Check out the file named 1.txt in the $/anttest project in database antplugin.

checkoutproject

Description

Task to perform Check Out Project command to Dynamsoft SourceAnywhere for VSS.

Checks out and locks an entire folder. This command also makes the local files in the project writable. Use recursively to checkout a project recursively.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SouceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current database. | Yes
workdir | Specifies the working folder to place files. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
recursive | Specifies whether to check out recursively, true or false. | No
replacewritable | Specifies whether to replace writable local copies. Valid value are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
comment | Comments on the corresponding operations with text. The default value is None. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:checkoutproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp" />

Check out the project named anttest in the database antplugin.

newproject

Description

Task to perform New project command to Dynamsoft SourceAnywhere for VSS.

Creates an empty project in the current database. Use project to specify the project path and name.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
newproject | Specifies the name of the new project. | Yes
comment | Comments on the corresponding operations with text. The default value is None. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:newproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/"
newproject="anttest"/>

Add the project named anttest under the root directory of the database antplugin.

getfilehistory

Description

Task to perform Get File History command to Dynamsoft SourceAnywhere for VSS.

Displays the revision history of the file.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
file | Specifies the name of the file that you would like to see history. | Yes
user | Specifies an existing username. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getfilehistory
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
file="1.txt" />

View the history of the file named 1.txt in the $/anttest project of the database antplugin.

getlatestfile

Description

Task to perform Get Latest File command to Dynamsoft SourceAnywhere for VSS.

Retrieves the most recent files from the current database.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
file | Specifies the name of the file(s) in the database. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
eol | Specifies the EOL type. Valid values are windws, unix or mac. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getlatestfile
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
file="1.txt"
workdir="D:\projects\test"
tempdir="D:\temp" />

Get the latest file named 1.txt under $/anttest in the database antplugin.

getoldversionfile

Description

Task to perform Get Old Version File command to Dynamsoft SourceAnywhere for VSS.

Retrieves the old file version from the current database. The "version" parameter is used to specify an old file version.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SouceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SouceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
file | Specifies the name of the file(s) in the database. | Yes
version/label | Specifies the version number the file or a label that can be associated with a particular file version. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getoldversionfile
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/"
workdir="D:\projects\test"
tempdir="D:\temp"
file="1.txt"
version="31" />

Get the 31th version of the file named 1.txt under $/anttest in the database antplugin.

getlatestproject

Description

Task to perform Get Latest Porject command to Dynamsoft SourceAnywhere for VSS.

Gets the latest version of all files in the specified project from the current database. Use recursive to get the project recursively.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SouceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SouceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
recursive | Specifies whether to get recursively, true or false. | No
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getlatestproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp" />

Get the project named anttest in the database antplugin.

getoldversionproject

Description

Task to perform Get Old Version Project command to Dynamsoft SourceAnywhere for VSS.

Gets the old version of all files in the specified project from the current database. Use recursive to get the project recursively.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
workdir | Specifies the local working folder. | Yes
Label | Specifies a label that can be associated with a particular project version. | Yes
tempdir | Specifies a local folder for storing temporary files. | Yes
recursive | Specifies whether to get recursively, true or false. | No
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getoldversionproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/dd"
workdir="D:\projects\test"
tempdir="D:\temp"
label="1"
        />

Get the history of the project named anttest in the database antplugin by label.

getprojecthistory

Description

Task to perform Get Project History command to Dynamsoft SourceAnywhere for VSS.

Displays the revision history of the project.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SourceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
user | Specifies an existing username. | No
recursive | Specifies whether to get recursively, true or false. | No
datetime | Specifies a period of time. By default it's from the current time to one year ago. You can type two value in the format "datefrom|dateto", or just one value as the ending date/time of period which begins from the current time . Acceptable date/time formats: "Jun/16/2005", "Jun/16/2005 6:10:00", "6/16/2005", "6/16/2005 6:10:00". | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getprojecthistory
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
        />

View the history of the project named anttest in the database antplugin.

labelfile

Description

Task to perform Label File command to Dynamsoft SourceAnywhere for VSS.

Adds a label to a file.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SouceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
label | Specifies a label that can be associated with a particular project version or file version. | Yes
file | Specifies the name of the file(s) in the database. | Yes
comment | Comments on the label. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:labelfile
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
file="1.txt"
label="release" />

Label the file named 1.txt in project anttest of the database antplugin with release.

labelproject

Description

Task to perform Label Project command to Dynamsoft SourceAnywhere for VSS.

Adds a label to a project.

Parameters

Attribute | Values | Required
server | Specifies the domain name or IP address of a running Dynamsoft SouceAnywhere for VSS server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere SourceAnywhere for VSS server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere SourceAnywhere for VSS. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere SourceAnywhere for VSS. | Yes
database | Specifies the VSS database you want to log into. | Yes
project | Specifies a valid project in the current VSS database. | Yes
label | Specifies a label that can be associated with a particular project version or file version. | Yes
comment | Comments on the label. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:labelproject
server="127.0.0.1"
port="8877"
username="test"
pwd="test123"
database="antplugin"
project="$/anttest"
label="release" />

Label the project named anttest with release label in the database antplugin.

Install Dynamsoft SourceAnywhere for VSS Ant Plug-in

To install Dynamsoft SourceAnywhere for VSS Ant Plug-in, please follow the steps below:

1. Install SourceAnywhere for VSS Server.

2. Download SourceAnywhere for VSS Ant Plug-in and unzip it into the Lib folder under the Ant directory.

3. Edit the build.xml file in the Bin folder under the Ant direct ory appropriately. If there is no such file, create it.

4. Click Start->Run to open command line window. And go to the Bin folder of Ant and perform "ant" command. Then Ant will run.

SourceAnywhere for VSS Ant Plug-in Configuration Example

<project name="sawvant" basedir="." default="sawgetlatestfile"
        xmlns:saw="antlib:com.dynamsoft.sawv.ant.sawvant">
<target name="sawgetlatestfile">
<saw:getlatestfile
server="127.0.0.1"
port="8877"
username="admin"
pwd="1"
database="anttest"
project="$/"
workdir="D:\projects\test"
tempdir="D:\temp"
file="1.txt">
</target>
</project>


Dynamsoft SourceAnywhere for VSS CruiseControl.NET Plug-in

SourceAnywhere for VSS provides a CriuseControl.NET plug-in which allows users to integrate SourceAnywhere for VSS with CruiseControl.NET for continuous integration.

SourceAnywhere for VSS (SAWV) Configuration Example

<cruisecontrol>

<project name="ccnet.SAWV.plugin">

            <sourcecontrol type="SAWV"
autoGetSource="true"
applyLabel="true">

       <server>demo.dynamsoft.com</server>
       <port>8877</port>
       <database>common</database>
       <serverFolder>$/ccnetTest</serverFolder>
       <username>dynamsoft1</username>
       <password>saw</password>
       <workingDirectory>D:\TestFolder\ccnet</workingDirectory>
       <tempDirectory>D:\TestFolder\ccnet</tempDirectory>

</sourcecontrol>
</project>

</cruisecontrol>

Configuration Elements:
Node | Description | Type | Required | Default
server | The domain name or IP address of a running SourceAnywhere for VSS server or cache server. | string | true | null
port | The port of a running SourceAnywhere for VSS server or cache server. | string | true | null
username | Username that CCNet should use to authenticate with SourceAnywhere for VSS Server. | string | true | null
password | Password for the SourceAnywhere for VSS user. | string | false | null
database | The VSS database you want to log into. | string | true | null
serverFolder | A valid project in the current database. | string | true | null
workingDirectory | The root folder where the latest source will be retrieved from the Source Server. This path can either be absolute or it can be relative to the CCNet project working directory. | string | true | null
tempDirectory | The local temporary directory. The temporary directory is specified in the ServerInfo->General Settings section of the Dynamsoft SAW for VSS Server Manager. This path can either be absolute or it can be relative to the CCNet project working directory. | string | true | null
autoGetSource | Specifies if CCNet should automatically retrieve the latest version of the source from the repository. | bool | false | false
applyLabel | Specifies if CCNet should apply the build label to the repository. | bool | false | false

Installing the Plug-in

To install the plug-in, please follow these steps:

  1. Install SourceAnywhere for VSS COM SDK. It can be downloaded from
    http://www.dynamsoft.com/Downloads/SAW_TryIt.aspx

  2. Download CruiseControl.NET SAWV Plug-in and unzip it into the CruiseControl.NET server directory.
  3. Edit the ccnet.config file in the CruiseControl.NET server directory appropriately.


Server Manager

See Also

  • Configuring Dynamsoft SourceAnywhere for VSS Server

The Dynamsoft SourceAnywhere for VSS Server Manager is a Windows application for configuring the Dynamsoft SourceAnywhere for VSS Server. The Server Manager is included in the Server installation and should be run before starting the Server for the first time. To start the Server Manager (ServerManager.exe), launch it from the Windows Start Menu.

As the administrator, you can do any of the following tasks:

  • General Settings
  • Memory Cache Setting
  • Manage SSL Root CA
  • Customize System Log
  • Manage Serial Number
  • Service Control
  • Get support
  • Manage Databases

Note: The Service must be restarted to register the changes after making any configuration changes in the Server Manager.


System Info

The System Info dialog box contains version, edition and license information about the Dynamsoft SourceAnywhere for VSS Server. It also contains general operating system information.


General Settings

Allows you to set and change general configuration options.

NOTE: If changes are made, the Dynamsoft SourceAnywhere for VSS Server Service must be restarted to register the changes.

Window Items

Server IP

Specify the IP Address to be listened.

Use unsecure port

Check to use an unsecure port

Unsecure port

Type the unsecure port number

Use BlowFish secure port

Check to use a BlowFish secure port

BlowFish port

Type the BlowFish secure port number

Use SSL port

Check to use a SSL port

SSL port

Type the port number for SSL.

NOTE: The Ports area is used to configure the ports through which the Server will communicate with the Client. Dynamsoft SourceAnywhere for VSS operates using a TCP/IP-based networking protocol. This protocol can be operated on any port the user specifies. If a network firewall or proxy server is used, the firewall or proxy server may need to be configured to allow communication on the specified ports.

Path

Set a path for temporary folders and files.


Memory Cache Setting in Server Manager

Cache Setting

Allows you to configure the cache settings for Dynamsoft SAW for VSS Server. This window contains cache settings for the following two types of server cache:

  • File cache: Requested files are cached on cache server to speed up the client access.
  • Memory cache: Caching temporary data in memory may reduce the disk I/O of the cache server.

NOTE: If changes are made, the Dynamsoft SourceAnywhere for VSS Server Service must be restarted to register the changes.

Window Items

File Cache

  • Path
    Specifies the path of the folder for storing requested folders and files. You can type the full path in the textbox or click the Browse button to select one. The default path is the installation directory of Dynamsoft SourceAnywhere for VSS cache server.
  • Cache Size
    Specifies the amount of disk space used for file cache. 0 (zero) indicates unlimited.

Memory Cache Setting

Storing temporary data in memory may reduce disk I/O and improve server performance. Before setting the memory size for Dynamsoft SAW for VSS server, make sure that there is enough free memory available.

  • Use the default setting for server memory (1/16 of the total physical memory) - When this option is checked, Dynamsoft SAW for VSS server uses 1/16 of the total physical memory for caching.
  • Use a fixed amount of memory - When this option is checked, Dynamsoft SAW for VSS server uses a fixed amount of virtual memory specified in the Memory size textbox.


SSL Root CA in Server Manager

SSL Root CA

SSL Root CA (Certification Authority) issues SSL root certificates to users. The SSL root certificate contains the information of a user such as country, province, city, group, department, name, description, E-mail and the expiration date. The SSL root certificate is invalid after it expires.

The SSL root certificate enables Dynamsoft SourceAnywhere for VSS client to authenticate Dynamsoft SourceAnywhere for VSS server, check the validity of the server, and establish a secure link between the server and client. Data will be transferred in the secure link through the SSL port.

NOTE: If changes are made, the Dynamsoft SourceAnywhere for VSS Server Service must be restarted to register the changes.

Window Items

Generate SSL Root CA Button

Generates the SSL Root CA. Clicking Generate SSL Root CA button will bring up the Generate SSL Root CA Dialog Box

View SSL Root Certificate Button

Displays the information of the SSL Root certificate. Clicking View SSL Root Certificate button will bring up the View SSL Root Certificate Dialog Box.

Delete SSL Root CA

Deletes the SSL Root CA.


System Log

The Dynamsoft SourceAnywhere for VSS Server logs connection, error information and actions that could prove useful in resolving any problems with the Dynamsoft SourceAnywhere for VSS software. Logging Server activity is therefore recommended for ease of problem diagnosis and security audit.

Actions to be logged can be customized in System Log dialog box.

Window Items

Write Log File

Check to enable Dynamsoft SourceAnywhere for VSS to write log automatically.

View Log

Click to view the log file.

Overwrite log file on Dynamsoft SourceAnywhere for VSS server startup

When "write log file" is selected, a log file will be created in the Dynamsoft SourceAnywhere for VSS folder. By default, the log file will continuously log information. To shorten the log file, check this option to overwrite the file upon Server startup.

Actions to be logged

Check the to-be-logged actions to customize the log information. This part of log info is useful for security audit.

Note:

The log information is delimited by Tab, making it easier to be imported into database systems such as Excel and SQL Server.


Serial Numbers

Dynamsoft SourceAnywhere for VSS licensing is configured exclusively on the server-side from the Serial Numbers page of the Server Manager. When Dynamsoft SourceAnywhere for VSS is purchased, a serial number is issued. A serial number is exactly 32 characters long. Each serial number is encoded with a certain number of licenses and an expiration date. Permanent licenses do not expire.

There is an automatically configured serial number on the server-side for evaluation. The evaluation copy of the Server will run for 30 days after installation. After the demo period expires, the demo serial number should be replaced by a permanent serial number.

To activate the Dynamsoft SourceAnywhere for VSS Server for long-term operation, the demo serial number must be replaced by one or more permanent serial numbers. Multiple serial numbers may be entered. After the serial numbers are configured and the Server is restarted, the Server will be enabled for the total number of licenses encoded in all the serial numbers.

NOTE: Each unique active user will be bound to a Dynamsoft SourceAnywhere for VSS license. The inactive user doesn't take one license.

Window Items

Serial Numbers

Show serial numbers in use.

License

Show the number of licensed users.

License Type

Show the license type, such as Trial or Permanent.

License Expiration

Show the period of the time that the license can be used. It may be the expiration date or Never Expired.

Add

To enter a serial number, press the Add button. Paste the serial number into the Serial Number field in the Add Serial Number Dialog Box and then press the OK button.

Edit

To replace a demo or prior version serial number, select the serial number to be replaced and then press the Edit button. Paste the new serial number over the old serial number in the Serial Number field of the Edit Serial Number Dialog Box and then press the OK button.

Delete

To delete an existing serial number, select the serial number and then press the Delete button.


Service Control

Allows you to start or stop Dynamsoft SourceAnywhere for VSS Server Service.

Window Items

Start Service Button

Click to start the Dynamsoft SourceAnywhere for VSS Server service.

Stop Service Button

Click to stop the Dynamsoft SourceAnywhere for VSS Server service.


Support

Provides telephone, support e-mail and live help of Dynamsoft Corporation, so as to help you maximize the benefits in SourceAnywhere for VSS.


Database

A single Dynamsoft SourceAnywhere for VSS Server can serve multiple databases. You can double-click the entry in the database list to manage the corresponding database.

From Dynamsoft SourceAnywhere for VSS 5.0, users and Blowfish User Keys in all databases are managed in common sections.

  • Users
  • Blowfish User Keys

The following items are managed separately for each database:

  • User Access
  • Password Policy
  • Excluded File Types
  • Web Projects

Window Items

Database Alias

Show the Alias of the database.

Srcsafe.ini Location

Show the location of each database.

Add

To add a database, press the Add button and then use the Browse button in the Add Database dialog box to select the srcsafe.ini file corresponding to the SourceSafe database. The file name should be the full path of the srcsafe.ini file corresponding to the chosen database. To hide the physical location of the database, a database alias may be created for each database. If a database alias is created, only the alias name will be visible to Dynamsoft SourceAnywhere for VSS Clients. Click the OK button in the Add Database dialog box to save the database path and alias.

Edit

To edit a database path or alias, select the database and then press the Edit button. Make any changes to the database path or alias in the Edit Database dialog box then press the OK button.

Delete

To cause Dynamsoft SourceAnywhere for VSS to no longer serve an existing database, select the database and then press the Delete button.


Users

See Also

  • User Access
  • Blowfish User Keys
  • Password Policy
  • Excluded File Types
  • Web Projects

Allows you to manage users for all VSS databases Dynamsoft SourceAnywhere for VSS Server serves. It contains the SourceSafe users who has access to one or more VSS databases.

Each unique active user will be bound to a Dynamsoft SourceAnywhere for VSS license. The inactive user doesn't take one license. Active users with the same name in different databases will be regarded as one active user.

Dialog Box Items

Add

To add a user, select the Add button. Enter the user information in the Add User dialog box .

Edit

To edit an existing user, select the user name and then press the Edit button. Edit the user information in the Edit User dialog box .

Delete

To delete an existing user, select the user name and then press the Delete button.


Blowfish User Keys in Server Manager

Blowfish User Keys

See Also

  • Users
  • User Access
  • Password Policy
  • Excluded File Types
  • Web Projects

Each user must have a Blowfish user key to access the Blowfish secure port of the Server.

The Blowfish user keys may be imported by Dynamsoft SourceAnywhere for VSS Client through Import Blowfish User Key command or by Dynamsoft SourceAnywhere for VSS Cache Server in Client Encryption section.

Dialog Box Items

Blowfish User Keys

Displays all Blowfish user keys information.

Add

To create a key, click the Add button. In the Add Blowfish User Key Dialog Box, enter a SourceSafe User Name and a Dynamsoft SourceAnywhere for VSS Server name. Please note that no verification is done on this user name when it is entered in the Server Manager. To log in successfully, the user name must be known to SourceSafe.

The server name should be the DNS name or IP address of the machine on which the Dynamsoft SourceAnywhere for VSS Server will be running. Additionally, the server name entered here must correspond to the server name specified in the Client Connect to Server dialog box.

Delete

Removes the selected one or more Blowfish user keys from the Server.

Export Key

Click and then choose a location to export a key file.


User Access

See Also

  • User
  • Blowfish User Keys
  • Password Policy
  • Excluded File Types
  • Web Projects

Allows you to specify whether a user is allowed to access the current VSS database.

Dialog Box Items

Certificates

Lists admin and users for all VSS databases that Dynamsoft SourceAnywhere for VSS Server serves. Check the users you want to allow access to the current database.

List active users only

If this option is checked, only active users will be listed.

Apply

Click to apply the changes.


Password Policy

See Also

  • Users
  • Blowfish User Keys
  • User Access
  • Excluded File Types
  • Web Projects

Window Items

Enable password policy

Set password security policy. If you don't need high security, just uncheck this box and the following settings are all disabled.

Minimum password length

Determines the least number of characters that a password for a user account may contain. Long passwords--seven or more characters--are usually stronger than short ones.

With this setting, users cannot use blank passwords, and they have to create passwords that are a certain number of characters long.

Combining this setting with Password must meet complexity requirements can make the password very difficult for an attacker to guess.

Enforce password history

With this setting, users cannot use the same password when their password expires.

This security setting determines the number of unique new passwords that have to be associated with a user account before an old password can be reused. This policy enables administrators to enhance security by ensuring that old passwords are not reused continually.

For example, your old passwords are Mary, Mike, Mila in turn, if the password history keep count is 2, your new password could not be Mike or Mila.

Password must meet complexity requirements

Set password complexity required. Password complexity indicates the value of a password should contain characters from three of the following four categories:

  • English uppercase characters (A through Z)
  • English lowercase characters (a through z)
  • Base 10 digits (0 through 9)
  • Non-alphabetic characters (for example: !, $, #, %)

For example, the following values are legal:

Michael123
$Money$
1860@football

Combining this setting with Minimum password length can make the password very difficult for an attacker to guess.

Password never expire

Enables no time limit password to be used. If unchecked, please specify Maximum password age.

Maximum password age

Determines the period of time (in days) that a password can be used before the system requires the user to change it.

With this setting, if an attacker cracks a password, he only has access to the network until the password expires. Also, since the password is forced to keep changing, it is difficult for attacker to crack.

Lock out user after

Disables a user account if the user fails to input the password after trying a number of times specified in the unsuccessful login attempts box. If selected, please specify User lock out duration.

This setting helps you to prevent attackers from guessing users' passwords, and it decreases the likelihood of successful attacks on your network

User lock out duration

Determines the period of time (unit: minute) that user status will be locked. Over the specified period, the user account will be unlocked.


Excluded File Types

See Also

  • Users
  • Blowfish User Keys
  • User Access
  • Password Policy
  • Web Projects

The Excluded File Types page contains a list of file types to be excluded from the SourceSafe database. Files with the extensions listed here can not be added to projects in the SourceSafe database using Dynamsoft SourceAnywhere for VSS.

Dialog Box Items

Excluded File Type

Lists the excluded file type.

Add

Click to add an excluded file type. Enter the file extension in the Add File Type Dialog Box.

Edit

To edit an existing excluded file extensions, select an entry and then press the Edit button. Make any changes in the Edit File Type dialog box .

Delete

To remove an excluded file extension, select the file type and then press the Delete button.


Web Projects

See Also

  • Users
  • Blowfish User Keys
  • User Access
  • Password Policy
  • Excluded File Types

The Web Projects page contains the names of SourceSafe projects that are designated as web projects. Only those projects configured as web projects in the Server Manager will be deployable by Dynamsoft SourceAnywhere for VSS Clients.

Web Projects set in Dynamsoft SourceAnywhere for VSS are not required to match those set in SourceSafe. In other words, if a web project is set up in Dynamsoft SourceAnywhere for VSS, it does not necessarily need to be configured in SourceSafe and vice versa. In such a case, if some developers are using Dynamsoft SourceAnywhere for VSS, while others are using SourceSafe, one group of people would be able to utilize web deploy, while the other group would not.

Dialog Box Items

Source Project

Shows the source project path in database.

Deploy Directory

Shows the deploy directory.

Add

To specify a web project, click Add. Enter the name of the SourceSafe Project and the Deploy Path in the appropriate boxes of the Add Web Project dialog box. The SourceSafe Project must be a current project in the SourceSafe database, for example:

$/WebProject

Unlike SourceSafe, Dynamsoft SourceAnywhere for VSS does not support web deploy with an ftp account. The Deploy Folder must be a folder on the same LAN as the Dynamsoft SourceAnywhere for VSS Server. We recommend specifying the Deploy Folder using a UNC pathname. For example:

\\machinename\sharename\deploy folder

Edit

To edit an existing web project, select an entry and then press the Edit button. Make any changes in the Edit Web Project dialog box and then press OK.

Delete

To remove the web project specification, select an entry and then press the Delete Button.


Dialog Boxes (Server)

Dialog Boxes

  • Add Database Dialog Box
  • Add Excluded File Type Dialog Box
  • Add Serial Number Dialog Box
  • Add User Dialog Box
  • Add Blowfish User Key Dialog Box
  • Add Web Project Dialog Box
  • Edit Database Dialog Box
  • Edit Excluded File Type Dialog Box
  • Edit Serial Number Dialog Box

  • Edit User Dialog Box

  • Edit Web Project Dialog Box

  • Generate SSL Root CA Dialog Box

  • View SSL Root Certificate Dialog Box


Add Blowfish User Key Dialog Box

See Also

  • Blowfish User Key

Dialog Box Items

SourceSafe User Name

Enter a SourceSafe User Name.

Dynamsoft SourceAnywhere for VSS Server

Enter a Dynamsoft SourceAnywhere for VSS Server Name. The server name should be the DNS name or IP address of the machine on which the Dynamsoft SourceAnywhere for VSS Server will be running. Additionally, the server name entered here must correspond to the server name specified in the Connect to Server dialog box.

Some examples of server names are:

demo.dynamsoft.com
127.0.0.1

Key Never Expire

Enables the Blowfish user key to be no time limit. If not, please specify Expiration date.

Expiration date

Determines the period of time when the Blowfish user key can be used.


Add Database Dialog Box

See Also

  • Database
  • Edit Database Dialog Box

Dialog Box Items

Database

Type or select a VSS Database path.

Database Alias

Type an alias for the VSS Database.


Add Excluded File Type Dialog Box

See Also

  • Excluded File Types
  • Edit Excluded File Type Dialog Box

Dialog Box Item

File extension

Enter a file extension, click OK button to add the excluded file type or click Cancel button to exit the dialog box.


Add Serial Number Dialog Box

See Also

  • Serial Number
  • Edit Serial Number Dialog Box

Dialog Box Item

Serial Number

Paste the serial number into the Serial Number field from Serial Number Box and then press the OK button.


Add User Dialog Box

See Also

  • Users
  • Edit User Dialog Box

Dialog Box Items

SourceSafe User Name

Type a SourceSafe user name.

Description

Type a brief description about the user.

User is active

Check the checkbox to activate the user.

User is locked out

Check the checkbox to lock the user.

Database Access

Lists all VSS databases Dynamsoft SourceAnywhere for VSS Server serves. Check the VSS database(s) the user is allowed to access.

OK

Confirm the inputs.

Cancel

Cancels to exit the dialog box. No changes will be made and you will be returned to the User List page.


Add Web Project Dialog Box

See Also

  • Web Project
  • Edit Web Project Dialog Box

Dialog Box Items

Deploy Folder

Type or select a deploy folder path.

SourceSafe Project

Enter the name of the SourceSafe Project.


Edit Database Dialog Box

See Also

  • Database
  • Add Database Dialog Box

Dialog Box Items

Database

Type or select a database path.

Database Alias

Type an alias for the database.


Edit Excluded File Type Dialog Box

See Also

  • Excluded File Types
  • Add Excluded File Type Dialog Box

Dialog Box Item

File extension

Enter the file extension.


Edit Serial Number Dialog Box

See Also

  • Serial Number
  • Add Serial Number Dialog Box

Dialog Box Item

Serial Number

Paste the new serial number over the old serial number in the Serial Number field and then press the OK button.


Edit User Dialog Box

See Also

  • User
  • Add User Dialog Box

Dialog Box Items

SourceSafe User Name

Edit the SourceSafe user name.

Description

Edit the brief description about the user.

User is active

Edit the active status of the user.

User is locked out

Edit the lock status of the user.

Database Access

Edit which VSS database(s) the user is allowed to access.

OK

Confirm the inputs.

Cancel

Cancels to exist the dialog box. No changes will be made and you will be returned to the User List page.


Edit Web Project Dialog Box

See Also

  • Web Project
  • Add Web Project Dialog Box

Dialog Box Items

Deploy Folder

Type or select a deploy folder path.

SourceSafe Project

Enter the name of the SourceSafe Project.


General SSL Root CA

Generate SSL Root CA Dialog Box

See Also

  • SSL Root CA
  • View SSL Root Certificate Dialog Box

Generates the SSL Root CA.

Dialog Box Item

Certificate Property

Enter the information of the user.


View SSL Root Certificate

View SSL Root Certificate Dialog Box

See Also

  • SSL Root CA
  • Generate SSL Root CA Dialog Box

Displays the information of the SSL Root certificate.

Dialog Box Items

Name

Displays the name of the SSL Root certificate.

Expiration Date

Displays the expiration date of the SSL Root certificate.

Close

Click to close the dialog box.


Cache Server Manager

Cache Server Manager

See Also

  • Dynamsoft SourceAnywhere for VSS Cache Server Overview
  • Configuring Dynamsoft SourceAnywhere for VSS Cache Server
  • Configuration Examples

Dynamsoft SourceAnywhere for VSS Cache Server Manager is a Windows application to configure and start/stop Dynamsoft SourceAnywhere for VSS Cache Server.

Before starting the service, you need to establish the service relation between the cache server and the server in Service Relation section. Once the service relation is established, the clients will connect to the cache server, rather than to the server. For more information on how to configure Dynamsoft SourceAnywhere for VSS Cache Server, please refer to Configuring Dynamsoft SourceAnywhere for VSS Cache Server page.

With Dynamsoft SourceAnywhere for VSS Cache Server Manager, you can accomplish the following administrative tasks:

  • Service Info
    • Service Control
    • Service Relation
    • General Settings
    • Memory Cache Settings
    • System Log
    • Proxy
    • Support
  • Encryption Info
    • Blowfish User Keys
    • SSL Root CA
    • Client Encryption

NOTE: If changes are made, the Dynamsoft SourceAnywhere for VSS Cache Service must be restarted to register the changes.


Service Info

Service Info section is service configuration center for users to configure the cache server.

  • Service Control
  • Service Relation
  • General Settings
  • Memory Cache Settings
  • System Log
  • Support


Service Control

Service Control

Allows you to start or stop the service of Dynamsoft SourceAnywhere for VSS Cache Server.

Window Items

Start

Starts Dynamsoft SourceAnywhere for VSS Cache Server service.

Stop

Stops Dynamsoft SourceAnywhere for VSS Cache Server service.


Service Relation

Service Relation

S ee Also

  • Service Relation Setting Dialog Box

Allows you to establish the service relation between Dynamsoft SourceAnywhere for VSS Server and Dynamsoft SourceAnywhere for VSS Cache Server. Dynamsoft SourceAnywhere for VSS Client will connect to Dynamsoft SourceAnywhere for VSS Server through Dynamsoft SourceAnywhere for VSS Cache Server under this relation.

Window Items

Service Relation List

Lists all Service Relations.

Cache Server IP

Displays the IP address of Dynamsoft SourceAnywhere for VSS cache server.

Cache Server Port

Displays the port of Dynamsoft SourceAnywhere for VSS cache server

Encryption Type

Displays the encryption type of the Local Server Port.

Server IP

Displays the IP address of Dynamsoft SourceAnywhere for VSS server.

Server Port

Displays the port of Dynamsoft SourceAnywhere for VSS server.

Add

Click to add a service relation in Service Relation Setting dialog box.

Delete

Click to delete the selected service relation(s).

Edit

Click to edit the selected service relation in Server Relation Setting dialog box.


General Settings

General Settings

Allows you to set the following general settings of Dynamsoft SourceAnywhere for VSS Cache Server:

  • Set the path of temp folder Dynamsoft SourceAnywhere for VSS Cache Server uses to store the temporary files.
  • Set whether to use compression or delta transfer for data transfer.

Window Items

Temp path

Type or select a local path for temp folder. The default path is a subdirectory of the installation directory of Dynamsoft SourceAnywhere for VSS Cache Server.

Use compression for data transfer

Check to use compression for data transfer.

Use Delta transfer for data transfer

Check to use Delta transfer for data transfer.


Memory Cache Setting in Cache Server Manager

Cache Settings

Allows you to configure the cache settings for Dynamsoft SAW for VSS Cache Server. This window contains cache settings for the following two types of server cache:

  • File cache. Requested files are cached on cache server to speed up the client access.
  • Memory cache. Caching temporary data in memory may reduce the disk I/O of the cache server.

Window Items

File Cache

  • Path
    Specifies the path of the folder for storing requested folders and files. You can type the full path in the textbox or click the Browse button to select one. The default path is the installation directory of Dynamsoft SourceAnywhere for VSS cache server.
  • Cache Size
    Specifies the amount of disk space used for file cache. 0 (zero) indicates unlimited.

Memory Cache

Storing temporary data in memory may reduce disk I/O and improve cache server performance. Before setting the memory size for Dynamsoft SAW for VSS cache server, make sure that there is enough free memory available.

  • Use the default setting for server memory (1/16 of the total physical memory) - When this option is checked, Dynamsoft SAW for VSS cache server uses 1/16 of the total physical memory for caching.
  • Use a fixed amount of memory - When this option is checked, Dynamsoft SAW for VSS cache server uses a fixed amount of virtual memory specified in the Memory size textbox.


System Log

Dynamsoft SourceAnywhere for VSS Cache Server logs connection and error information that could provide useful information in resolving problems with the Dynamsoft SourceAnywhere for VSS Cache Server. Logging Cache Server activity is therefore recommended for ease of problem diagnosis and security audit.

Window Items

Write log file

Check to make Cache Server write log file.

Overwrite log file on server startup

Check to make Cache Server overwrite the log file on server startup.

View Log

Click to view the log file.

Save

Saves the changes.

Actions to be logged

Check the to-be-logged actions to customize the log information. This part of log info is useful for security audit.


New Page 1

Proxy

Window Items

Proxy Type

Specifies the proxy type (none, http, socks4 and socks5).

Server name

Specifies the domain name or IP address of the proxy server.

Port

Type the proxy server port.

User name (if needed)

Specifies the user name used to login the proxy server.

Password (if needed)

Specifies the password for the specified user to login the proxy server.


Support

Support

Provides telephone, support e-mail and live help of Dynamsoft Corporation, so as to help you maximize the benefits in Dynamsoft SourceAnywhere for VSS.


Encryption Info

Encryption Info section is an encryption information center for users to manage Blowfish user keys or SSL root certificates.

  • Blowfish User Keys
  • SSL Root CA
  • Client Encryption


Blowfish User Keys in Cache Server Manager

Blowfish User Keys

S ee Also

  • Service Relation Setting Dialog Box

Allows you to generate and export Blowfish user keys for the Blowfish secure port of Dynamsoft SourceAnywhere for VSS Cache Server. Dynamsoft SourceAnywhere for VSS Cache Server manages Blowfish encryption by referencing a key file containing the user key. Each Dynamsoft SourceAnywhere for VSS user must import the Blowfish user key to access the Blowfish secure port of Dynamsoft SourceAnywhere for VSS Cache Server.

The Blowfish user keys may be imported by Dynamsoft SourceAnywhere for VSS Client through Import Blowfish User Key operation or by another Dynamsoft SourceAnywhere for VSS Cache Server in Client Encryption section.

Window Items

Blowfish User Keys List

Lists all Blowfish User Keys.

User Name

Displays the username the Blowfish User Key is for.

Server Name

Displays the server IP or name of the cache server.

Expiration Date

The expiration date/time of the key.

Add

Click to add a Blowfish User Key in Add Blowfish User Key dialog box.

Delete

Click to delete the selected Blowfish User Key(s).

Export Key

Click to export the Blowfish User Key to local disk as a SEK file (*.sek). The Blowfish User Key will be imported by Dynamsoft SourceAnywhere for VSS Client.


SSL Root CA in Cache Server Manager

SSL Root CA

See Also

  • Service Relation Setting Dialog Box

Allows you to generate an SSL Root CA for the SSL secure port of Dynamsoft SourceAnywhere for VSS Cache Server. Dynamsoft SourceAnywhere for VSS Cache Server manages SSL encryption by referencing a CRT file containing the SSL root certificate.

Window Items

Generate SSL Root CA

Click to generate the SSL Root CA in Generate SSL Root CA dialog box.

View SSL Root Certificate

Click to view the information about the SSL Root Certificate in View SSL Root Certificate dialog box.

Delete SSL Root CA

Click to delete current SSL Root CA.


Client Encryption

Client Encryption

See Also

  • Blowfish User Key In Dynamsoft SourceAnywhere for VSS Server Manager
  • SSL Root CA In Dynamsoft SourceAnywhere for VSS Server Manager

Allows you to import the Blowfish user keys exported by Dynamsoft SourceAnywhere for VSS Server. Dynamsoft SourceAnywhere for VSS Cache Server must import Blowfish user keys to access the Blowfish secure port of Dynamsoft SourceAnywhere for VSS Server.

Note: To secure the data transfer between Dynamsoft SourceAnywhere for VSS Cache Server and Dynamsoft SourceAnywhere for VSS Server with Blowfish encryption, the Dynamsoft SourceAnywhere for VSS Cache Server needs to import Blowfish user keys of users that will connect to the Blowfish secure port of Dynamsoft SourceAnywhere for VSS Server through it.

Windows Items

Import Blowfish User Key

Click Import... button to import Blowfish User Key in Import Blowfish User Key dialog box.


Dialog Boxes

  • Add Blowfish User Key Dialog Box
  • Import Blowfish User Key Dialog Box
  • Generate SSL Root CA Dialog Box
  • View SSL Root Certificate Dialog Box
  • Service Relation Setting Dialog Box


Add Blowfish User Key

Add Blowfish User Key

See Also

  • Blowfish User Keys

Dialog Box Items

SourceSafe user name

Enter a SourceSafe user name.

Dynamsoft SourceAnywhere for VSS Server

Enter a Dynamsoft SourceAnywhere for VSS Cache Server name. The server name should be IP address or DNS name of the machine on which the Dynamsoft SourceAnywhere for VSS Cache Server will be running. Additionally, the server name entered here must correspond to the server name specified in the Client Connect to Server dialog box.

Some examples of server names are:

demo.dynamsoft.com
82.165.243.237

Key never expire

Check to be no time limit. If not, please specify Expiration date.

Expiration date

Determines the deadline after which the Blowfish User Key cannot be used.


Generate SSL Root CA

Generate SSL Root CA

See Also

  • SSL Root CA
  • View SSL Root Certificate

Allows you to configure information which is used to generate SSL Root CA and set the SSL Root Certificate expiration date.

Dialog Box Items

Country

Enter the country you live in.

Province

Enter the province you live in.

City

Enter the city you live in.

Department

Enter the department you work in.

Group

Enter the group you work in.

E-mail

Enter an E-mail address.

Name

Enter a user name.

Description

Enter brief description about the user.

Expiration Date

Determine the deadline after which the SSL Root Certificate cannot be used.


Export Blowfish User Key

Import Blowfish User Key

See Also

  • Client Encryption

Dialog Box Item

File

Type or browse a local path to import a Blowfish User Key file (named *.sek) which is exported by Dynamsoft SourceAnywhere for VSS Server Manager.


Add Service Relation

Service Relation Setting

See Also

  • Service Relation

Dialog Box Items

Cache server IP

Select the IP address of Dynamsoft SourceAnywhere for VSS cache server.

Cache server port

Type the port number of Dynamsoft SourceAnywhere for VSS cache server.

Encryption Type

Select the encryption type of the port of Dynamsoft SourceAnywhere for VSS cache server.

Server IP

Type the IP address of Dynamsoft SourceAnywhere for VSS server. The IP address entered in this box must correspond to the Server IP specified in Server Manager->Server Info-> General Settings .

Server port

Type the port of Dynamsoft SourceAnywhere for VSS server. The port entered in this box must correspond to Unsecure port, Blowfish port or SSL port specified in Server Manager->Server Info-> General Settings .

Note:

  • If the encryption type specified in this dialog box is set to Blowfish or SSL, the cache server will need to export the Blowfish user keys in Blowfish User Keys section or export SSL root certificate in SSL Root CA section
  • If the port of Dynamsoft SourceAnywhere for VSS server specified in this dialog box is a secure (Blowfish or SSL) port, the cache server will need to import the Blowfish user keys or SSL root certificate exported by Dynamsoft SourceAnywhere for VSS server in Client Encryption section.


View SSL Root Certificate

View SSL Root Certificate

See Also

  • SSL Root CA
  • Generate SSL Root CA

Dialog Box Items

Name

Displays the name you specified in Generate SSL Root CA dialog box.

Expiration date

Displays the expiration date of SSL Root Certificate.


Configuration Examples

Configuration Examples

This section shows how to configure Dynamsoft SourceAnywhere for VSS when cache server is used. The following configuration examples are given:

  • Example 1
  • Example 2
  • Example 3


Configuration Example 1

Example 1

The following assumptions are made in this example:

  • One cache server is used;
  • The client connects to SSL secure port of the cache server;
  • The cache server connects to SSL secure port of the server;
  • Server IP = 66.143.96.31;
  • Server SSL secure port = 8879;
  • Cache server IP = 127.0.0.1;
  • Cache server SSL secure port = 2222.

In Dynamsoft SourceAnywhere for VSS Server Manager

  1. In General Settings, check Use SSL port checkbox and enter a port as SSL encryption port.

  2. In SSL Root CA, click Generate SSL Root CA button and configure information in Generate SSL Root CA dialog box.

    ¡¡

  3. Click Start Service button to start up Dynamsoft SourceAnywhere for VSS Server service.

¡¡

In Dynamsoft SourceAnywhere for VSS Cache Server Manager

  1. In Service Relation, click Add button and configure information in Service Relation Setting dialog box. In the dialog box, enter the IP address and port of Cache Server, choose the SSL encryption type and enter the IP address and port of server that both specified in Dynamsoft SourceAnywhere for VSS Server Manager.
    ¡¡

  2. In SSL Root CA, click Generate SSL Root CA button, configure information in Generate SSL Root CA dialog box .
    ¡¡

  3. Click Start button to start up Dynamsoft SourceAnywhere for VSS Cache Server service.
    ¡¡

In Dynamsoft SourceAnywhere for VSS Client

  1. Enter the IP address of Dynamsoft SourceAnywhere for VSS Cache Server and the SSL encryption port specified in Dynamsoft SourceAnywhere for VSS Cache Server Manager.


Configuration Example 2

Example 2

The following assumptions are made in this example:

  • One cache server is used;
  • The client connects to Blowfish secure port of cache server;
  • The cache server connects to Blowfish secure port of the server;
  • Server IP = 66.143.96.31;
  • Server Blowfish secure port = 8878;
  • Cache server IP = 127.0.0.1;
  • Cache server Blowfish secure port = 1111.

In Dynamsoft SourceAnywhere for VSS Server Manager

  1. In General Settings, check Use Blowfish port checkbox and enter a port as Blowfish encryption port.

  2. In Blowfish User Keys, click Add button and enter the information about the Blowfish User Key in Add Blowfish User Key dialog box.

  3. Click Export Key button to export Blowfish User Key as a file (For example, Dynamsoft SourceAnywhere for VSS_SM.sek) to a local path.

  4. Click Start Service button to start up Dynamsoft SourceAnywhere for VSS Server service.

In Dynamsoft SourceAnywhere for VSS Cache Server Manager

  1. In Client Encryption, click Import... button in Import Blowfish User Key area to import the file (for example Dynamsoft SourceAnywhere for VSS_SM.sek) generated by Dynamsoft SourceAnywhere for VSS Server Manager.

  2. In Service Relation, click Add button and establish a link between Cache Server and server in Service Relation Setting dialog box. In the dialog box, enter the IP address and port of Cache Server, choose the Blowfish encryption type and enter the IP address and port of remote server that both specified in Dynamsoft SourceAnywhere for VSS Server Manager.

  3. In Blowfish User port Key button to export Blowfish User Key as a file (for example, Dynamsoft SourceAnywhere for VSS_CSM.sek) to a local path.

  4. Click Start button to start up Dynamsoft SourceAnywhere for VSS Cache Server service.

In Dynamsoft SourceAnywhere for VSS Client

  1. Select Import Blowfish User Key... from the Tools menu and import the file (for example, Dynamsoft SourceAnywhere for VSS_CSM.sek) exported by Dynamsoft SourceAnywhere for VSS Cache Server Manager.

  2. Enter the server name of Dynamsoft SourceAnywhere for VSS Cache Server specified in the Add Blowfish User Key dialog box. Then enter the Blowfish encryption port specified in Dynamsoft SourceAnywhere for VSS Cache Server Manager.


Configuration Example 3

Example 3

The following assumptions are made in this example:

  • One cache server is used;
  • The client connects to Blowfish secure port of cache server;
  • The cache server connects to SSL secure port of the server;
  • Server IP = 66.143.96.31;
  • Server SSL secure port = 8879;
  • Cache server IP = 127.0.0.1;
  • Cache server Blowfish secure port = 3333.

In Dynamsoft SourceAnywhere for VSS Server Manager

  1. In General Settings, check Use SSL port checkbox and enter a port as SSL encryption port.

  2. In SSL Root CA, click Generate SSL Root CA button and configure information in Generate SSL Root CA dialog box.

  3. Click Start Service button to start up Dynamsoft SourceAnywhere for VSS Server service.

In Dynamsoft SourceAnywhere for VSS Cache Server Manager

  1. In Service Relation, click Add button and establish a connection between cache server and server in Service Relation Setting dialog box.

    In the dialog box, enter the IP address and port of Cache Server ,and choose the Blowfish encryption type, then enter the IP address and SSL port of server that both specified in Dynamsoft SourceAnywhere for VSS Server Manager.

  2. In Blowfish User Keys, click Add button to generate Blowfish User Key for a user in Add Blowfish User Key dialog box and click Export Key button to save Blowfish User Key as a file (For example, named "user.sek") which will be delivered to its client.

  3. Click Start button to start up Dynamsoft SourceAnywhere for VSS Cache Server service.

In Dynamsoft SourceAnywhere for VSS Client

  1. Select Import Blowfish User Key... from the Tools menu and import the Blowfish user key (user.sek) exported by Dynamsoft SourceAnywhere for VSS Cache Server Manager.

  2. Enter the server name of cache server specified in the Add Blowfish User Key dialog box, and enter the Blowfish encryption port of cache server.


SDK Overview

Dynamsoft SourceAnywhere for VSS SDK

Dynamsoft SourceAnywhere for VSS provides a Software Development Kit (SDK) which enables software developers to integrate Dynamsoft SourceAnywhere for VSS functionality with their applications. Through the Dynamsoft SourceAnywhere for VSS Software Development Kit's APIs, you can develop applications that provide the similar functionality as the client software of Dynamsoft SourceAnywhere for VSS.

The Dynamsoft SourceAnywhere for VSS SDK includes the following two editions:

  • COM SDK
  • Java SDK

Note: Dynamsoft SourceAnywhere for VSS SDK works with Dynamsoft SourceAnywhere for VSS Professional Edition Server only.


COM SDK

ActiveX SDK COM SDK

The Dynamsoft SourceAnywhere for VSS COM Software Development Kit (SDK) enables you to integrate Dynamsoft SourceAnywhere for VSS functionality with your Windows application that is written in a language that supports Microsoft's Component Object Model, such as Microsoft Visual C++ and Microsoft Visual Basic.

For more information on how to use Dynamsoft SourceAnywhere for VSS COM SDK, please refer to the Help file that comes with Dynamsoft SourceAnywhere for VSS COM SDK.


Java SDK

Java SDK

The Dynamsoft SourceAnywhere for VSS Java Software Development Kit (SDK) enables you to integrate Dynamsoft SourceAnywhere for VSS functionality with your Java applications.

For more information on how to use Dynamsoft SourceAnywhere for VSS Java SDK, please refer to the document that comes with Dynamsoft SourceAnywhere for VSS Java SDK.


Troubleshooting

1. FAQ

  • Error Connecting to <IP>:<PORT>
  • Why the Start Service and Stop Service buttons are grayed out?
  • The SourceSafe database <path to srcsafe.ini> does not exist.
  • Error message: Error opening database <path to srcsafe.ini>
  • Error message: File <path to srcsafe.ini>not found
  • The client is not compatible with the server
  • Socket is closed by Server. Error creating local temp file
  • More FAQ

2. Dynamsoft Support

Dynamsoft Corporation is committed to providing the high-quality support that you need to maximize the benefits in using our products. Our support professionals are ready to offer high quality, friendly and responsive technical support for our valued registered users.

  • Support Forum
  • Knowledge Base
  • Email Support: sawvss[@]dynamsoft.com
  • Online Chat Support
  • Phone Support: 1-877-605-5491


Error message

Error message: Error connecting to <IP>: <PORT>

Symptoms

You may get the error when you try to connect to SourceAnywhere for VSS Server.

Cause

1.Network is unavailable.
2.You are connecting to a wrong server IP.
3.Firewall blocks the SoruceAnywhere for VSS port/service

Resolution

  1. Make sure the network connection between the SourceAnywhere for VSS Server and Client is OK.
  2. Make sure the Server IP you are connecting to is correct. Please check if the IP address is listed in Server Manager -> ServerInfo -> General Settings -> Server IP.
  3. If you have a firewall configured on the Server or Client, please make sure the firewall does not block the port you specify in Server Manager -> ServerInfo -> General Settings.
  4. If SourceAnywhere for VSS Server is installed on a Windows XP SP2 or Windows Server 2003 SP1 machine, please check if Windows Firewall is enabled on this server machine. If yes, it is likely the Windows Firewall is blocking connections from SourceAnywhere for VSS Client. In this case, please add a Windows Firewall exception for SourceAnywhere for VSS Service.

    For SourceAnywhere for VSS Professional Server, the path of SourceAnywhere for VSS Service is "(system disk):\Program Files\DynamSoft\SourceAnywhere for VSS 5 Professional Server\SAWService.exe".


Symptoms

Why the Start Service and Stop Service buttons are grayed out?

Symptoms

When you open SourceAnywhere for VSS Server Manager on Windows Vista/7/2008/SBS, you may find the Start Service and Stop Service buttons are grayed out.

Also, if you try to make any changes in Server Manager and close it, you may find your changes are lost.

Cause

You don't have proper permission to start/stop SourceAnywhere for VSS service and change the server configurations.

Resolution

Please right-click SourceAnywhere for VSS Server Manager and click Run as administrator to launch Server Manager and then make changes.


Symptoms You may get the error

The SourceSafe database <path to srcsafe.ini> does not exist.

Symptoms

 You may get the error when you try to connect to SourceAnywhere for VSS Server.

Cause

 The current log on user of SourceAnywhere for VSS service may not have read/write permission of the Visual SourceSafe (VSS) directory.

The path to srcsafe.ini is incorrect.

Resolution

 Troubleshooting of this problem depends on whether the SourceAnywhere for VSS Server is installed on the same machine where the VSS database resides.

If YES, please verify the following thing:

  • The Log On user of SourceAnywhere for VSS service should have read/write permission of the Visual SourceSafe (VSS) directory.

For information about how to check the Log On user of SourceAnywhere for VSS service, please click here.

If NO, please verify the following things:

  • If you specify a local user as the Log On user, please verify this username also exists on the machine where Visual SourceSafe (VSS) database resides and the passwords of these two users are identical. Meanwhile, you need to verify the user on the Visual SourceSafe (VSS) machine has read/write permissions and read/change share permissions of the Visual SourceSafe (VSS) directory.
    Please click here for information about how to check Security setting of a Windows folder, and click here to see how to check Share Permissions setting of a Windows folder.
  • If you specify a domain user as the Log On user and SourceAnywhere for VSS Server is installed in the same domain as the one hosting Visual SourceSafe (VSS) database, please verify this domain user has read/write permissions and read/change share permissions of of the Visual SourceSafe (VSS) directory.
  • No mapped driver letter is used to specify the path to srcsafe.ini, since the mapped driver may not be available for SourceAnywhere for VSS service.
    If you map \\ServerName\ShareName to driver Z:, for example, you should use the full network path \\ServerName\ShareName\SuorceSafe\srcsafe.ini to specify the path to srcsafe.ini, rather than Z:\SourceSafe\srcsafe.ini.


New Page 2

File <path to srcsafe.ini>not found

Symptoms

You may get the error when you try to log in.

Cause

The possible cause is that the Visual SourceSafe (VSS) database is corrupted.

Resolution

Run the Analyze tool to check the integrity of the Visual SourceSafe (VSS) DB. Please make sure to backup the Visual SourceSafe (VSS) database before running the tool.

For information about how to find the "VSS Analyze tool", please click here.


Symptoms You may get the error

The client is not compatible with the server

Symptoms

 You may get the error when you try to connect to SourceAnywhere for VSS Server.

Cause

There are two possible reasons:

  1. The versions of SourceAnywhere for VSS Server and Client are incompatible.
  2. The editions of SourceAnywhere for VSS Server and Client are different. SourceAnywhere for VSS has two editions: Professional Edition and Standard Edition.

Resolution
Please make sure the SourceAnywhere for VSS Server and Client are the same edition and the version of server and client are compatible.


New Page 3

Socket is closed by Server. Error creating local temp file

Symptoms

You may get the error when you try to check in or add files.

Cause

The problem occurs when SourceAnywhere for VSS server does not have read/write permission of the temp folder.

Resolution

For information about how to make sure SourceAnywhere for VSS server has enough permission of the temp folder, please click here.


Check Out Status Tab (File Properties)

See Also

  • General Tab
  • Links Tab

Displays the check out information about the selected file.

In Dynamsoft SourceAnywhere for VSS, select a file, click Properties on the File menu, then click Check Out Status.

Tab Items

Username

Shows the user who checked out the selected file.

Version

Shows the version number of the selected file.

Date

Shows the date and time when the selected file was checked out.

Project

Shows the name of the project which the file belongs to.

Comment

Shows the comment on the checkout.

Close

Closes the Properties dialog box and returns to Dynamsoft SourceAnywhere for VSS Explorer.


General Tab (File Properties)

See Also

  • Check Out Status Tab
  • Links Tab

Displays the general information about the file.

In Dynamsoft SourceAnywhere for VSS, select a file, click Properties on the File menu, then click General.

Tab Items

Name

Shows the file name and path.

Type

Shows the file type (Text or Binary). Text files can perform diff/merge operations, but Binary files can not.

Latest in VSS database

Shows the version number, last modification time and size of the current selected file version.

Comment

Shows the comment on the selected file.

Close

Closes the Properties dialog box and returns to Dynamsoft SourceAnywhere for VSS Explorer.


Links Tab (File Properties)

See Also

  • General Tab
  • Check Out Status Tab

Lists all the projects sharing the selected file.

In Dynamsoft SourceAnywhere for VSS, select a file, click Properties on the File menu, then click Links.

Tab Items

Projects sharing <file>

Lists all the projects sharing the selected file. When you check in a file, all the projects shown in this list automatically receive the checked-in version of the file. If a file is deleted from a project, it is also indicated in the list window and is noted with a text string.

Close

Closes the Properties dialog box and return to Dynamsoft SourceAnywhere for VSS Explorer.


Project Difference

See Also

  • Show Differences Command

Shows the differences between files in the working folder of the selected SourceAnywhere for VSS repository project and any other local/repository item, etc. You can also see what is different within a file, and reconcile differences if desired.

Dialog Box Items

This dialog box is composed of two panes; one showing the files in the working folder assigned to the current project (on the right) and the other showing files being compared in the local folder or repository (on the left). This dialog also has its own toolbar, with buttons for adding files, deleting files, getting files, checking files out and in, undoing file check outs, viewing files, reconciling the differences , and more.

The list of files in the right and left panes is filtered by the choices you made in the Show Differences command dialog. For example, if you choose to show only files that are different in both places, you will not see files that are the same.

There are four types of files which may appear in the lists.

  • Files that are in both panes appear in black letters against a white background by default.

  • Files that are in your working folder, but not in the compare project, appear in green against a gray background by default.

  • Files that are in the compare project, but not in the your working folder, appear in blue against a gray background by default.

  • Files that are in both places, but different, appear in red against a gray background by default.
Toolbar commands in this dialog generally work in the same way as the standard SourceAnywhere for VSS commands, but some work slightly differently, as follows:
  • The Add command moves a file or directory from the right pane to the left pane.

  • The Delete command works normally if a file in the left pane is selected. If a file in the right pane is selected, you can use the Delete command to delete the local file or directory from your working folder.

  • The Get Latest Version command works normally, getting a file or project from the left pane to the right pane.

  • The Check Out command works normally, reconciling the differences between a file that is different in each pane and is not checked out in the right pane, by checking it out and overwriting it in your local working folder.

  • The Check In command works normally, reconciling a file that is in both panes, but different, and is checked out in both panes. With this command you save the latest changes to the file in your working folder.

  • The Undo Check Out command works normally, reconciling a file that is different in each pane and is checked out in both panes by undoing the check out on the file. With this command you lose the latest changes to the file in your working folder.

  • The View command works on a file selected in the left pane just like the Explorer's View command. It displays the file in the SourceAnywhere for VSS database. The View command works on a file selected in the right pane by opening the appropriate viewer directly on the file in the folder.

  • The File Difference command compares two selected files. If only one file is selected, Difference compares it with the SourceAnywhere for VSS project and the folder.

  • The Refresh command brings the File List up to date.

  • The Reconcile All command reconciles differences found in the compared projects. Reconciliation can mean several different things depending on the settings you choose in the dialog boxes that are displayed after you choose this command.

  • The Report command allows you to export the project difference result to a local disk as a file.

  • The Stop Current Operation command allows you stop your current operation.

Note The first six commands except for Delete are only available when comparing the working folder with the project in the repository.

If you use a mouse, you can access many of the preceding commands with the right mouse button. You can also perform Properties command and choose files to show through right mouse button.


Deleted Items Tab (Project Properties)

See Also

  • General Tab

Lists files and subprojects that have been removed from the current selected project.

In Dynamsoft SourceAnywhere for VSS, select a project, click Properties on the File menu, then click Deleted Items.

Tab Items

Items

Lists the names of all removed files and subprojects in the current project.

Recover

Recovers an item, and places it in the File List or Project Tree.

Purge

Permanently destroys the item. The purged items are not recoverable.

Close

Closes the Properties dialog box and returns to Dynamsoft SourceAnywhere for VSS Explorer.


General Tab (Project Properties)

See Also

  • Deleted Items Tab

Displays the general information about the selected project.

In Dynamsoft SourceAnywhere for VSS, select a project, click Properties on the File menu, then click General.

Tab Items

Name

Shows the name and path of the selected project.

This Project is (not) cloaked

Shows whether the selected project is cloaked.

Contains

Shows the number of deleted files and subprojects in the selected project.

Latest in VSS database

Shows the version number and last modification date of the current selected project version.

Comment

Shows the comment on the selected project.

Close

Closes the Properties dialog box and returns to Dynamsoft SourceAnywhere for VSS Explorer.


Visual SourceSafe

Reconcile Dialog Box

See Also

  • Project Difference

Command Remarks

You can find the Reconcile button in the Project Difference dialog box along the toolbar. The Reconcile button displays a dialog box with the following options. These options specify what you want SourceAnywhere Standalone to do when it encounters specific situations while reconciling differences between projects.

Dialog Box Items

Reconcile files that appear in only one list...

Files that are not in your working folder. This specifies what you want to happen when SourceAnywhere Standalone finds files that are not in your working folder, but are in the project. Click Get (the default) to get files missing from your working folder. Click Ignore to take no action with these files.

Files that are not in the project. This specifies what you want to happen when SourceAnywhere Standalone finds files that are not in your project, but are in your working folder. Click Ignore (the default) to take no action with these files. Click Add to Project to add these files to your project. Click Delete from folder to delete these files from your working folder.

Reconcile files that appear in both lists...

Files that you have checked out. This specifies what you want to happen when SourceAnywhere Standalone finds files that are checked out to you. Click Check In (the default) to check these files into your project. Click Undo Check Out to undo the check out on these files. Click Get to get the latest version of these files. Click Ignore to take no action with these files.

Files that you do not have checked out. This specifies what you want to happen when SourceAnywhere Standalone finds files that are not checked out to you, but are different in your working folder. Click Get (the default) to get the latest version of these files. Click Ignore to take no action with these files.

OK
Performs the Reconcile command with the options chosen.

Cancel
Cancels the reconciliation.


Status Search Result Dialog Box

See Also

  • Status Search
  • Search for Status Dialog Box

Shows the result of a status search. The dialog box is modeless which means you can view multiple Search Result Dialog Boxes concurrently.

In Dynamsoft SourceAnywhere for VSS, access the Search for Status dialog box and click OK.

Dialog Box Items

Item list

  • Name: Shows the name of the file.
  • User: Shows the name of the user who checked out the file.
  • Date-Time: Shows the date of the remote copy of the file.
  • Check out folder: Shows the path of the check out folder.

Close

Closes the dialog box.

View

Shows the View dialog box for the selected file.

Get latest version

Shows the Get Latest Version dialog box for the selected file(s).

Check in

Shows the Check In dialog box for the selected file(s).

Undo check out

Shows the Undo Check Out dialog box for the selected file(s).

Show Difference

Shows the File Difference dialog box when you select just one file. If compared files are both selected from the item list on the left, it may appear a message to tell you they are identical or the Merge Hero will show the differences.

Show History

Shows the History Options dialog box for the selected file.

Export

Shows the Save As dialog box allowing you to export the search result to the local disk as a file.

Close

Closes the dialog box and returns to Dynamsoft SourceAnywhere for VSS client explorer.


IDE

IDE Client

In addition to the GUI Client for Dynamsoft SourceAnywhere for VSS, we provide some IDE (Integrated Development Environment) Clients that are suitable for use in development environments such as Visual Studio and Visual Studio .NET, Macromedia Studio, Eclipse, etc..

  • Visual Studio Client
  • Macromedia Studio Plug-in
  • Eclipse Plug-in

Besides the above IDE integrations, Dynamsoft SourceAnywhere for VSS can also be integrated with Borland Delphi 8.0 IDE, IBM Rational Rapid Developer 2003 IDE and any MSSCCI (Microsoft Source Code Control Interface) compatible IDE.


Add File Group Dialog Box

See Also

  • File Types

Add a new file group to the File Types tab in the Tools > Options dialog box.

Dialog Box Items

Name

Type the name of the file group as you would like to identify it in the file group list on the File Types tab.


Add File Type Dialog Box

Add a new file type to the File Types tab in the Tools > Options dialog box.

Dialog Box Items

Name

Type the name of the file type as you would like to identify it in the file type list on the File Types tab.


Help

Click to open help files.


SourceAnywhere for VSS Help

Dynamsoft SourceAnywhere for VSS 6.0 Help

1. Getting Started

2. Installation

3. Client

4. Server Manager

5. Cache Server Manager

6. SDK Reference

Detailed Index

1. Getting Started

  • General Description
  • Features and Benefits
  • What's New
  • Screen Shots
    • Windows GUI Client
    • Linux GUI Client
    • Mac GUI Client
    • Solaris GUI Client
    • Macromedia Studio Plug-in
    • Eclipse Plug-in
    • Server Manager
    • Cache Server Manager
  • Cache Server
  • Delta Transfer
  • Encryption
  • Edition Comparisons
  • License Agreement
  • Getting Supported
  • Self Trouble Shooting
  • Bug Reporting and Comment

2. Installation

  • Installing Dynamsoft SourceAnywhere for VSS Server
  • Configuring Dynamsoft SourceAnywhere for VSS Server
  • Installing Dynamsoft SourceAnywhere for VSS Cache Server
  • Configuring Dynamsoft SourceAnywhere for VSS Cache Server
  • Installing Dynamsoft SourceAnywhere for VSS Client
  • Running Dynamsoft SourceAnywhere for VSS Client
  • Uninstalling Dynamsoft SourceAnywhere for VSS

3. Client

  • Windows GUI Client

    Operations

    • Add Files
    • Branch
    • Change Password
    • Check In
    • Check Out
    • Clear Status Window
    • Cloak Project
    • Create Project
    • Delete a File or Project
    • Deploy
    • Edit
    • Get Latest Version
    • Import Blowfish User Key
    • Label
    • Move
    • Pin
    • Refresh File List
    • Rename
    • Set Working Folder
    • Share
    • Show Difference
    • Show History
    • Show Properties
    • Status Search
    • Stop Current Operation
    • Undo Check Out
    • View
    • Wildcard Search
    Dialog Boxes
    • Add Files Comment Dialog Box
    • Add Files Dialog Box
    • Branch Comment Dialog Box
    • Change Password Dialog Box
    • Check In Dialog Box
    • Check In Unchanged File
    • Check Out Dialog Box
    • Connect to Server Dialog Box
    • Connect to Server Dialog Box (with proxy settings)
    • Create Project Dialog Box
    • Delete Dialog Box
    • Deploy Dialog Box
    • File History Dialog Box
    • File Properties Dialog Box
    • Get Latest Version Dialog Box
    • History Details Dialog Box
    • History Option Dialog Box
    • Label Dialog Box
    • Login Dialog Box
    • Move Dialog Box
    • Project History Dialog Box
    • Project Properties Dialog Box
    • Rename Dialog Box
    • Search Result Dialog Box
    • Set Working Folder Dialog Box
    • Share Dialog Box
    • Share Files Comment Dialog Box
    • Show File Difference Dialog Box
    • Show Project Difference Dialog Box
    • Status Search Dialog Box
    • Undo Check Out Dialog Box
    • View or Edit Dialog Box
    • Wildcard Search Dialog Box
    • Wildcard Search Result Dialog Box
    Options
    • General Options
    • View Options
    • File Options
    • Proxy Options
    • External Programs Options
    • File Types Options
    • Command Dialogs Options

    Customizing

    • Toolbars
    • Commands
    • Keyboard
    • Options

  • Java GUI Client

    How to run Java Client
    Other Documentation

  • Visual Studio IDE Client

    Options

    • General Tab (IDE Options)
    • Proxy Tab (IDE Options)
    • External Tab (IDE Options)
    Login (IDE Client)
    Add Project to SourceSafe (IDE Client)
    Get Project from SourceSafe to Local (IDE Client)
    Select Project from Server (IDE Client)
    Source Control Status (IDE Client)
    Others (IDE Client)
  • Macromedia Studio Plug-in

    How to enable the plug-in
    How to use the plug-in

  • Eclipse Plug-in

Installation
How to enable the plug-in
How to use the plug-in

  • Command Line Client

    Command Line Syntax
    Commands And Parameters
    Examples
    Encryption

  • Ant Plug-in
  • CruiseControl.NET Plug-in

4. Server Manager

  • System Information
  • General Settings
  • Cache Setting
  • SSL Root CA
  • System Log
  • Serial Numbers
  • Service Control
  • Support
  • Database

    • Users
    • Blowfish User Keys
    • User Access
    • Password Policy
    • Excluded File Types
    • Web Projects
  • Dialog Boxes

    • Add Blowfish User Key Dialog Box
    • Add Database Dialog Box
    • Add Excluded File Type Dialog Box
    • Add Project With Pinned Dialog Box
    • Add Serial Number Dialog Box
    • Add User Dialog Box
    • Add Web Project Dialog Box
    • Edit Database Dialog Box
    • Edit Excluded File Type Dialog Box
    • Edit Serial Number Dialog Box
    • Edit User Dialog Box
    • Edit Web Project Dialog Box

    • Generate SSL Root CA Dialog Box

    • View SSL Root Certificate Dialog Box

5. Cache Server Manager

  • Service Info

    • Service Control
    • Service Relation
    • General Settings
    • Cache Settings
    • System Log
    • Proxy
    • Support
  • Encryption Info

    • Blowfish User Keys
    • SSL Root CA
    • Client Encryption
  • Dialog Boxes

    • Generate SSL Root CA Dialog Box
    • View SSL Root Certificate Dialog Box
    • Service Relation Setting Dialog Box
    • Add Blowfish User key Dialog Box
    • Import Blowfish User Key Dialog Box
  • Configuration Examples
    • Example 1
    • Example 2
    • Example 3

6. SDK Reference

  • COM SDK
  • Java SDK

7. Troubleshooting

  • Error Connecting to <IP>:<PORT>
  • Why the Start Service and Stop Service buttons are grayed out?
  • The SourceSafe database <path to srcsafe.ini> does not exist.
  • Error message: Error opening database <path to srcsafe.ini>
  • Error message: File <path to srcsafe.ini>not found
  • The client is not compatible with the server
  • Socket is closed by Server. Error creating local temp file
  • More Resources

GO TOP

GO TOP

GO TOP

GO TOP

GO TOP

GO TOP


New Page 1

Styles Options

SourceSafe

Ribbon (The default style)

NOTE: Switch from Ribbon style to other styles will be valid only after next run, and vice versa.

WinXP

Vista

iTunes


Visual SourceSafe

Source Location

Allow you to locate to any folder by typing its path into the bar.

NOTE:

Currently, only valid folder path can be performed successfully. Invalid folder path or file path will be regarded as incorrect path.

If you type in a incorrect path, you will get the following error message box:


Q&A

Q&A

Why do I get error message "Error opening database <path to srcsafe.ini>" or "The SourceSafe database <path to srcsafe.ini> does not exist. Please select another database." when I try to connect to SourceAnywhere for VSS Server?

Troubleshooting of this problem depends on whether the SourceAnywhere for VSS Server is installed on the same machine where the VSS database resides.

If YES, please verify the following thing:

  • The Log On user of SourceAnywhere for VSS service should have read/write permission of the VSS directory.

If NO, please verify the following things:

  • If you specify a local user as the Log On user, please verify this username also exists on the machine where VSS database resides and the passwords of these two users are identical. Meanwhile, you need to verify the user on the VSS machine has read/write permissions and read/change share permissions of the VSS directory.

  • If you specify a domain user as the Log On user and SourceAnywhere for VSS Server is installed in the same domain as the one hosting VSS database, please verify this domain user has read/write permissions and read/change share permissions of of the VSS directory.

  • No mapped driver letter is used to specify the path to srcsafe.ini, since the mapped driver may not be available for SourceAnywhere for VSS service.
    If you map \\ServerName\ShareName to driver Z:, for example, you should use the full network path \\ServerName\ShareName\SuorceSafe\srcsafe.ini to specify the path to srcsafe.ini, rather than Z:\SourceSafe\srcsafe.ini.


Self Trouble Shooting

Server

  1. Read the server log. The log can be showed by clicking View Log in Server Manager.
  2. Make sure the TCP/IP protocol is installed on the machine and is set properly.
  3. If firewall is installed, make sure the server is accessible from network.
  4. Make sure the Server service is running.
  5. If the service can't be started, make sure the service has the right Log On username and password, which can be configured in the Service Property dialog box.
  6. Make sure the Microsoft Visual SourceSafe Client APIs are installed on the machine.
  7. Make sure the service Log On user has access to the VSS database.
  8. Be sure to change settings in service option when the service Log On user password changed.
  9. Make sure the latest service pack of VSS is installed. The service pack can be downloaded from www.microsoft.com.

Client

  1. Make sure the TCP/IP protocol is installed on the machine and is set properly.
  2. If firewall is installed, make sure it is set properly.
  3. If you are using proxy, set the proxy settings in Options dialog box properly.
  4. If you connect to an encrypted port of Dynamsoft SourceAnywhere for VSS server, please make sure the key file is imported.
  5. If you are using a non-Microsoft IDE, make sure the MSSCCI is supported by the IDE you are using.
  6. No VSS Client API is needed on client machine.
  7. For the latest Dynamsoft SourceAnywhere for VSS troubleshooting information, see our website: http://www.dynamsoft.com.


Add Files when a deleted copy exists

A deleted copy of this <File> file already exists in this project.

This warning has the following cause and solution:

  • When a file is deleted in a project, it is no longer displayed but it still exists. So when you attempt to add a file of the same name, Dynamsoft SourceAnywhere for VSS prompts you to decide if you want to recover the deleted file or add the one you indicated.

    Choose Recover this file if you want to recover the deleted file in the project, and not add the new file.
    Choose Purge this file and add a new file if you want to add a new file.
    Check Apply to all items to have your choices in this dialog box apply to all other files you want to add.


New Page 1

File <file name> is checked out to project <project path 1>, and you are in <project path 2>, continue?

Cause: You are attempting to check in a shared file which was checked out to another location.


Check in Without Change

File <file name> has not been changed. Do you want to create a new version of the file in server?

This warning has the following cause and solution:

    You are attempting to check in a checked-out file that you haven't changed.

    Click Yes, and Dynamsoft SAW for VSS checks it in anyway. (Clicking Yes All checks in all selected files.) A check in creates a new version of the file, with an optional comment.

    Click No, and Dynamsoft SAW for VSS undoes the check out of the file. (Clicking No All undoes the check out for all selected files.) No new version of the file is created in this case.

Note: To avoid this message in the future, disable this notification on the General tab that is accessed by selecting Options from the Tools menu.


Check out when local copy is writable

Your working folder contains a writable copy of an old version of <File>

This warning has the following cause and solution:

    You have a writeable file that has been changed on your disk, and you've done a Get.

    Select one of the options presented.

    1. Leave this file, check out the old version while keeping the changes in your local copy.

    2. Replace you local file with this version from SourceSafe, check out the old version while overwriting your changed local copy.

Note: To avoid this message in the future, disable this notification on the Files tab that is accessed by selecting Options from the Tools menu.


Unable to map local file

Unable to map local file (IDE Client)

The source control server has no map of the file which is to be added to local project.


Visual SourceSafe

File <file name> is checked out by others, continue?

Cause: You are attempting to undo check out a file which was checked out by others.

You can right-click on the file, choose Properties to check the user who has the file checked out in Check Out Status Tab.


New Page 1

You already have file <file path> checked out to another location, continue?

Cause: You are attempting to check out / undo check out a shared file which was checked out to another location by yourself.

You can right-click on the shared file, choose Properties to check the check-out location of the shared file in Check Out Status Tab.


Undo check out changed file

<File> has changed. Undo check out and lose changes?

This warning has the following cause and solution:

    1. You are about to undo the check out of a file. If you do so, you discard all the changes made since you checked out the file.

    2. If you want to put your changes into VSS database instead of losing them, use the Check-In command instead.